xof 0303txt 0032

// DirectX - from MilkShape3D

template Header
{
    <3D82AB43-62DA-11CF-AB39-0020AF71E433>
    WORD major;
    WORD minor;
    DWORD flags;
}

template Vector
{
    <3D82AB5E-62DA-11CF-AB39-0020AF71E433>
    FLOAT x;
    FLOAT y;
    FLOAT z;
}

template Coords2d
{
    <F6F23F44-7686-11CF-8F52-0040333594A3>
    FLOAT u;
    FLOAT v;
}

template Matrix4x4
{
    <F6F23F45-7686-11CF-8F52-0040333594A3>
    array FLOAT matrix[16];
}

template ColorRGBA
{
    <35FF44E0-6C7C-11CF-8F52-0040333594A3>
    FLOAT red;
    FLOAT green;
    FLOAT blue;
    FLOAT alpha;
}

template ColorRGB
{
    <D3E16E81-7835-11CF-8F52-0040333594A3>
    FLOAT red;
    FLOAT green;
    FLOAT blue;
}

template IndexedColor
{
    <1630B820-7842-11CF-8F52-0040333594A3>
    DWORD index;
    ColorRGBA indexColor;
}

template Boolean
{
    <4885AE61-78E8-11CF-8F52-0040333594A3>
    DWORD trueFalse;
}

template Boolean2d
{
    <4885AE63-78E8-11CF-8F52-0040333594A3>
    Boolean u;
    Boolean v;
}

template MaterialWrap
{
    <4885AE60-78E8-11CF-8F52-0040333594A3>
    Boolean u;
    Boolean v;
}

template Material
{
    <3D82AB4D-62DA-11CF-AB39-0020AF71E433>
    ColorRGBA faceColor;
    FLOAT power;
    ColorRGB specularColor;
    ColorRGB emissiveColor;
    [...]
}

template TextureFilename
{
    <A42790E1-7810-11CF-8F52-0040333594A3>
    CSTRING filename;
}

template MeshFace
{
    <3D82AB5F-62DA-11CF-AB39-0020AF71E433>
    DWORD nFaceVertexIndices;
    array DWORD FaceVertexIndices[nFaceVertexIndices];
}

template Mesh
{
    <3D82AB44-62DA-11CF-AB39-0020AF71E433>
    DWORD nVertices;
    array Vector vertices[nVertices];
    DWORD nFaces;
    array MeshFace naces[nFaces];
    [...]
}

template MeshNormals
{
    <F6F23F43-7686-11CF-8F52-0040333594A3>
    DWORD nNormals;
    array Vector normals[nNormals];
    DWORD nFaceNormals;
    array MeshFace naceNormals[nFaceNormals];
}

template MeshFaceWraps
{
    <4885AE62-78E8-11CF-8F52-0040333594A3>
    DWORD nFaceWrapValues;
    Boolean2d naceWrapValues;
}

template MeshTextureCoords
{
    <F6F23F40-7686-11CF-8F52-0040333594A3>
    DWORD nTextureCoords;
    array Coords2d textureCoords[nTextureCoords];
}

template VertexDuplicationIndices
{
    <B8D65549-D7C9-4995-89CF-53A9A8B031E3>
    DWORD nIndices;
    DWORD nOriginalVertices;
    array DWORD indices[nIndices];
}

template MeshMaterialList
{
    <F6F23F42-7686-11CF-8F52-0040333594A3>
    DWORD nMaterials;
    DWORD nFaceIndexes;
    array DWORD faceIndexes[nFaceIndexes];
    [Material]
}

template MeshVertexColors
{
    <1630B821-7842-11CF-8F52-0040333594A3>
    DWORD nVertexColors;
    array IndexedColor vertexColors[nVertexColors];
}

template FrameTransformMatrix
{
    <F6F23F41-7686-11CF-8F52-0040333594A3>
    Matrix4x4 frameMatrix;
}

template Frame
{
    <3D82AB46-62DA-11CF-AB39-0020AF71E433>
    [...]
}

template Animation
{
    <3D82AB4F-62DA-11CF-AB39-0020AF71E433>
    [...]
}

template AnimationSet
{
    <3D82AB50-62DA-11CF-AB39-0020AF71E433>
    [Animation]
}

template FloatKeys
{
    <10DD46A9-775B-11CF-8F52-0040333594A3>
    DWORD nValues;
    array FLOAT values[nValues];
}

template TimedFloatKeys
{
    <F406B180-7B3B-11CF-8F52-0040333594A3>
    DWORD time;
    FloatKeys tfkeys;
}

template AnimationKey
{
    <10DD46A8-775B-11CF-8F52-0040333594A3>
    DWORD keyType;
    DWORD nKeys;
    array TimedFloatKeys keys[nKeys];
}

template AnimationOptions
{
    <E2BF56C0-840F-11CF-8F52-0040333594A3>
    DWORD openclosed;
    DWORD positionquality;
}

template XSkinMeshHeader
{
    <3CF169CE-FF7C-44AB-93C0-F78F62D172E2>
    WORD nMaxSkinWeightsPerVertex;
    WORD nMaxSkinWeightsPerFace;
    WORD nBones;
}

template VertexDuplicationIndices
{
    <B8D65549-D7C9-4995-89CF-53A9A8B031E3>
    DWORD nIndices;
    DWORD nOriginalVertices;
    array DWORD indices[nIndices];
}

template SkinWeights
{
    <6F0D123B-BAD2-4167-A0D0-80224F25FABB>
    CSTRING transformNodeName;
    DWORD nWeights;
    array DWORD vertexIndices[nWeights];
    array FLOAT weights[nWeights];
    Matrix4x4 matrixOffset;
}

Frame mid
{
    FrameTransformMatrix
    {
        1.000000,0.000000,0.000000,0.000000,
        0.000000,1.000000,0.000000,0.000000,
        0.000000,0.000000,1.000000,0.000000,
        -0.005556,-2.088889,0.000000,1.000000;;
    }

    Frame Inner
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            0.000000,2.000000,0.000000,1.000000;;
        }
    }

    Frame Outer
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            0.000385,2.000000,0.000000,1.000000;;
        }
    }

    Frame UpperLeg1
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            -1.167659,0.279167,-1.171429,1.000000;;
        }
    }

    Frame UpperLeg2
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            1.182341,0.279167,1.192857,1.000000;;
        }
    }

    Frame UpperLeg3
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            1.200000,0.279167,-1.164286,1.000000;;
        }
    }

    Frame UpperLeg4
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            -1.178571,0.279167,1.178571,1.000000;;
        }
    }

    Frame Centre
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            0.005556,2.104167,0.000000,1.000000;;
        }
    }

    Frame Body
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            0.000000,0.000000,0.000000,1.000000;;
        }

        Mesh LanderMesh
        {
            181;
            0.000000;-2.000000;0.000000;,
            0.866025;-1.732051;0.500000;,
            0.500000;-1.732051;0.866025;,
            0.000000;2.000000;0.000000;,
            0.500000;1.732051;0.866025;,
            0.866025;1.732051;0.500000;,
            -0.500000;-1.732051;0.866025;,
            -0.866025;-1.732051;0.500000;,
            -0.866025;1.732051;0.500000;,
            -0.500000;1.732051;0.866025;,
            -0.866025;-1.732051;-0.500000;,
            -0.500000;-1.732051;-0.866025;,
            -0.500000;1.732051;-0.866025;,
            -0.866025;1.732051;-0.500000;,
            0.500000;-1.732051;-0.866025;,
            0.866025;-1.732051;-0.500000;,
            0.866025;1.732051;-0.500000;,
            0.500000;1.732051;-0.866025;,
            1.500000;-1.000000;0.866025;,
            0.866025;-1.000000;1.500000;,
            -0.866025;-1.000000;1.500000;,
            -1.500000;-1.000000;0.866025;,
            -1.500000;-1.000000;-0.866025;,
            -0.866025;-1.000000;-1.500000;,
            0.866025;-1.000000;-1.500000;,
            1.500000;-1.000000;-0.866025;,
            1.732051;0.000000;1.000000;,
            1.000000;0.000000;1.732051;,
            -1.000000;0.000000;1.732051;,
            -1.732051;0.000000;1.000000;,
            -1.732051;0.000000;-1.000000;,
            -1.000000;0.000000;-1.732051;,
            1.000000;0.000000;-1.732051;,
            1.732051;0.000000;-1.000000;,
            1.500000;1.000000;0.866025;,
            0.866025;1.000000;1.500000;,
            -0.866025;1.000000;1.500000;,
            -1.500000;1.000000;0.866025;,
            -1.500000;1.000000;-0.866025;,
            -0.866025;1.000000;-1.500000;,
            0.866025;1.000000;-1.500000;,
            1.500000;1.000000;-0.866025;,
            0.495000;-1.732051;0.857365;,
            0.857365;-1.732051;0.495000;,
            0.857365;1.732051;0.495000;,
            0.495000;1.732051;0.857365;,
            -0.857365;-1.732051;0.495000;,
            -0.495000;-1.732051;0.857365;,
            -0.495000;1.732051;0.857365;,
            -0.857365;1.732051;0.495000;,
            -0.495000;-1.732051;-0.857365;,
            -0.857365;-1.732051;-0.495000;,
            -0.857365;1.732051;-0.495000;,
            -0.495000;1.732051;-0.857365;,
            0.857365;-1.732051;-0.495000;,
            0.495000;-1.732051;-0.857365;,
            0.495000;1.732051;-0.857365;,
            0.857365;1.732051;-0.495000;,
            1.485000;-1.000000;0.857365;,
            0.857365;-1.000000;1.485000;,
            -1.485000;-1.000000;0.857365;,
            -0.857365;-1.000000;1.485000;,
            -1.485000;-1.000000;-0.857365;,
            -0.857365;-1.000000;-1.485000;,
            1.485000;-1.000000;-0.857365;,
            0.857365;-1.000000;-1.485000;,
            0.990000;0.000000;1.714731;,
            1.714731;0.000000;0.990000;,
            -0.990000;0.000000;1.714731;,
            -1.714731;0.000000;0.990000;,
            -0.990000;0.000000;-1.714731;,
            -1.714731;0.000000;-0.990000;,
            0.990000;0.000000;-1.714731;,
            1.714731;0.000000;-0.990000;,
            1.485000;1.000000;0.857365;,
            0.857365;1.000000;1.485000;,
            -1.485000;1.000000;0.857365;,
            -0.857365;1.000000;1.485000;,
            -1.485000;1.000000;-0.857365;,
            -0.857365;1.000000;-1.485000;,
            1.485000;1.000000;-0.857365;,
            0.857365;1.000000;-1.485000;,
            1.354822;-1.761141;1.005258;,
            0.995348;-1.754372;1.372395;,
            1.243651;-2.633333;1.407143;,
            1.407937;-2.633333;1.250000;,
            0.901464;-1.887359;0.701997;,
            1.207937;-2.633333;1.135714;,
            0.693113;-1.883451;0.895257;,
            1.136508;-2.633333;1.221429;,
            1.005258;-1.761141;-1.354822;,
            1.372395;-1.754372;-0.995348;,
            1.407143;-2.633333;-1.243651;,
            1.250000;-2.633333;-1.407937;,
            0.701997;-1.887359;-0.901464;,
            1.135714;-2.633333;-1.207937;,
            0.895257;-1.883451;-0.693113;,
            1.221429;-2.633333;-1.136508;,
            -1.354822;-1.761141;-1.005258;,
            -0.995348;-1.754372;-1.372395;,
            -1.243651;-2.633333;-1.407143;,
            -1.407937;-2.633333;-1.250000;,
            -0.901464;-1.887359;-0.701997;,
            -1.207937;-2.633333;-1.135714;,
            -0.693113;-1.883451;-0.895257;,
            -1.136508;-2.633333;-1.221429;,
            -1.005258;-1.761141;1.354822;,
            -1.372395;-1.754372;0.995348;,
            -1.407143;-2.633333;1.243651;,
            -1.250000;-2.633333;1.407937;,
            -0.701997;-1.887359;0.901464;,
            -1.135714;-2.633333;1.207937;,
            -0.895257;-1.883451;0.693113;,
            -1.221429;-2.633333;1.136508;,
            0.690476;-3.744444;0.692857;,
            0.692857;-3.744444;-0.690476;,
            -0.690476;-3.744444;-0.692857;,
            -0.692857;-3.744444;0.690476;,
            0.250063;-2.595060;0.875794;,
            1.717128;-1.051233;0.645628;,
            0.860370;-2.596023;0.253060;,
            0.660045;-1.049564;1.724235;,
            0.875794;-2.595060;-0.250063;,
            0.645628;-1.051233;-1.717128;,
            0.253060;-2.596023;-0.860370;,
            1.724235;-1.049564;-0.660045;,
            -0.250063;-2.595060;-0.875794;,
            -1.717128;-1.051233;-0.645628;,
            -0.860370;-2.596023;-0.253060;,
            -0.660045;-1.049564;-1.724235;,
            -0.875794;-2.595060;0.250063;,
            -0.645628;-1.051233;1.717128;,
            -0.253060;-2.596023;0.860370;,
            -1.724235;-1.049564;0.660045;,
            0.008654;-1.709722;0.000000;,
            1.733654;0.015278;0.000000;,
            -0.853846;0.015278;1.493894;,
            0.008654;1.740278;0.000000;,
            -0.853846;0.015278;-1.493894;,
            1.732051;0.000000;1.000000;,
            1.000000;0.000000;1.732051;,
            -1.000000;0.000000;1.732051;,
            -1.732051;0.000000;1.000000;,
            -1.732051;0.000000;-1.000000;,
            -1.000000;0.000000;-1.732051;,
            1.000000;0.000000;-1.732051;,
            1.732051;0.000000;-1.000000;,
            0.000000;-2.000000;0.000000;,
            0.000000;2.000000;0.000000;,
            1.207937;-2.633333;1.135714;,
            1.136508;-2.633333;1.221429;,
            1.243651;-2.633333;1.407143;,
            1.407937;-2.633333;1.250000;,
            1.135714;-2.633333;-1.207937;,
            1.221429;-2.633333;-1.136508;,
            1.407143;-2.633333;-1.243651;,
            1.250000;-2.633333;-1.407937;,
            -1.207937;-2.633333;-1.135714;,
            -1.136508;-2.633333;-1.221429;,
            -1.243651;-2.633333;-1.407143;,
            -1.407937;-2.633333;-1.250000;,
            -1.135714;-2.633333;1.207937;,
            -1.221429;-2.633333;1.136508;,
            -1.407143;-2.633333;1.243651;,
            -1.250000;-2.633333;1.407937;,
            0.995348;-1.754372;1.372395;,
            0.693113;-1.883451;0.895257;,
            1.354822;-1.761141;1.005258;,
            0.901464;-1.887359;0.701997;,
            1.372395;-1.754372;-0.995348;,
            0.895257;-1.883451;-0.693113;,
            1.005258;-1.761141;-1.354822;,
            0.701997;-1.887359;-0.901464;,
            -0.995348;-1.754372;-1.372395;,
            -0.693113;-1.883451;-0.895257;,
            -1.354822;-1.761141;-1.005258;,
            -0.901464;-1.887359;-0.701997;,
            -1.372395;-1.754372;0.995348;,
            -0.895257;-1.883451;0.693113;,
            -1.005258;-1.761141;1.354822;,
            -0.701997;-1.887359;0.901464;;
            190;
            3;0,1,2;,
            3;3,4,5;,
            3;0,6,7;,
            3;3,8,9;,
            3;0,10,11;,
            3;3,12,13;,
            3;0,14,15;,
            3;3,16,17;,
            3;1,18,2;,
            3;18,19,2;,
            3;6,20,21;,
            3;6,21,7;,
            3;10,22,11;,
            3;22,23,11;,
            3;14,24,25;,
            3;14,25,15;,
            3;18,26,27;,
            3;18,27,19;,
            3;20,28,21;,
            3;28,29,21;,
            3;22,30,31;,
            3;22,31,23;,
            3;24,32,25;,
            3;32,33,25;,
            3;139,34,140;,
            3;34,35,140;,
            3;141,36,37;,
            3;141,37,142;,
            3;143,38,144;,
            3;38,39,144;,
            3;145,40,41;,
            3;145,41,146;,
            3;34,5,4;,
            3;34,4,35;,
            3;36,9,37;,
            3;9,8,37;,
            3;38,13,12;,
            3;38,12,39;,
            3;40,17,41;,
            3;17,16,41;,
            3;42,43,147;,
            3;44,45,148;,
            3;46,47,147;,
            3;48,49,148;,
            3;50,51,147;,
            3;52,53,148;,
            3;54,55,147;,
            3;56,57,148;,
            3;42,58,43;,
            3;42,59,58;,
            3;60,61,47;,
            3;46,60,47;,
            3;50,62,51;,
            3;50,63,62;,
            3;64,65,55;,
            3;54,64,55;,
            3;66,67,58;,
            3;59,66,58;,
            3;60,68,61;,
            3;60,69,68;,
            3;70,71,62;,
            3;63,70,62;,
            3;64,72,65;,
            3;64,73,72;,
            3;66,74,67;,
            3;66,75,74;,
            3;76,77,68;,
            3;69,76,68;,
            3;70,78,71;,
            3;70,79,78;,
            3;80,81,72;,
            3;73,80,72;,
            3;45,44,74;,
            3;75,45,74;,
            3;76,48,77;,
            3;76,49,48;,
            3;53,52,78;,
            3;79,53,78;,
            3;80,56,81;,
            3;80,57,56;,
            3;82,83,84;,
            3;82,84,85;,
            3;85,86,82;,
            3;87,86,85;,
            3;83,88,84;,
            3;84,88,89;,
            3;87,89,88;,
            3;86,87,88;,
            3;90,91,92;,
            3;90,92,93;,
            3;93,94,90;,
            3;95,94,93;,
            3;91,96,92;,
            3;92,96,97;,
            3;95,97,96;,
            3;94,95,96;,
            3;98,99,100;,
            3;98,100,101;,
            3;101,102,98;,
            3;103,102,101;,
            3;99,104,100;,
            3;100,104,105;,
            3;103,105,104;,
            3;102,103,104;,
            3;106,107,108;,
            3;106,108,109;,
            3;109,110,106;,
            3;111,110,109;,
            3;107,112,108;,
            3;108,112,113;,
            3;111,113,112;,
            3;110,111,112;,
            3;149,114,150;,
            3;150,114,151;,
            3;151,114,152;,
            3;152,114,149;,
            3;153,115,154;,
            3;154,115,155;,
            3;155,115,156;,
            3;156,115,153;,
            3;157,116,158;,
            3;158,116,159;,
            3;159,116,160;,
            3;160,116,157;,
            3;161,117,162;,
            3;162,117,163;,
            3;163,117,164;,
            3;164,117,161;,
            3;118,119,120;,
            3;118,121,119;,
            3;165,121,166;,
            3;118,166,121;,
            3;165,119,121;,
            3;165,167,119;,
            3;168,119,167;,
            3;168,120,119;,
            3;168,118,120;,
            3;168,166,118;,
            3;122,123,124;,
            3;122,125,123;,
            3;169,125,170;,
            3;122,170,125;,
            3;169,123,125;,
            3;169,171,123;,
            3;172,123,171;,
            3;172,124,123;,
            3;172,122,124;,
            3;172,170,122;,
            3;119,120,122;,
            3;122,125,119;,
            3;120,119,122;,
            3;122,119,125;,
            3;126,127,128;,
            3;126,129,127;,
            3;173,129,174;,
            3;126,174,129;,
            3;173,127,129;,
            3;173,175,127;,
            3;176,127,175;,
            3;176,128,127;,
            3;176,126,128;,
            3;176,174,126;,
            3;123,124,126;,
            3;126,129,123;,
            3;126,123,129;,
            3;126,124,123;,
            3;130,131,132;,
            3;130,133,131;,
            3;177,133,178;,
            3;130,178,133;,
            3;177,131,133;,
            3;177,179,131;,
            3;180,131,179;,
            3;180,132,131;,
            3;180,130,132;,
            3;180,178,130;,
            3;132,118,131;,
            3;118,121,131;,
            3;130,127,128;,
            3;130,133,127;,
            3;127,133,130;,
            3;127,130,128;,
            3;132,131,118;,
            3;118,131,121;,
            3;134,135,136;,
            3;137,136,135;,
            3;134,136,138;,
            3;137,138,136;,
            3;134,138,135;,
            3;137,135,138;;

            MeshNormals
            {
                157;
                0.000000;-1.000000;0.000000;,
                0.361523;-0.859420;0.361523;,
                0.415019;-0.809641;0.415019;,
                0.000000;1.000000;0.000000;,
                0.415019;0.809641;0.415019;,
                0.361523;0.859420;0.361523;,
                -0.415019;-0.809641;0.415019;,
                -0.361523;-0.859420;0.361523;,
                -0.361523;0.859420;0.361523;,
                -0.415019;0.809641;0.415019;,
                -0.361523;-0.859420;-0.361523;,
                -0.415019;-0.809641;-0.415019;,
                -0.415019;0.809641;-0.415019;,
                -0.361523;0.859420;-0.361523;,
                0.415019;-0.809641;-0.415019;,
                0.361523;-0.859420;-0.361523;,
                0.361523;0.859420;-0.361523;,
                0.415019;0.809641;-0.415019;,
                0.616894;-0.488757;0.616894;,
                -0.616894;-0.488757;0.616894;,
                -0.616894;-0.488757;-0.616894;,
                0.616894;-0.488757;-0.616894;,
                0.707107;0.000000;0.707107;,
                0.707107;-0.000000;0.707107;,
                -0.707107;-0.000000;0.707107;,
                -0.707107;0.000000;0.707107;,
                -0.707107;0.000000;-0.707107;,
                -0.707107;-0.000000;-0.707107;,
                0.707107;-0.000000;-0.707107;,
                0.707107;0.000000;-0.707107;,
                0.616894;0.488757;0.616894;,
                -0.616894;0.488757;0.616894;,
                -0.616894;0.488757;-0.616894;,
                0.616894;0.488757;-0.616894;,
                -0.415019;0.809641;-0.415019;,
                -0.361523;0.859420;-0.361523;,
                0.000000;1.000000;0.000000;,
                -0.361523;-0.859420;-0.361523;,
                -0.415019;-0.809641;-0.415019;,
                0.000000;-1.000000;0.000000;,
                0.361523;0.859420;-0.361523;,
                0.415019;0.809641;-0.415019;,
                0.415019;-0.809641;-0.415019;,
                0.361523;-0.859420;-0.361523;,
                0.415019;0.809641;0.415019;,
                0.361523;0.859420;0.361523;,
                0.361523;-0.859420;0.361523;,
                0.415019;-0.809641;0.415019;,
                -0.361523;0.859420;0.361523;,
                -0.415019;0.809641;0.415019;,
                -0.415019;-0.809641;0.415019;,
                -0.361523;-0.859420;0.361523;,
                -0.616894;0.488757;-0.616894;,
                0.616894;0.488757;-0.616894;,
                0.616894;0.488757;0.616894;,
                -0.616894;0.488757;0.616894;,
                -0.707107;0.000000;-0.707107;,
                -0.707107;0.000000;-0.707107;,
                0.707107;0.000000;-0.707107;,
                0.707107;0.000000;-0.707107;,
                0.707107;0.000000;0.707107;,
                0.707107;0.000000;0.707107;,
                -0.707107;0.000000;0.707107;,
                -0.707107;0.000000;0.707107;,
                -0.616894;-0.488757;-0.616894;,
                0.616894;-0.488757;-0.616894;,
                0.616894;-0.488757;0.616894;,
                -0.616894;-0.488757;0.616894;,
                0.972754;-0.096123;0.210974;,
                0.213520;-0.170815;0.961889;,
                -0.163926;-0.152346;0.974638;,
                0.887191;-0.241757;-0.392997;,
                0.350721;-0.797142;-0.491486;,
                -0.244179;-0.230146;-0.942024;,
                -0.629275;-0.738562;0.241948;,
                -0.996275;-0.081238;-0.028938;,
                0.210974;-0.096123;-0.972754;,
                0.961889;-0.170815;-0.213520;,
                0.974638;-0.152346;0.163926;,
                -0.392997;-0.241757;-0.887191;,
                -0.491486;-0.797142;-0.350721;,
                -0.942024;-0.230146;0.244179;,
                0.241948;-0.738562;0.629275;,
                -0.028938;-0.081238;0.996275;,
                -0.972754;-0.096123;-0.210974;,
                -0.213520;-0.170815;-0.961889;,
                0.163926;-0.152346;-0.974638;,
                -0.887191;-0.241757;0.392997;,
                -0.350721;-0.797142;0.491486;,
                0.244179;-0.230146;0.942024;,
                0.629275;-0.738562;-0.241948;,
                0.996275;-0.081238;0.028938;,
                -0.210974;-0.096123;0.972754;,
                -0.961889;-0.170815;0.213520;,
                -0.974638;-0.152346;-0.163926;,
                0.392997;-0.241757;0.887191;,
                0.491486;-0.797142;0.350721;,
                0.942024;-0.230146;-0.244179;,
                -0.241948;-0.738562;-0.629275;,
                0.028938;-0.081238;-0.996275;,
                -0.244179;-0.230146;-0.942024;,
                -0.796286;0.192421;-0.573501;,
                -0.996275;-0.081238;-0.028938;,
                -0.163926;-0.152346;0.974638;,
                0.887191;-0.241757;-0.392997;,
                -0.942024;-0.230146;0.244179;,
                -0.573501;0.192421;0.796286;,
                -0.028938;-0.081238;0.996275;,
                0.974638;-0.152346;0.163926;,
                -0.392997;-0.241757;-0.887191;,
                0.244179;-0.230146;0.942024;,
                0.796286;0.192421;0.573501;,
                0.996275;-0.081238;0.028938;,
                0.163926;-0.152346;-0.974638;,
                -0.887191;-0.241757;0.392997;,
                0.942024;-0.230146;-0.244179;,
                0.573501;0.192421;-0.796286;,
                0.028938;-0.081238;-0.996275;,
                -0.974638;-0.152346;-0.163926;,
                0.392997;-0.241757;0.887191;,
                -0.552678;-0.830220;-0.072671;,
                0.991207;0.074185;-0.109571;,
                0.250757;-0.881571;-0.399942;,
                -0.235603;-0.350080;0.906606;,
                0.213520;-0.170815;0.961889;,
                -0.629275;-0.738562;0.241948;,
                0.972754;-0.096123;0.210974;,
                0.350721;-0.797142;-0.491486;,
                -0.072671;-0.830220;0.552678;,
                -0.109571;0.074185;-0.991207;,
                -0.399942;-0.881571;-0.250757;,
                0.906606;-0.350080;0.235603;,
                0.961889;-0.170815;-0.213520;,
                0.241948;-0.738562;0.629275;,
                0.210974;-0.096123;-0.972754;,
                -0.491486;-0.797142;-0.350721;,
                0.552678;-0.830220;0.072671;,
                -0.991207;0.074185;0.109571;,
                -0.250757;-0.881571;0.399942;,
                0.235603;-0.350080;-0.906606;,
                -0.213520;-0.170815;-0.961889;,
                0.629275;-0.738562;-0.241948;,
                -0.972754;-0.096123;-0.210974;,
                -0.350721;-0.797142;0.491486;,
                0.072671;-0.830220;-0.552678;,
                0.109571;0.074185;0.991207;,
                0.399942;-0.881571;0.250757;,
                -0.906606;-0.350080;-0.235603;,
                -0.961889;-0.170815;0.213520;,
                -0.241948;-0.738562;-0.629275;,
                -0.210974;-0.096123;0.972754;,
                0.491486;-0.797142;0.350721;,
                0.000000;-1.000000;0.000000;,
                1.000000;0.000000;0.000000;,
                -0.500000;0.000000;0.866025;,
                0.000000;1.000000;0.000000;,
                -0.500000;0.000000;-0.866025;;
                190;
                3;0,1,2;,
                3;3,4,5;,
                3;0,6,7;,
                3;3,8,9;,
                3;0,10,11;,
                3;3,12,13;,
                3;0,14,15;,
                3;3,16,17;,
                3;1,18,2;,
                3;18,18,2;,
                3;6,19,19;,
                3;6,19,7;,
                3;10,20,11;,
                3;20,20,11;,
                3;14,21,21;,
                3;14,21,15;,
                3;18,22,23;,
                3;18,23,18;,
                3;19,24,19;,
                3;24,25,19;,
                3;20,26,27;,
                3;20,27,20;,
                3;21,28,21;,
                3;28,29,21;,
                3;22,30,23;,
                3;30,30,23;,
                3;24,31,31;,
                3;24,31,25;,
                3;26,32,27;,
                3;32,32,27;,
                3;28,33,33;,
                3;28,33,29;,
                3;30,5,4;,
                3;30,4,30;,
                3;31,9,31;,
                3;9,8,31;,
                3;32,13,12;,
                3;32,12,32;,
                3;33,17,33;,
                3;17,16,33;,
                3;34,35,36;,
                3;37,38,39;,
                3;40,41,36;,
                3;42,43,39;,
                3;44,45,36;,
                3;46,47,39;,
                3;48,49,36;,
                3;50,51,39;,
                3;34,52,35;,
                3;34,52,52;,
                3;53,53,41;,
                3;40,53,41;,
                3;44,54,45;,
                3;44,54,54;,
                3;55,55,49;,
                3;48,55,49;,
                3;56,57,52;,
                3;52,56,52;,
                3;53,58,53;,
                3;53,59,58;,
                3;60,61,54;,
                3;54,60,54;,
                3;55,62,55;,
                3;55,63,62;,
                3;56,64,57;,
                3;56,64,64;,
                3;65,65,58;,
                3;59,65,58;,
                3;60,66,61;,
                3;60,66,66;,
                3;67,67,62;,
                3;63,67,62;,
                3;38,37,64;,
                3;64,38,64;,
                3;65,42,65;,
                3;65,43,42;,
                3;47,46,66;,
                3;66,47,66;,
                3;67,50,67;,
                3;67,51,50;,
                3;68,69,70;,
                3;68,70,71;,
                3;71,72,68;,
                3;73,72,71;,
                3;69,74,70;,
                3;70,74,75;,
                3;73,75,74;,
                3;72,73,74;,
                3;76,77,78;,
                3;76,78,79;,
                3;79,80,76;,
                3;81,80,79;,
                3;77,82,78;,
                3;78,82,83;,
                3;81,83,82;,
                3;80,81,82;,
                3;84,85,86;,
                3;84,86,87;,
                3;87,88,84;,
                3;89,88,87;,
                3;85,90,86;,
                3;86,90,91;,
                3;89,91,90;,
                3;88,89,90;,
                3;92,93,94;,
                3;92,94,95;,
                3;95,96,92;,
                3;97,96,95;,
                3;93,98,94;,
                3;94,98,99;,
                3;97,99,98;,
                3;96,97,98;,
                3;100,101,102;,
                3;102,101,103;,
                3;103,101,104;,
                3;104,101,100;,
                3;105,106,107;,
                3;107,106,108;,
                3;108,106,109;,
                3;109,106,105;,
                3;110,111,112;,
                3;112,111,113;,
                3;113,111,114;,
                3;114,111,110;,
                3;115,116,117;,
                3;117,116,118;,
                3;118,116,119;,
                3;119,116,115;,
                3;120,121,122;,
                3;120,123,121;,
                3;124,123,125;,
                3;120,125,123;,
                3;124,121,123;,
                3;124,126,121;,
                3;127,121,126;,
                3;127,122,121;,
                3;127,120,122;,
                3;127,125,120;,
                3;128,129,130;,
                3;128,131,129;,
                3;132,131,133;,
                3;128,133,131;,
                3;132,129,131;,
                3;132,134,129;,
                3;135,129,134;,
                3;135,130,129;,
                3;135,128,130;,
                3;135,133,128;,
                3;121,122,128;,
                3;128,131,121;,
                3;122,121,128;,
                3;128,121,131;,
                3;136,137,138;,
                3;136,139,137;,
                3;140,139,141;,
                3;136,141,139;,
                3;140,137,139;,
                3;140,142,137;,
                3;143,137,142;,
                3;143,138,137;,
                3;143,136,138;,
                3;143,141,136;,
                3;129,130,136;,
                3;136,139,129;,
                3;136,129,139;,
                3;136,130,129;,
                3;144,145,146;,
                3;144,147,145;,
                3;148,147,149;,
                3;144,149,147;,
                3;148,145,147;,
                3;148,150,145;,
                3;151,145,150;,
                3;151,146,145;,
                3;151,144,146;,
                3;151,149,144;,
                3;146,120,145;,
                3;120,123,145;,
                3;144,137,138;,
                3;144,147,137;,
                3;137,147,144;,
                3;137,144,138;,
                3;146,145,120;,
                3;120,145,123;,
                3;152,153,154;,
                3;155,154,153;,
                3;152,154,156;,
                3;155,156,154;,
                3;152,156,153;,
                3;155,153,156;;
            }

            MeshTextureCoords
            {
                181;
                0.132028;0.024024;,
                0.130037;0.027660;,
                0.130065;0.026109;,
                0.131097;0.023732;,
                0.129344;0.021752;,
                0.129337;0.020274;,
                0.130141;0.021869;,
                0.130169;0.020318;,
                0.129370;0.027271;,
                0.129363;0.025792;,
                0.130169;0.020318;,
                0.130141;0.021869;,
                0.129363;0.025792;,
                0.129370;0.027271;,
                0.130065;0.026109;,
                0.130037;0.027660;,
                0.129337;0.020274;,
                0.129344;0.021752;,
                0.124728;0.030253;,
                0.124776;0.027566;,
                0.124908;0.020223;,
                0.124956;0.017536;,
                0.124956;0.017536;,
                0.124908;0.020223;,
                0.124776;0.027566;,
                0.124728;0.030253;,
                0.117524;0.031108;,
                0.117579;0.028004;,
                0.117732;0.019526;,
                0.117788;0.016423;,
                0.117788;0.016423;,
                0.117732;0.019526;,
                0.117579;0.028004;,
                0.117524;0.031108;,
                0.124562;0.017823;,
                0.124574;0.020384;,
                0.124607;0.027381;,
                0.124619;0.029942;,
                0.124619;0.029942;,
                0.124607;0.027381;,
                0.124574;0.020384;,
                0.124562;0.017823;,
                0.126144;0.069564;,
                0.126122;0.065522;,
                0.140461;0.065515;,
                0.140482;0.069557;,
                0.126223;0.084650;,
                0.126202;0.080608;,
                0.140541;0.080600;,
                0.140562;0.084642;,
                0.126202;0.080608;,
                0.126223;0.084650;,
                0.140562;0.084642;,
                0.140541;0.080600;,
                0.126122;0.065522;,
                0.126144;0.069564;,
                0.140482;0.069557;,
                0.140461;0.065515;,
                0.129116;0.058519;,
                0.129152;0.065520;,
                0.129290;0.091650;,
                0.129253;0.084648;,
                0.129290;0.091650;,
                0.129253;0.084648;,
                0.129116;0.058519;,
                0.129152;0.065520;,
                0.133284;0.064039;,
                0.133241;0.055954;,
                0.133400;0.086126;,
                0.133443;0.094210;,
                0.133400;0.086126;,
                0.133443;0.094210;,
                0.133284;0.064039;,
                0.133241;0.055954;,
                0.137394;0.058515;,
                0.137431;0.065516;,
                0.137569;0.091645;,
                0.137532;0.084644;,
                0.137569;0.091645;,
                0.137532;0.084644;,
                0.137394;0.058515;,
                0.137431;0.065516;,
                0.134623;0.038296;,
                0.134184;0.038125;,
                0.134487;0.060312;,
                0.134687;0.060312;,
                0.134069;0.041482;,
                0.134443;0.060312;,
                0.133815;0.041383;,
                0.134356;0.060312;,
                0.134196;0.038296;,
                0.134644;0.038125;,
                0.134687;0.060312;,
                0.134495;0.060312;,
                0.133826;0.041482;,
                0.134355;0.060312;,
                0.134062;0.041383;,
                0.134460;0.060312;,
                0.131315;0.038296;,
                0.131754;0.038125;,
                0.131451;0.060312;,
                0.131250;0.060312;,
                0.131868;0.041482;,
                0.131494;0.060312;,
                0.132123;0.041383;,
                0.131581;0.060312;,
                0.131742;0.038296;,
                0.131293;0.038125;,
                0.131251;0.060312;,
                0.131443;0.060312;,
                0.132112;0.041482;,
                0.131582;0.060312;,
                0.131876;0.041383;,
                0.131478;0.060312;,
                0.202289;0.002485;,
                0.202288;0.002485;,
                0.203056;0.002499;,
                0.203057;0.002499;,
                0.131378;0.022276;,
                0.147233;0.054230;,
                0.130413;0.022851;,
                0.148905;0.053233;,
                0.130400;0.022885;,
                0.148908;0.053186;,
                0.131362;0.022260;,
                0.147242;0.054270;,
                0.132160;0.021789;,
                0.152601;0.050884;,
                0.133103;0.021175;,
                0.150969;0.051946;,
                0.133138;0.021179;,
                0.150927;0.051928;,
                0.132153;0.021767;,
                0.152632;0.050910;,
                0.120000;0.073750;,
                0.133125;0.075000;,
                0.132813;0.081563;,
                0.120000;0.073750;,
                0.132813;0.057813;,
                0.118051;0.017036;,
                0.118065;0.019993;,
                0.118103;0.028073;,
                0.118117;0.031030;,
                0.118117;0.031030;,
                0.118103;0.028073;,
                0.118065;0.019993;,
                0.118051;0.017036;,
                0.125063;0.075086;,
                0.141621;0.075078;,
                0.201608;0.025290;,
                0.201648;0.025290;,
                0.201588;0.025289;,
                0.201497;0.025288;,
                0.201648;0.025290;,
                0.201601;0.025289;,
                0.201498;0.025288;,
                0.201585;0.025289;,
                0.202949;0.025313;,
                0.202909;0.025312;,
                0.202968;0.025313;,
                0.203060;0.025315;,
                0.202909;0.025312;,
                0.202956;0.025313;,
                0.203059;0.025315;,
                0.202972;0.025313;,
                0.140096;0.039624;,
                0.139051;0.036777;,
                0.139454;0.039840;,
                0.138679;0.036903;,
                0.139506;0.039991;,
                0.138735;0.036974;,
                0.140001;0.039500;,
                0.138991;0.036709;,
                0.143208;0.037685;,
                0.141218;0.035427;,
                0.143690;0.037200;,
                0.141497;0.035147;,
                0.143797;0.037317;,
                0.141534;0.035230;,
                0.143144;0.037541;,
                0.141186;0.035341;;
            }

            VertexDuplicationIndices
            {
                181;
                139;
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138;
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                0,
                3,
                87,
                89,
                84,
                85,
                95,
                97,
                92,
                93,
                103,
                105,
                100,
                101,
                111,
                113,
                108,
                109,
                83,
                88,
                82,
                86,
                91,
                96,
                90,
                94,
                99,
                104,
                98,
                102,
                107,
                112,
                106,
                110;
            }

            MeshMaterialList
            {
                1;
                190;
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0;

                Material Material01
                {
                    0.800000;0.800000;0.800000;1.000000;;
                    0.000000;
                    0.000000;0.000000;0.000000;;
                    0.000000;0.000000;0.000000;;

                    TextureFileName
                    {
                        "Other.bmp";
                    }
                }
            }

            XSkinMeshHeader
            {
                1;
                3;
                8;
            }

            SkinWeights
            {
                "mid";
                48;
                82,
                83,
                86,
                88,
                90,
                91,
                94,
                96,
                98,
                99,
                102,
                104,
                106,
                107,
                110,
                112,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                165,
                166,
                167,
                168,
                169,
                170,
                171,
                172,
                173,
                174,
                175,
                176,
                177,
                178,
                179,
                180;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.005556,2.088889,0.000000,1.000000;;
            }

            SkinWeights
            {
                "Inner";
                42;
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                147,
                148;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.005556,0.088889,0.000000,1.000000;;
            }

            SkinWeights
            {
                "Outer";
                50;
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.005171,0.088889,0.000000,1.000000;;
            }

            SkinWeights
            {
                "UpperLeg1";
                9;
                100,
                101,
                103,
                105,
                116,
                157,
                158,
                159,
                160;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                1.173214,1.809722,1.171429,1.000000;;
            }

            SkinWeights
            {
                "UpperLeg2";
                9;
                84,
                85,
                87,
                89,
                114,
                149,
                150,
                151,
                152;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                -1.176786,1.809722,-1.192857,1.000000;;
            }

            SkinWeights
            {
                "UpperLeg3";
                9;
                92,
                93,
                95,
                97,
                115,
                153,
                154,
                155,
                156;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                -1.194445,1.809722,1.164286,1.000000;;
            }

            SkinWeights
            {
                "UpperLeg4";
                9;
                108,
                109,
                111,
                113,
                117,
                161,
                162,
                163,
                164;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                1.184127,1.809722,-1.178571,1.000000;;
            }

            SkinWeights
            {
                "Centre";
                5;
                134,
                135,
                136,
                137,
                138;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.000000,-0.015278,0.000000,1.000000;;
            }
        }
    }
}

AnimationSet AnimationSet0
{
    Animation midAnimation
    {
        {mid}

        AnimationKey
        {
            2;
            5;
            900;3;-0.005556,-2.088889,0.000000;;,
            1000;3;-0.005556,-2.088889,0.000000;;,
            1900;3;-0.005556,-2.088889,0.000000;;,
            2000;3;-0.005556,-2.088889,0.000000;;,
            2900;3;-0.005556,-2.088889,0.000000;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            5;
            900;4;1.000000,0.000000,0.000000,0.000000;;,
            1000;4;1.000000,0.000000,0.000000,0.000000;;,
            1900;4;1.000000,0.000000,0.000000,0.000000;;,
            2000;4;1.000000,0.000000,0.000000,0.000000;;,
            2900;4;1.000000,0.000000,0.000000,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation InnerAnimation
    {
        {Inner}

        AnimationKey
        {
            2;
            3;
            900;3;0.000000,2.000000,0.000000;;,
            1000;3;0.000000,2.000000,0.000000;;,
            2900;3;0.000000,2.000000,0.000000;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            3;
            900;4;0.725374,0.000000,0.688354,0.000000;;,
            1000;4;0.998630,0.000000,0.052336,0.000000;;,
            2900;4;0.052336,0.000000,-0.998630,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation OuterAnimation
    {
        {Outer}

        AnimationKey
        {
            2;
            3;
            900;3;0.000385,2.000000,0.000000;;,
            1000;3;0.000385,2.000000,0.000000;;,
            2900;3;0.000385,2.000000,0.000000;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            3;
            900;4;0.725374,0.000000,-0.688354,0.000000;;,
            1000;4;0.998630,0.000000,-0.052336,0.000000;;,
            2900;4;-0.052336,0.000000,-0.998630,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation UpperLeg1Animation
    {
        {UpperLeg1}

        AnimationKey
        {
            2;
            6;
            0;3;-1.167659,0.279167,-1.171429;;,
            900;3;-1.167659,0.279167,-1.171429;;,
            1000;3;-1.167659,0.279167,-1.171429;;,
            1900;3;-1.167659,0.279167,-1.171429;;,
            2000;3;-1.167659,0.279167,-1.171429;;,
            2900;3;-1.167659,0.279167,-1.171429;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            6;
            0;4;0.982963,0.129410,0.017037,-0.129410;;,
            900;4;0.982963,0.129410,0.017037,-0.129410;;,
            1000;4;1.000000,0.000000,0.000000,0.000000;;,
            1900;4;0.982963,0.129410,0.017037,-0.129410;;,
            2000;4;0.982963,0.129410,0.017037,-0.129410;;,
            2900;4;1.000000,0.000000,0.000000,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation UpperLeg2Animation
    {
        {UpperLeg2}

        AnimationKey
        {
            2;
            6;
            0;3;1.182341,0.279167,1.192857;;,
            900;3;1.182341,0.279167,1.192857;;,
            1000;3;1.182341,0.279167,1.192857;;,
            1900;3;1.182341,0.279167,1.192857;;,
            2000;3;1.182341,0.279167,1.192857;;,
            2900;3;1.182341,0.279167,1.192857;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            6;
            0;4;0.982963,-0.129410,0.017037,0.129410;;,
            900;4;0.982963,-0.129410,0.017037,0.129410;;,
            1000;4;1.000000,0.000000,0.000000,0.000000;;,
            1900;4;0.982963,-0.129410,0.017037,0.129410;;,
            2000;4;0.982963,-0.129410,0.017037,0.129410;;,
            2900;4;1.000000,0.000000,0.000000,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation UpperLeg3Animation
    {
        {UpperLeg3}

        AnimationKey
        {
            2;
            6;
            0;3;1.200000,0.279167,-1.164286;;,
            900;3;1.200000,0.279167,-1.164286;;,
            1000;3;1.200000,0.279167,-1.164286;;,
            1900;3;1.200000,0.279167,-1.164286;;,
            2000;3;1.200000,0.279167,-1.164286;;,
            2900;3;1.200000,0.279167,-1.164286;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            6;
            0;4;0.986192,0.116595,-0.015350,0.116595;;,
            900;4;0.983301,0.128130,-0.016869,0.128130;;,
            1000;4;0.982963,0.129410,-0.017037,0.129410;;,
            1900;4;1.000000,0.000000,0.000000,0.000000;;,
            2000;4;1.000000,0.000000,0.000000,0.000000;;,
            2900;4;0.982963,0.129410,-0.017037,0.129410;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation UpperLeg4Animation
    {
        {UpperLeg4}

        AnimationKey
        {
            2;
            6;
            0;3;-1.178571,0.279167,1.178571;;,
            900;3;-1.178571,0.279167,1.178571;;,
            1000;3;-1.178571,0.279167,1.178571;;,
            1900;3;-1.178571,0.279167,1.178571;;,
            2000;3;-1.178571,0.279167,1.178571;;,
            2900;3;-1.178571,0.279167,1.178571;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            6;
            0;4;0.986192,-0.116595,-0.015350,-0.116595;;,
            900;4;0.983301,-0.128130,-0.016869,-0.128130;;,
            1000;4;0.982963,-0.129410,-0.017037,-0.129410;;,
            1900;4;1.000000,0.000000,0.000000,0.000000;;,
            2000;4;1.000000,0.000000,0.000000,0.000000;;,
            2900;4;0.982963,-0.129410,-0.017037,-0.129410;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation CentreAnimation
    {
        {Centre}

        AnimationKey
        {
            2;
            4;
            0;3;0.005556,2.104167,0.000000;;,
            900;3;0.005556,2.104167,0.000000;;,
            1000;3;0.005556,2.104167,0.000000;;,
            2900;3;0.005556,2.104167,0.000000;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            4;
            0;4;1.000000,0.000000,0.000000,0.000000;;,
            900;4;0.587785,0.000000,-0.809017,0.000000;;,
            1000;4;1.000000,0.000000,0.000000,0.000000;;,
            2900;4;0.500000,0.000000,-0.866025,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }
}
