xof 0303txt 0032

// DirectX - from MilkShape3D

template Header
{
    <3D82AB43-62DA-11CF-AB39-0020AF71E433>
    WORD major;
    WORD minor;
    DWORD flags;
}

template Vector
{
    <3D82AB5E-62DA-11CF-AB39-0020AF71E433>
    FLOAT x;
    FLOAT y;
    FLOAT z;
}

template Coords2d
{
    <F6F23F44-7686-11CF-8F52-0040333594A3>
    FLOAT u;
    FLOAT v;
}

template Matrix4x4
{
    <F6F23F45-7686-11CF-8F52-0040333594A3>
    array FLOAT matrix[16];
}

template ColorRGBA
{
    <35FF44E0-6C7C-11CF-8F52-0040333594A3>
    FLOAT red;
    FLOAT green;
    FLOAT blue;
    FLOAT alpha;
}

template ColorRGB
{
    <D3E16E81-7835-11CF-8F52-0040333594A3>
    FLOAT red;
    FLOAT green;
    FLOAT blue;
}

template IndexedColor
{
    <1630B820-7842-11CF-8F52-0040333594A3>
    DWORD index;
    ColorRGBA indexColor;
}

template Boolean
{
    <4885AE61-78E8-11CF-8F52-0040333594A3>
    DWORD trueFalse;
}

template Boolean2d
{
    <4885AE63-78E8-11CF-8F52-0040333594A3>
    Boolean u;
    Boolean v;
}

template MaterialWrap
{
    <4885AE60-78E8-11CF-8F52-0040333594A3>
    Boolean u;
    Boolean v;
}

template Material
{
    <3D82AB4D-62DA-11CF-AB39-0020AF71E433>
    ColorRGBA faceColor;
    FLOAT power;
    ColorRGB specularColor;
    ColorRGB emissiveColor;
    [...]
}

template TextureFilename
{
    <A42790E1-7810-11CF-8F52-0040333594A3>
    CSTRING filename;
}

template MeshFace
{
    <3D82AB5F-62DA-11CF-AB39-0020AF71E433>
    DWORD nFaceVertexIndices;
    array DWORD FaceVertexIndices[nFaceVertexIndices];
}

template Mesh
{
    <3D82AB44-62DA-11CF-AB39-0020AF71E433>
    DWORD nVertices;
    array Vector vertices[nVertices];
    DWORD nFaces;
    array MeshFace naces[nFaces];
    [...]
}

template MeshNormals
{
    <F6F23F43-7686-11CF-8F52-0040333594A3>
    DWORD nNormals;
    array Vector normals[nNormals];
    DWORD nFaceNormals;
    array MeshFace naceNormals[nFaceNormals];
}

template MeshFaceWraps
{
    <4885AE62-78E8-11CF-8F52-0040333594A3>
    DWORD nFaceWrapValues;
    Boolean2d naceWrapValues;
}

template MeshTextureCoords
{
    <F6F23F40-7686-11CF-8F52-0040333594A3>
    DWORD nTextureCoords;
    array Coords2d textureCoords[nTextureCoords];
}

template VertexDuplicationIndices
{
    <B8D65549-D7C9-4995-89CF-53A9A8B031E3>
    DWORD nIndices;
    DWORD nOriginalVertices;
    array DWORD indices[nIndices];
}

template MeshMaterialList
{
    <F6F23F42-7686-11CF-8F52-0040333594A3>
    DWORD nMaterials;
    DWORD nFaceIndexes;
    array DWORD faceIndexes[nFaceIndexes];
    [Material]
}

template MeshVertexColors
{
    <1630B821-7842-11CF-8F52-0040333594A3>
    DWORD nVertexColors;
    array IndexedColor vertexColors[nVertexColors];
}

template FrameTransformMatrix
{
    <F6F23F41-7686-11CF-8F52-0040333594A3>
    Matrix4x4 frameMatrix;
}

template Frame
{
    <3D82AB46-62DA-11CF-AB39-0020AF71E433>
    [...]
}

template Animation
{
    <3D82AB4F-62DA-11CF-AB39-0020AF71E433>
    [...]
}

template AnimationSet
{
    <3D82AB50-62DA-11CF-AB39-0020AF71E433>
    [Animation]
}

template FloatKeys
{
    <10DD46A9-775B-11CF-8F52-0040333594A3>
    DWORD nValues;
    array FLOAT values[nValues];
}

template TimedFloatKeys
{
    <F406B180-7B3B-11CF-8F52-0040333594A3>
    DWORD time;
    FloatKeys tfkeys;
}

template AnimationKey
{
    <10DD46A8-775B-11CF-8F52-0040333594A3>
    DWORD keyType;
    DWORD nKeys;
    array TimedFloatKeys keys[nKeys];
}

template AnimationOptions
{
    <E2BF56C0-840F-11CF-8F52-0040333594A3>
    DWORD openclosed;
    DWORD positionquality;
}

template XSkinMeshHeader
{
    <3CF169CE-FF7C-44AB-93C0-F78F62D172E2>
    WORD nMaxSkinWeightsPerVertex;
    WORD nMaxSkinWeightsPerFace;
    WORD nBones;
}

template VertexDuplicationIndices
{
    <B8D65549-D7C9-4995-89CF-53A9A8B031E3>
    DWORD nIndices;
    DWORD nOriginalVertices;
    array DWORD indices[nIndices];
}

template SkinWeights
{
    <6F0D123B-BAD2-4167-A0D0-80224F25FABB>
    CSTRING transformNodeName;
    DWORD nWeights;
    array DWORD vertexIndices[nWeights];
    array FLOAT weights[nWeights];
    Matrix4x4 matrixOffset;
}

Frame mid
{
    FrameTransformMatrix
    {
        1.000000,0.000000,0.000000,0.000000,
        0.000000,1.000000,0.000000,0.000000,
        0.000000,0.000000,1.000000,0.000000,
        -0.005556,-2.088889,0.000000,1.000000;;
    }

    Frame Inner
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            0.000000,2.000000,0.000000,1.000000;;
        }
    }

    Frame Outer
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            0.000385,2.000000,0.000000,1.000000;;
        }
    }

    Frame UpperLeg1
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            -1.167659,0.279167,-1.171429,1.000000;;
        }
    }

    Frame UpperLeg2
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            1.182341,0.279167,1.192857,1.000000;;
        }
    }

    Frame UpperLeg3
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            1.200000,0.279167,-1.164286,1.000000;;
        }
    }

    Frame UpperLeg4
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            -1.178571,0.279167,1.178571,1.000000;;
        }
    }

    Frame Centre
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            0.005556,2.104167,0.000000,1.000000;;
        }
    }

    Frame Body
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            0.000000,0.000000,0.000000,1.000000;;
        }

        Mesh MutantMesh
        {
            280;
            0.000000;-2.000000;0.000000;,
            0.866025;-1.732051;0.500000;,
            0.500000;-1.732051;0.866025;,
            0.000000;2.000000;0.000000;,
            0.500000;1.732051;0.866025;,
            0.866025;1.732051;0.500000;,
            -0.500000;-1.732051;0.866025;,
            -0.866025;-1.732051;0.500000;,
            -0.866025;1.732051;0.500000;,
            -0.500000;1.732051;0.866025;,
            -0.866025;-1.732051;-0.500000;,
            -0.500000;-1.732051;-0.866025;,
            -0.500000;1.732051;-0.866025;,
            -0.866025;1.732051;-0.500000;,
            0.500000;-1.732051;-0.866025;,
            0.866025;-1.732051;-0.500000;,
            0.866025;1.732051;-0.500000;,
            0.500000;1.732051;-0.866025;,
            1.500000;-1.000000;0.866025;,
            0.866025;-1.000000;1.500000;,
            -0.866025;-1.000000;1.500000;,
            -1.500000;-1.000000;0.866025;,
            -1.500000;-1.000000;-0.866025;,
            -0.866025;-1.000000;-1.500000;,
            0.866025;-1.000000;-1.500000;,
            1.500000;-1.000000;-0.866025;,
            1.732051;0.000000;1.000000;,
            1.000000;0.000000;1.732051;,
            -1.000000;0.000000;1.732051;,
            -1.732051;0.000000;1.000000;,
            -1.732051;0.000000;-1.000000;,
            -1.000000;0.000000;-1.732051;,
            1.000000;0.000000;-1.732051;,
            1.732051;0.000000;-1.000000;,
            1.500000;1.000000;0.866025;,
            0.866025;1.000000;1.500000;,
            -0.866025;1.000000;1.500000;,
            -1.500000;1.000000;0.866025;,
            -1.500000;1.000000;-0.866025;,
            -0.866025;1.000000;-1.500000;,
            0.866025;1.000000;-1.500000;,
            1.500000;1.000000;-0.866025;,
            0.495000;-1.732051;0.857365;,
            0.857365;-1.732051;0.495000;,
            0.857365;1.732051;0.495000;,
            0.495000;1.732051;0.857365;,
            -0.857365;-1.732051;0.495000;,
            -0.495000;-1.732051;0.857365;,
            -0.495000;1.732051;0.857365;,
            -0.857365;1.732051;0.495000;,
            -0.495000;-1.732051;-0.857365;,
            -0.857365;-1.732051;-0.495000;,
            -0.857365;1.732051;-0.495000;,
            -0.495000;1.732051;-0.857365;,
            0.857365;-1.732051;-0.495000;,
            0.495000;-1.732051;-0.857365;,
            0.495000;1.732051;-0.857365;,
            0.857365;1.732051;-0.495000;,
            1.485000;-1.000000;0.857365;,
            0.857365;-1.000000;1.485000;,
            -1.485000;-1.000000;0.857365;,
            -0.857365;-1.000000;1.485000;,
            -1.485000;-1.000000;-0.857365;,
            -0.857365;-1.000000;-1.485000;,
            1.485000;-1.000000;-0.857365;,
            0.857365;-1.000000;-1.485000;,
            0.990000;0.000000;1.714731;,
            1.714731;0.000000;0.990000;,
            -0.990000;0.000000;1.714731;,
            -1.714731;0.000000;0.990000;,
            -0.990000;0.000000;-1.714731;,
            -1.714731;0.000000;-0.990000;,
            0.990000;0.000000;-1.714731;,
            1.714731;0.000000;-0.990000;,
            1.485000;1.000000;0.857365;,
            0.857365;1.000000;1.485000;,
            -1.485000;1.000000;0.857365;,
            -0.857365;1.000000;1.485000;,
            -1.485000;1.000000;-0.857365;,
            -0.857365;1.000000;-1.485000;,
            1.485000;1.000000;-0.857365;,
            0.857365;1.000000;-1.485000;,
            1.354822;-1.761141;1.005258;,
            0.995348;-1.754372;1.372395;,
            1.243651;-2.633333;1.407143;,
            1.407937;-2.633333;1.250000;,
            0.901464;-1.887359;0.701997;,
            1.207937;-2.633333;1.135714;,
            0.693113;-1.883451;0.895257;,
            1.136508;-2.633333;1.221429;,
            1.005258;-1.761141;-1.354822;,
            1.372395;-1.754372;-0.995348;,
            1.407143;-2.633333;-1.243651;,
            1.250000;-2.633333;-1.407937;,
            0.701997;-1.887359;-0.901464;,
            1.135714;-2.633333;-1.207937;,
            0.895257;-1.883451;-0.693113;,
            1.221429;-2.633333;-1.136508;,
            -1.354822;-1.761141;-1.005258;,
            -0.995348;-1.754372;-1.372395;,
            -1.243651;-2.633333;-1.407143;,
            -1.407937;-2.633333;-1.250000;,
            -0.901464;-1.887359;-0.701997;,
            -1.207937;-2.633333;-1.135714;,
            -0.693113;-1.883451;-0.895257;,
            -1.136508;-2.633333;-1.221429;,
            -1.005258;-1.761141;1.354822;,
            -1.372395;-1.754372;0.995348;,
            -1.407143;-2.633333;1.243651;,
            -1.250000;-2.633333;1.407937;,
            -0.701997;-1.887359;0.901464;,
            -1.135714;-2.633333;1.207937;,
            -0.895257;-1.883451;0.693113;,
            -1.221429;-2.633333;1.136508;,
            0.690476;-3.744444;0.692857;,
            0.692857;-3.744444;-0.690476;,
            -0.690476;-3.744444;-0.692857;,
            -0.692857;-3.744444;0.690476;,
            0.250063;-2.595060;0.875794;,
            1.717128;-1.051233;0.645628;,
            0.860370;-2.596023;0.253060;,
            0.660045;-1.049564;1.724235;,
            0.875794;-2.595060;-0.250063;,
            0.645628;-1.051233;-1.717128;,
            0.253060;-2.596023;-0.860370;,
            1.724235;-1.049564;-0.660045;,
            -0.250063;-2.595060;-0.875794;,
            -1.717128;-1.051233;-0.645628;,
            -0.860370;-2.596023;-0.253060;,
            -0.660045;-1.049564;-1.724235;,
            -0.875794;-2.595060;0.250063;,
            -0.645628;-1.051233;1.717128;,
            -0.253060;-2.596023;0.860370;,
            -1.724235;-1.049564;0.660045;,
            -1.128329;-1.995776;-0.029937;,
            -0.644282;-1.483541;-0.008441;,
            -1.054163;-2.049661;-0.119355;,
            -0.750900;-1.404980;0.112191;,
            -1.056708;-2.047812;0.062657;,
            -0.644282;-1.483541;0.239822;,
            -0.537665;-1.562102;0.112191;,
            -0.982542;-2.101697;-0.026761;,
            -0.034894;-0.955933;-0.031322;,
            -0.219980;-0.954431;-0.209137;,
            -0.216455;-0.954431;0.145590;,
            -0.399586;-0.954431;-0.030297;,
            1.069491;-2.100773;-0.030123;,
            0.699991;-1.500643;-0.008627;,
            1.140736;-2.043080;-0.119541;,
            0.596512;-1.583295;0.112005;,
            1.138292;-2.045059;0.062471;,
            0.699991;-1.500643;0.239635;,
            0.803469;-1.417991;0.112005;,
            1.209537;-1.987366;-0.026947;,
            0.426424;-0.954430;-0.033344;,
            0.243294;-0.954430;-0.209230;,
            0.246818;-0.954430;0.145496;,
            0.062884;-0.955933;-0.025562;,
            0.194881;-0.393657;0.082902;,
            -0.169194;-0.393657;0.082902;,
            0.278292;0.021890;0.149478;,
            -0.252168;0.022197;0.150024;,
            -0.351231;-0.393657;-0.035199;,
            -0.438499;-0.033312;-0.044174;,
            -0.169194;-0.325212;-0.203300;,
            -0.251813;0.271176;-0.234070;,
            0.194881;-0.325212;-0.203300;,
            0.277581;0.270960;-0.234671;,
            0.376918;-0.393657;-0.035199;,
            0.464694;-0.033126;-0.041385;,
            1.186060;0.894841;0.331801;,
            1.101999;0.944324;0.220058;,
            1.146468;0.862497;0.307247;,
            0.699845;0.489237;0.070491;,
            0.633659;0.605812;-0.047297;,
            1.173354;0.889143;0.129773;,
            0.739260;0.522311;-0.171581;,
            0.804335;0.404804;-0.046969;,
            1.217822;0.807316;0.216962;,
            0.415027;0.354721;-0.041584;,
            -1.150586;0.888960;0.307247;,
            -0.697514;0.523552;0.070491;,
            -1.107551;0.971552;0.220058;,
            -0.633373;0.641264;-0.047297;,
            -1.177931;0.915134;0.129773;,
            -0.737501;0.555933;-0.171581;,
            -0.800514;0.437308;-0.046969;,
            -1.220965;0.832543;0.216962;,
            -0.404155;0.354721;-0.041584;,
            0.004561;0.951558;-0.047557;,
            -0.174468;0.867939;-0.047557;,
            0.004561;0.893750;0.072801;,
            0.004561;0.893750;-0.167916;,
            0.183589;0.867939;-0.047557;,
            0.004561;0.393037;0.022801;,
            0.004561;0.665171;0.122656;,
            -0.224362;0.665171;-0.047557;,
            -0.129843;0.436593;-0.047557;,
            0.004561;0.436593;-0.167916;,
            0.004561;0.665171;-0.217770;,
            0.233483;0.665171;-0.047557;,
            0.138964;0.436593;-0.047557;,
            1.732051;0.000000;1.000000;,
            1.000000;0.000000;1.732051;,
            -1.000000;0.000000;1.732051;,
            -1.732051;0.000000;1.000000;,
            -1.732051;0.000000;-1.000000;,
            -1.000000;0.000000;-1.732051;,
            1.000000;0.000000;-1.732051;,
            1.732051;0.000000;-1.000000;,
            0.000000;-2.000000;0.000000;,
            0.000000;2.000000;0.000000;,
            1.207937;-2.633333;1.135714;,
            1.136508;-2.633333;1.221429;,
            1.243651;-2.633333;1.407143;,
            1.407937;-2.633333;1.250000;,
            1.135714;-2.633333;-1.207937;,
            1.221429;-2.633333;-1.136508;,
            1.407143;-2.633333;-1.243651;,
            1.250000;-2.633333;-1.407937;,
            -1.207937;-2.633333;-1.135714;,
            -1.136508;-2.633333;-1.221429;,
            -1.243651;-2.633333;-1.407143;,
            -1.407937;-2.633333;-1.250000;,
            -1.135714;-2.633333;1.207937;,
            -1.221429;-2.633333;1.136508;,
            -1.407143;-2.633333;1.243651;,
            -1.250000;-2.633333;1.407937;,
            0.995348;-1.754372;1.372395;,
            0.693113;-1.883451;0.895257;,
            1.354822;-1.761141;1.005258;,
            0.901464;-1.887359;0.701997;,
            1.372395;-1.754372;-0.995348;,
            0.895257;-1.883451;-0.693113;,
            1.005258;-1.761141;-1.354822;,
            0.701997;-1.887359;-0.901464;,
            -0.995348;-1.754372;-1.372395;,
            -0.693113;-1.883451;-0.895257;,
            -1.354822;-1.761141;-1.005258;,
            -0.901464;-1.887359;-0.701997;,
            -1.372395;-1.754372;0.995348;,
            -0.895257;-1.883451;0.693113;,
            -1.005258;-1.761141;1.354822;,
            -0.701997;-1.887359;0.901464;,
            -0.351231;-0.393657;-0.035199;,
            -0.438499;-0.033312;-0.044174;,
            -0.169194;-0.325212;-0.203300;,
            -0.219980;-0.954431;-0.209137;,
            -0.169194;-0.325212;-0.203300;,
            0.243294;-0.954430;-0.209230;,
            -0.169194;-0.325212;-0.203300;,
            -0.251813;0.271176;-0.234070;,
            0.194881;-0.325212;-0.203300;,
            0.194881;-0.325212;-0.203300;,
            0.194881;-0.325212;-0.203300;,
            0.277581;0.270960;-0.234671;,
            0.376918;-0.393657;-0.035199;,
            0.464694;-0.033126;-0.041385;,
            0.804335;0.404804;-0.046969;,
            0.739260;0.522311;-0.171581;,
            0.633659;0.605812;-0.047297;,
            0.415027;0.354721;-0.041584;,
            -0.800514;0.437308;-0.046969;,
            -0.737501;0.555933;-0.171581;,
            -0.633373;0.641264;-0.047297;,
            -0.404155;0.354721;-0.041584;,
            0.004561;0.951558;-0.047557;,
            -0.174468;0.867939;-0.047557;,
            0.183589;0.867939;-0.047557;,
            -0.129843;0.436593;-0.047557;,
            -0.224362;0.665171;-0.047557;,
            0.138964;0.436593;-0.047557;,
            0.233483;0.665171;-0.047557;,
            0.004561;0.436593;-0.167916;,
            -0.251813;0.271176;-0.234070;,
            -0.129843;0.436593;-0.047557;,
            -0.404155;0.354721;-0.041584;,
            0.277581;0.270960;-0.234671;,
            0.138964;0.436593;-0.047557;,
            0.415027;0.354721;-0.041584;;
            307;
            3;0,1,2;,
            3;3,4,5;,
            3;0,6,7;,
            3;3,8,9;,
            3;0,10,11;,
            3;3,12,13;,
            3;0,14,15;,
            3;3,16,17;,
            3;1,18,2;,
            3;18,19,2;,
            3;6,20,21;,
            3;6,21,7;,
            3;10,22,11;,
            3;22,23,11;,
            3;14,24,25;,
            3;14,25,15;,
            3;18,26,27;,
            3;18,27,19;,
            3;20,28,21;,
            3;28,29,21;,
            3;22,30,31;,
            3;22,31,23;,
            3;24,32,25;,
            3;32,33,25;,
            3;202,34,203;,
            3;34,35,203;,
            3;204,36,37;,
            3;204,37,205;,
            3;206,38,207;,
            3;38,39,207;,
            3;208,40,41;,
            3;208,41,209;,
            3;34,5,4;,
            3;34,4,35;,
            3;36,9,37;,
            3;9,8,37;,
            3;38,13,12;,
            3;38,12,39;,
            3;40,17,41;,
            3;17,16,41;,
            3;42,43,210;,
            3;44,45,211;,
            3;46,47,210;,
            3;48,49,211;,
            3;50,51,210;,
            3;52,53,211;,
            3;54,55,210;,
            3;56,57,211;,
            3;42,58,43;,
            3;42,59,58;,
            3;60,61,47;,
            3;46,60,47;,
            3;50,62,51;,
            3;50,63,62;,
            3;64,65,55;,
            3;54,64,55;,
            3;66,67,58;,
            3;59,66,58;,
            3;60,68,61;,
            3;60,69,68;,
            3;70,71,62;,
            3;63,70,62;,
            3;64,72,65;,
            3;64,73,72;,
            3;66,74,67;,
            3;66,75,74;,
            3;76,77,68;,
            3;69,76,68;,
            3;70,78,71;,
            3;70,79,78;,
            3;80,81,72;,
            3;73,80,72;,
            3;45,44,74;,
            3;75,45,74;,
            3;76,48,77;,
            3;76,49,48;,
            3;53,52,78;,
            3;79,53,78;,
            3;80,56,81;,
            3;80,57,56;,
            3;82,83,84;,
            3;82,84,85;,
            3;85,86,82;,
            3;87,86,85;,
            3;83,88,84;,
            3;84,88,89;,
            3;87,89,88;,
            3;86,87,88;,
            3;90,91,92;,
            3;90,92,93;,
            3;93,94,90;,
            3;95,94,93;,
            3;91,96,92;,
            3;92,96,97;,
            3;95,97,96;,
            3;94,95,96;,
            3;98,99,100;,
            3;98,100,101;,
            3;101,102,98;,
            3;103,102,101;,
            3;99,104,100;,
            3;100,104,105;,
            3;103,105,104;,
            3;102,103,104;,
            3;106,107,108;,
            3;106,108,109;,
            3;109,110,106;,
            3;111,110,109;,
            3;107,112,108;,
            3;108,112,113;,
            3;111,113,112;,
            3;110,111,112;,
            3;212,114,213;,
            3;213,114,214;,
            3;214,114,215;,
            3;215,114,212;,
            3;216,115,217;,
            3;217,115,218;,
            3;218,115,219;,
            3;219,115,216;,
            3;220,116,221;,
            3;221,116,222;,
            3;222,116,223;,
            3;223,116,220;,
            3;224,117,225;,
            3;225,117,226;,
            3;226,117,227;,
            3;227,117,224;,
            3;118,119,120;,
            3;118,121,119;,
            3;228,121,229;,
            3;118,229,121;,
            3;228,119,121;,
            3;228,230,119;,
            3;231,119,230;,
            3;231,120,119;,
            3;231,118,120;,
            3;231,229,118;,
            3;122,123,124;,
            3;122,125,123;,
            3;232,125,233;,
            3;122,233,125;,
            3;232,123,125;,
            3;232,234,123;,
            3;235,123,234;,
            3;235,124,123;,
            3;235,122,124;,
            3;235,233,122;,
            3;119,120,122;,
            3;122,125,119;,
            3;120,119,122;,
            3;122,119,125;,
            3;126,127,128;,
            3;126,129,127;,
            3;236,129,237;,
            3;126,237,129;,
            3;236,127,129;,
            3;236,238,127;,
            3;239,127,238;,
            3;239,128,127;,
            3;239,126,128;,
            3;239,237,126;,
            3;123,124,126;,
            3;126,129,123;,
            3;126,123,129;,
            3;126,124,123;,
            3;130,131,132;,
            3;130,133,131;,
            3;240,133,241;,
            3;130,241,133;,
            3;240,131,133;,
            3;240,242,131;,
            3;243,131,242;,
            3;243,132,131;,
            3;243,130,132;,
            3;243,241,130;,
            3;132,118,131;,
            3;118,121,131;,
            3;130,127,128;,
            3;130,133,127;,
            3;127,133,130;,
            3;127,130,128;,
            3;132,131,118;,
            3;118,131,121;,
            3;134,135,136;,
            3;135,134,137;,
            3;137,134,138;,
            3;137,138,139;,
            3;139,138,140;,
            3;140,138,141;,
            3;140,141,136;,
            3;135,140,136;,
            3;142,135,143;,
            3;135,142,140;,
            3;140,142,144;,
            3;140,144,139;,
            3;139,144,137;,
            3;137,144,145;,
            3;137,145,143;,
            3;135,137,143;,
            3;146,147,148;,
            3;147,146,149;,
            3;149,146,150;,
            3;149,150,151;,
            3;151,150,152;,
            3;152,150,153;,
            3;152,153,148;,
            3;147,152,148;,
            3;154,147,155;,
            3;147,154,152;,
            3;152,154,156;,
            3;152,156,151;,
            3;151,156,149;,
            3;149,156,157;,
            3;149,157,155;,
            3;147,149,155;,
            3;156,158,159;,
            3;156,159,144;,
            3;158,160,159;,
            3;160,161,159;,
            3;144,159,162;,
            3;144,162,145;,
            3;162,161,163;,
            3;159,161,162;,
            3;145,162,164;,
            3;145,164,143;,
            3;244,245,246;,
            3;245,165,246;,
            3;247,248,249;,
            3;248,166,249;,
            3;250,251,167;,
            3;250,167,252;,
            3;155,253,168;,
            3;155,168,154;,
            3;254,255,256;,
            3;255,169,256;,
            3;154,168,156;,
            3;168,158,156;,
            3;168,257,160;,
            3;168,160,158;,
            3;170,171,172;,
            3;171,173,172;,
            3;173,171,174;,
            3;174,171,175;,
            3;174,175,176;,
            3;176,175,177;,
            3;177,175,178;,
            3;177,178,172;,
            3;173,177,172;,
            3;257,173,160;,
            3;173,257,177;,
            3;258,169,255;,
            3;258,255,259;,
            3;259,255,260;,
            3;260,255,179;,
            3;174,261,160;,
            3;173,174,160;,
            3;180,181,182;,
            3;183,182,181;,
            3;184,182,183;,
            3;185,184,183;,
            3;186,184,185;,
            3;187,184,186;,
            3;180,187,186;,
            3;180,186,181;,
            3;161,181,163;,
            3;186,163,181;,
            3;165,245,262;,
            3;263,165,262;,
            3;264,165,263;,
            3;188,165,264;,
            3;161,265,183;,
            3;161,183,181;,
            3;157,142,155;,
            3;143,155,142;,
            3;142,157,156;,
            3;142,156,144;,
            3;189,190,191;,
            3;266,192,267;,
            3;266,193,192;,
            3;189,191,268;,
            3;194,195,196;,
            3;194,196,197;,
            3;269,270,198;,
            3;270,199,198;,
            3;198,199,200;,
            3;198,200,201;,
            3;271,272,194;,
            3;272,195,194;,
            3;195,191,196;,
            3;191,190,196;,
            3;270,267,192;,
            3;270,192,199;,
            3;199,192,200;,
            3;192,193,200;,
            3;272,268,191;,
            3;272,191,195;,
            3;261,271,160;,
            3;197,265,161;,
            3;161,194,197;,
            3;160,271,194;,
            3;160,194,161;,
            3;273,274,275;,
            3;274,276,275;,
            3;273,277,274;,
            3;277,273,278;,
            3;278,279,277;;

            MeshNormals
            {
                274;
                0.000000;-1.000000;0.000000;,
                0.361523;-0.859420;0.361523;,
                0.415019;-0.809641;0.415019;,
                0.000000;1.000000;0.000000;,
                0.415019;0.809641;0.415019;,
                0.361523;0.859420;0.361523;,
                -0.415019;-0.809641;0.415019;,
                -0.361523;-0.859420;0.361523;,
                -0.361523;0.859420;0.361523;,
                -0.415019;0.809641;0.415019;,
                -0.361523;-0.859420;-0.361523;,
                -0.415019;-0.809641;-0.415019;,
                -0.415019;0.809641;-0.415019;,
                -0.361523;0.859420;-0.361523;,
                0.415019;-0.809641;-0.415019;,
                0.361523;-0.859420;-0.361523;,
                0.361523;0.859420;-0.361523;,
                0.415019;0.809641;-0.415019;,
                0.616894;-0.488757;0.616894;,
                0.616894;-0.488757;0.616894;,
                -0.616894;-0.488757;0.616894;,
                -0.616894;-0.488757;0.616894;,
                -0.616894;-0.488757;-0.616894;,
                -0.616894;-0.488757;-0.616894;,
                0.616894;-0.488757;-0.616894;,
                0.616894;-0.488757;-0.616894;,
                0.684550;-0.250563;0.684550;,
                0.684550;-0.250563;0.684550;,
                -0.684550;-0.250563;0.684550;,
                -0.684550;-0.250563;0.684550;,
                -0.684550;-0.250563;-0.684550;,
                -0.684550;-0.250563;-0.684550;,
                0.684550;-0.250563;-0.684550;,
                0.684550;-0.250563;-0.684550;,
                0.684550;0.250563;0.684550;,
                0.616894;0.488757;0.616894;,
                0.684550;0.250563;0.684550;,
                0.616894;0.488757;0.616894;,
                -0.684550;0.250563;0.684550;,
                -0.616894;0.488757;0.616894;,
                -0.616894;0.488757;0.616894;,
                -0.684550;0.250563;0.684550;,
                -0.684550;0.250563;-0.684550;,
                -0.616894;0.488757;-0.616894;,
                -0.684550;0.250563;-0.684550;,
                -0.616894;0.488757;-0.616894;,
                0.684550;0.250563;-0.684550;,
                0.616894;0.488757;-0.616894;,
                0.616894;0.488757;-0.616894;,
                0.684550;0.250563;-0.684550;,
                -0.417443;0.807144;-0.417443;,
                -0.363836;0.857465;-0.363836;,
                0.000000;1.000000;0.000000;,
                -0.363836;-0.857465;-0.363836;,
                -0.417443;-0.807144;-0.417443;,
                0.000000;-1.000000;0.000000;,
                0.363836;0.857465;-0.363836;,
                0.417443;0.807144;-0.417443;,
                0.417443;-0.807144;-0.417443;,
                0.363836;-0.857465;-0.363836;,
                0.417443;0.807144;0.417443;,
                0.363836;0.857465;0.363836;,
                0.363836;-0.857465;0.363836;,
                0.417443;-0.807144;0.417443;,
                -0.363836;0.857465;0.363836;,
                -0.417443;0.807144;0.417443;,
                -0.417443;-0.807144;0.417443;,
                -0.363836;-0.857465;0.363836;,
                -0.618177;0.485505;-0.618177;,
                -0.618177;0.485505;-0.618177;,
                0.618177;0.485505;-0.618177;,
                0.618177;0.485505;-0.618177;,
                0.618177;0.485505;0.618177;,
                0.618177;0.485505;0.618177;,
                -0.618177;0.485505;0.618177;,
                -0.618177;0.485505;0.618177;,
                -0.707107;0.000000;-0.707107;,
                0.707107;0.000000;-0.707107;,
                0.707107;0.000000;0.707107;,
                -0.707107;0.000000;0.707107;,
                -0.618177;-0.485505;-0.618177;,
                -0.618177;-0.485505;-0.618177;,
                0.618177;-0.485505;-0.618177;,
                0.618177;-0.485505;-0.618177;,
                0.618177;-0.485505;0.618177;,
                0.618177;-0.485505;0.618177;,
                -0.618177;-0.485505;0.618177;,
                -0.618177;-0.485505;0.618177;,
                0.948617;0.133810;0.286741;,
                -0.082379;0.016121;0.996471;,
                -0.107535;-0.010184;0.994149;,
                0.876040;-0.120201;-0.467018;,
                0.197774;-0.419900;-0.885759;,
                -0.279466;-0.575843;-0.768312;,
                -0.861876;-0.506688;-0.020926;,
                -0.856378;-0.515886;-0.021891;,
                0.286741;0.133810;-0.948617;,
                0.996471;0.016121;0.082379;,
                0.994149;-0.010184;0.107535;,
                -0.467018;-0.120201;-0.876040;,
                -0.885759;-0.419900;-0.197774;,
                -0.768312;-0.575843;0.279466;,
                -0.020926;-0.506688;0.861876;,
                -0.021891;-0.515886;0.856378;,
                -0.948617;0.133810;-0.286741;,
                0.082379;0.016121;-0.996471;,
                0.107535;-0.010184;-0.994149;,
                -0.876040;-0.120201;0.467018;,
                -0.197774;-0.419900;0.885759;,
                0.279466;-0.575843;0.768312;,
                0.861876;-0.506688;0.020926;,
                0.856378;-0.515886;0.021891;,
                -0.286741;0.133810;0.948617;,
                -0.996471;0.016121;-0.082379;,
                -0.994149;-0.010184;-0.107535;,
                0.467018;-0.120201;0.876040;,
                0.885759;-0.419900;0.197774;,
                0.768312;-0.575843;-0.279466;,
                0.020926;-0.506688;-0.861876;,
                0.021891;-0.515886;-0.856378;,
                -0.104294;0.409761;-0.906211;,
                -0.796286;0.192421;-0.573501;,
                -0.922610;0.384574;-0.029875;,
                -0.264579;-0.424829;0.865747;,
                0.865632;-0.432295;-0.252591;,
                -0.906211;0.409761;0.104294;,
                -0.573501;0.192421;0.796286;,
                -0.029875;0.384574;0.922610;,
                0.865747;-0.424829;0.264579;,
                -0.252591;-0.432295;-0.865632;,
                0.104294;0.409761;0.906211;,
                0.796286;0.192421;0.573501;,
                0.922610;0.384574;0.029875;,
                0.264579;-0.424829;-0.865747;,
                -0.865632;-0.432295;0.252591;,
                0.906211;0.409761;-0.104294;,
                0.573501;0.192421;-0.796286;,
                0.029875;0.384574;-0.922610;,
                -0.865747;-0.424829;-0.264579;,
                0.252591;-0.432295;0.865632;,
                0.748014;-0.310543;0.586548;,
                0.972846;-0.062355;0.222895;,
                0.556774;-0.412265;0.721138;,
                0.161114;-0.427161;0.889705;,
                0.370509;-0.268021;0.889319;,
                0.309374;-0.609950;0.729554;,
                0.903387;-0.421751;0.077574;,
                0.704995;-0.568700;0.423747;,
                0.586548;-0.310543;-0.748014;,
                0.222895;-0.062355;-0.972846;,
                0.721138;-0.412265;-0.556774;,
                0.889705;-0.427161;-0.161114;,
                0.889319;-0.268021;-0.370509;,
                0.729554;-0.609950;-0.309374;,
                0.077574;-0.421751;-0.903387;,
                0.423747;-0.568700;-0.704995;,
                -0.748014;-0.310543;-0.586548;,
                -0.972846;-0.062355;-0.222895;,
                -0.556774;-0.412265;-0.721138;,
                -0.161114;-0.427161;-0.889705;,
                -0.370509;-0.268021;-0.889319;,
                -0.309374;-0.609950;-0.729554;,
                -0.903387;-0.421751;-0.077574;,
                -0.704995;-0.568700;-0.423747;,
                -0.586548;-0.310543;0.748014;,
                -0.222895;-0.062355;0.972846;,
                -0.721138;-0.412265;0.556774;,
                -0.889705;-0.427161;0.161114;,
                -0.889319;-0.268021;0.370509;,
                -0.729554;-0.609950;0.309374;,
                -0.077574;-0.421751;0.903387;,
                -0.423747;-0.568700;0.704995;,
                -0.747935;0.565973;-0.346796;,
                -0.010115;-0.058623;-0.998229;,
                0.331609;-0.065223;-0.941160;,
                -0.835112;0.539333;0.108206;,
                -0.154027;-0.196640;0.968302;,
                -0.032034;-0.046366;0.998411;,
                0.778409;-0.613789;0.131690;,
                0.770108;-0.637815;0.011219;,
                0.276923;-0.954943;-0.106754;,
                -0.461195;-0.317121;-0.828694;,
                -0.190248;-0.055489;0.980167;,
                -0.923822;0.308025;-0.227320;,
                -0.740268;-0.575965;-0.346797;,
                0.036205;-0.040219;-0.998535;,
                0.148825;0.303427;-0.941160;,
                -0.716548;-0.680787;0.151945;,
                0.150074;-0.199672;0.968302;,
                0.036649;-0.046468;0.998247;,
                0.783847;0.611600;0.107373;,
                0.815400;0.578789;0.011218;,
                0.897542;0.368047;-0.242818;,
                0.241989;-0.609295;-0.755117;,
                0.163519;-0.184992;0.969041;,
                -0.370427;-0.928135;0.036737;,
                0.282173;-0.037380;0.958635;,
                -0.186740;-0.033979;0.981821;,
                0.136893;0.147208;0.979587;,
                -0.147841;0.189023;0.970780;,
                -0.800261;-0.033079;0.598738;,
                -0.609201;-0.325417;0.723172;,
                -0.696221;0.058210;-0.715464;,
                -0.632626;-0.172016;-0.755112;,
                -0.546190;-0.202060;-0.812926;,
                -0.617137;-0.148087;-0.772795;,
                -0.133399;0.098549;-0.986150;,
                -0.000202;0.009293;-0.999957;,
                -0.000101;0.009359;-0.999956;,
                -0.000001;0.009425;-0.999956;,
                -0.000578;-0.052117;-0.998641;,
                -0.001156;-0.051685;-0.998663;,
                -0.000001;-0.052549;-0.998618;,
                0.689260;0.059838;-0.722039;,
                0.920846;-0.015722;0.389608;,
                0.646081;-0.129208;-0.752253;,
                0.270092;0.044514;-0.961805;,
                0.612334;-0.141907;-0.777759;,
                0.486808;-0.235180;-0.841254;,
                0.605077;-0.324967;0.726828;,
                -0.397544;-0.194190;0.896799;,
                -0.684428;0.698436;0.209152;,
                -0.146455;-0.467637;0.871703;,
                -0.091419;-0.070021;0.993348;,
                -0.568763;0.799766;0.192049;,
                0.223782;0.472360;-0.852525;,
                0.358033;0.302105;-0.883484;,
                0.691215;-0.685429;0.228928;,
                0.499440;-0.823428;0.269307;,
                0.398380;-0.436706;-0.806586;,
                0.089158;0.085322;-0.992356;,
                -0.585590;0.767937;-0.259531;,
                -0.729171;0.640398;0.241246;,
                -0.284727;0.562546;0.776191;,
                0.154594;-0.465010;0.871703;,
                0.093046;-0.068153;0.993327;,
                0.672135;0.710275;0.209152;,
                0.577489;0.799803;0.163775;,
                -0.231992;0.468381;-0.852525;,
                -0.363251;0.295810;-0.883485;,
                -0.681186;-0.695390;0.228951;,
                -0.484993;-0.832019;0.269307;,
                -0.405199;-0.429182;-0.807228;,
                -0.083252;0.076050;-0.993622;,
                0.619837;0.752088;-0.223977;,
                0.735609;0.594905;0.323989;,
                0.330556;0.580073;0.744479;,
                -0.000000;0.901419;0.432948;,
                -0.523784;0.532480;0.664917;,
                -0.000000;0.495680;0.868505;,
                -0.000000;0.901419;-0.432948;,
                -0.000000;0.495680;-0.868505;,
                -0.523784;0.532481;-0.664917;,
                0.523784;0.532481;-0.664917;,
                0.523784;0.532481;0.664917;,
                -0.000472;0.052563;0.998618;,
                -0.000000;-0.070364;0.997521;,
                -0.570381;-0.045971;0.820093;,
                -0.322167;0.258896;0.910594;,
                -0.643091;-0.265924;-0.718135;,
                -0.608014;-0.032275;-0.793270;,
                -0.000000;-0.279014;-0.960287;,
                -0.000000;-0.000001;-1.000000;,
                0.608014;-0.032275;-0.793270;,
                0.643091;-0.265924;-0.718135;,
                0.321093;0.262696;0.909885;,
                0.570381;-0.045971;0.820093;,
                -0.005092;0.739384;-0.673265;,
                -0.230483;0.697066;-0.678953;,
                -0.326884;0.802971;-0.498382;,
                -0.250588;0.799798;-0.545462;,
                0.226177;0.707048;-0.670020;,
                0.320805;0.814524;-0.483358;,
                0.251584;0.809622;-0.530300;;
                307;
                3;0,1,2;,
                3;3,4,5;,
                3;0,6,7;,
                3;3,8,9;,
                3;0,10,11;,
                3;3,12,13;,
                3;0,14,15;,
                3;3,16,17;,
                3;1,18,2;,
                3;18,19,2;,
                3;6,20,21;,
                3;6,21,7;,
                3;10,22,11;,
                3;22,23,11;,
                3;14,24,25;,
                3;14,25,15;,
                3;18,26,27;,
                3;18,27,19;,
                3;20,28,21;,
                3;28,29,21;,
                3;22,30,31;,
                3;22,31,23;,
                3;24,32,25;,
                3;32,33,25;,
                3;34,35,36;,
                3;35,37,36;,
                3;38,39,40;,
                3;38,40,41;,
                3;42,43,44;,
                3;43,45,44;,
                3;46,47,48;,
                3;46,48,49;,
                3;35,5,4;,
                3;35,4,37;,
                3;39,9,40;,
                3;9,8,40;,
                3;43,13,12;,
                3;43,12,45;,
                3;47,17,48;,
                3;17,16,48;,
                3;50,51,52;,
                3;53,54,55;,
                3;56,57,52;,
                3;58,59,55;,
                3;60,61,52;,
                3;62,63,55;,
                3;64,65,52;,
                3;66,67,55;,
                3;50,68,51;,
                3;50,69,68;,
                3;70,71,57;,
                3;56,70,57;,
                3;60,72,61;,
                3;60,73,72;,
                3;74,75,65;,
                3;64,74,65;,
                3;76,76,68;,
                3;69,76,68;,
                3;70,77,71;,
                3;70,77,77;,
                3;78,78,72;,
                3;73,78,72;,
                3;74,79,75;,
                3;74,79,79;,
                3;76,80,76;,
                3;76,81,80;,
                3;82,83,77;,
                3;77,82,77;,
                3;78,84,78;,
                3;78,85,84;,
                3;86,87,79;,
                3;79,86,79;,
                3;54,53,80;,
                3;81,54,80;,
                3;82,58,83;,
                3;82,59,58;,
                3;63,62,84;,
                3;85,63,84;,
                3;86,66,87;,
                3;86,67,66;,
                3;88,89,90;,
                3;88,90,91;,
                3;91,92,88;,
                3;93,92,91;,
                3;89,94,90;,
                3;90,94,95;,
                3;93,95,94;,
                3;92,93,94;,
                3;96,97,98;,
                3;96,98,99;,
                3;99,100,96;,
                3;101,100,99;,
                3;97,102,98;,
                3;98,102,103;,
                3;101,103,102;,
                3;100,101,102;,
                3;104,105,106;,
                3;104,106,107;,
                3;107,108,104;,
                3;109,108,107;,
                3;105,110,106;,
                3;106,110,111;,
                3;109,111,110;,
                3;108,109,110;,
                3;112,113,114;,
                3;112,114,115;,
                3;115,116,112;,
                3;117,116,115;,
                3;113,118,114;,
                3;114,118,119;,
                3;117,119,118;,
                3;116,117,118;,
                3;120,121,122;,
                3;122,121,123;,
                3;123,121,124;,
                3;124,121,120;,
                3;125,126,127;,
                3;127,126,128;,
                3;128,126,129;,
                3;129,126,125;,
                3;130,131,132;,
                3;132,131,133;,
                3;133,131,134;,
                3;134,131,130;,
                3;135,136,137;,
                3;137,136,138;,
                3;138,136,139;,
                3;139,136,135;,
                3;140,141,142;,
                3;140,143,141;,
                3;144,143,145;,
                3;140,145,143;,
                3;144,141,143;,
                3;144,146,141;,
                3;147,141,146;,
                3;147,142,141;,
                3;147,140,142;,
                3;147,145,140;,
                3;148,149,150;,
                3;148,151,149;,
                3;152,151,153;,
                3;148,153,151;,
                3;152,149,151;,
                3;152,154,149;,
                3;155,149,154;,
                3;155,150,149;,
                3;155,148,150;,
                3;155,153,148;,
                3;141,142,148;,
                3;148,151,141;,
                3;142,141,148;,
                3;148,141,151;,
                3;156,157,158;,
                3;156,159,157;,
                3;160,159,161;,
                3;156,161,159;,
                3;160,157,159;,
                3;160,162,157;,
                3;163,157,162;,
                3;163,158,157;,
                3;163,156,158;,
                3;163,161,156;,
                3;149,150,156;,
                3;156,159,149;,
                3;156,149,159;,
                3;156,150,149;,
                3;164,165,166;,
                3;164,167,165;,
                3;168,167,169;,
                3;164,169,167;,
                3;168,165,167;,
                3;168,170,165;,
                3;171,165,170;,
                3;171,166,165;,
                3;171,164,166;,
                3;171,169,164;,
                3;166,140,165;,
                3;140,143,165;,
                3;164,157,158;,
                3;164,167,157;,
                3;157,167,164;,
                3;157,164,158;,
                3;166,165,140;,
                3;140,165,143;,
                3;172,173,174;,
                3;173,172,175;,
                3;175,172,176;,
                3;175,176,177;,
                3;177,176,178;,
                3;178,176,179;,
                3;178,179,174;,
                3;173,178,174;,
                3;180,173,181;,
                3;173,180,178;,
                3;178,180,182;,
                3;178,182,177;,
                3;177,182,175;,
                3;175,182,183;,
                3;175,183,181;,
                3;173,175,181;,
                3;184,185,186;,
                3;185,184,187;,
                3;187,184,188;,
                3;187,188,189;,
                3;189,188,190;,
                3;190,188,191;,
                3;190,191,186;,
                3;185,190,186;,
                3;192,185,193;,
                3;185,192,190;,
                3;190,192,194;,
                3;190,194,189;,
                3;189,194,187;,
                3;187,194,195;,
                3;187,195,193;,
                3;185,187,193;,
                3;194,196,197;,
                3;194,197,182;,
                3;196,198,197;,
                3;198,199,197;,
                3;182,197,200;,
                3;182,200,183;,
                3;200,199,201;,
                3;197,199,200;,
                3;183,200,202;,
                3;183,202,181;,
                3;203,204,205;,
                3;204,206,205;,
                3;207,208,208;,
                3;208,209,208;,
                3;210,211,210;,
                3;210,210,212;,
                3;193,213,214;,
                3;193,214,192;,
                3;215,216,217;,
                3;216,218,217;,
                3;192,214,194;,
                3;214,196,194;,
                3;214,219,198;,
                3;214,198,196;,
                3;220,221,222;,
                3;221,223,222;,
                3;223,221,224;,
                3;224,221,225;,
                3;224,225,226;,
                3;226,225,227;,
                3;227,225,228;,
                3;227,228,222;,
                3;223,227,222;,
                3;219,223,198;,
                3;223,219,227;,
                3;229,218,216;,
                3;229,216,230;,
                3;230,216,231;,
                3;231,216,232;,
                3;224,233,198;,
                3;223,224,198;,
                3;234,235,236;,
                3;237,236,235;,
                3;238,236,237;,
                3;239,238,237;,
                3;240,238,239;,
                3;241,238,240;,
                3;234,241,240;,
                3;234,240,235;,
                3;199,235,201;,
                3;240,201,235;,
                3;206,204,242;,
                3;243,206,242;,
                3;244,206,243;,
                3;245,206,244;,
                3;199,246,237;,
                3;199,237,235;,
                3;195,180,193;,
                3;181,193,180;,
                3;180,195,194;,
                3;180,194,182;,
                3;247,248,249;,
                3;250,251,252;,
                3;250,253,251;,
                3;247,249,254;,
                3;255,256,257;,
                3;255,257,258;,
                3;259,260,261;,
                3;260,262,261;,
                3;261,262,263;,
                3;261,263,264;,
                3;265,266,255;,
                3;266,256,255;,
                3;256,249,257;,
                3;249,248,257;,
                3;260,252,251;,
                3;260,251,262;,
                3;262,251,263;,
                3;251,253,263;,
                3;266,254,249;,
                3;266,249,256;,
                3;233,265,198;,
                3;258,246,199;,
                3;199,255,258;,
                3;198,265,255;,
                3;198,255,199;,
                3;267,268,269;,
                3;268,270,269;,
                3;267,271,268;,
                3;271,267,272;,
                3;272,273,271;;
            }

            MeshTextureCoords
            {
                280;
                0.132028;0.024024;,
                0.130037;0.027660;,
                0.130065;0.026109;,
                0.131097;0.023732;,
                0.129344;0.021752;,
                0.129337;0.020274;,
                0.130141;0.021869;,
                0.130169;0.020318;,
                0.129370;0.027271;,
                0.129363;0.025792;,
                0.130169;0.020318;,
                0.130141;0.021869;,
                0.129363;0.025792;,
                0.129370;0.027271;,
                0.130065;0.026109;,
                0.130037;0.027660;,
                0.129337;0.020274;,
                0.129344;0.021752;,
                0.124728;0.030253;,
                0.124776;0.027566;,
                0.124908;0.020223;,
                0.124956;0.017536;,
                0.124956;0.017536;,
                0.124908;0.020223;,
                0.124776;0.027566;,
                0.124728;0.030253;,
                0.117524;0.031108;,
                0.117579;0.028004;,
                0.117732;0.019526;,
                0.117788;0.016423;,
                0.117788;0.016423;,
                0.117732;0.019526;,
                0.117579;0.028004;,
                0.117524;0.031108;,
                0.124562;0.017823;,
                0.124574;0.020384;,
                0.124607;0.027381;,
                0.124619;0.029942;,
                0.124619;0.029942;,
                0.124607;0.027381;,
                0.124574;0.020384;,
                0.124562;0.017823;,
                0.126144;0.069564;,
                0.126122;0.065522;,
                0.140461;0.065515;,
                0.140482;0.069557;,
                0.126223;0.084650;,
                0.126202;0.080608;,
                0.140541;0.080600;,
                0.140562;0.084642;,
                0.126202;0.080608;,
                0.126223;0.084650;,
                0.140562;0.084642;,
                0.140541;0.080600;,
                0.126122;0.065522;,
                0.126144;0.069564;,
                0.140482;0.069557;,
                0.140461;0.065515;,
                0.129116;0.058519;,
                0.129152;0.065520;,
                0.129290;0.091650;,
                0.129253;0.084648;,
                0.129290;0.091650;,
                0.129253;0.084648;,
                0.129116;0.058519;,
                0.129152;0.065520;,
                0.133284;0.064039;,
                0.133241;0.055954;,
                0.133400;0.086126;,
                0.133443;0.094210;,
                0.133400;0.086126;,
                0.133443;0.094210;,
                0.133284;0.064039;,
                0.133241;0.055954;,
                0.137394;0.058515;,
                0.137431;0.065516;,
                0.137569;0.091645;,
                0.137532;0.084644;,
                0.137569;0.091645;,
                0.137532;0.084644;,
                0.137394;0.058515;,
                0.137431;0.065516;,
                0.134623;0.038296;,
                0.134184;0.038125;,
                0.134487;0.060312;,
                0.134687;0.060312;,
                0.134069;0.041482;,
                0.134443;0.060312;,
                0.133815;0.041383;,
                0.134356;0.060312;,
                0.134196;0.038296;,
                0.134644;0.038125;,
                0.134687;0.060312;,
                0.134495;0.060312;,
                0.133826;0.041482;,
                0.134355;0.060312;,
                0.134062;0.041383;,
                0.134460;0.060312;,
                0.131315;0.038296;,
                0.131754;0.038125;,
                0.131451;0.060312;,
                0.131250;0.060312;,
                0.131868;0.041482;,
                0.131494;0.060312;,
                0.132123;0.041383;,
                0.131581;0.060312;,
                0.131742;0.038296;,
                0.131293;0.038125;,
                0.131251;0.060312;,
                0.131443;0.060312;,
                0.132112;0.041482;,
                0.131582;0.060312;,
                0.131876;0.041383;,
                0.131478;0.060312;,
                0.202289;0.002485;,
                0.202288;0.002485;,
                0.203056;0.002499;,
                0.203057;0.002499;,
                0.131378;0.022276;,
                0.147233;0.054230;,
                0.130413;0.022851;,
                0.148905;0.053233;,
                0.130400;0.022885;,
                0.148908;0.053186;,
                0.131362;0.022260;,
                0.147242;0.054270;,
                0.132160;0.021789;,
                0.152601;0.050884;,
                0.133103;0.021175;,
                0.150969;0.051946;,
                0.133138;0.021179;,
                0.150927;0.051928;,
                0.132153;0.021767;,
                0.152632;0.050910;,
                0.594529;0.922469;,
                0.570910;0.729062;,
                0.570608;0.922469;,
                0.605466;0.728816;,
                0.571429;0.922469;,
                0.570910;0.729062;,
                0.536354;0.729308;,
                0.547508;0.922469;,
                0.506597;0.535656;,
                0.554892;0.535240;,
                0.553972;0.535240;,
                0.601757;0.535240;,
                0.440607;0.922469;,
                0.416988;0.729062;,
                0.416686;0.922469;,
                0.451544;0.728816;,
                0.417507;0.922469;,
                0.416988;0.729062;,
                0.382432;0.729308;,
                0.393586;0.922469;,
                0.386224;0.535240;,
                0.434009;0.535240;,
                0.433089;0.535240;,
                0.481084;0.535656;,
                0.446641;0.380062;,
                0.541640;0.380062;,
                0.424877;0.265071;,
                0.563291;0.264986;,
                0.589140;0.380062;,
                0.611911;0.280347;,
                0.541640;0.361122;,
                0.439987;0.309103;,
                0.532010;0.375000;,
                0.519531;0.320335;,
                0.399142;0.380062;,
                0.417390;0.367872;,
                0.099962;0.212795;,
                0.108465;0.187354;,
                0.113300;0.212610;,
                0.265179;0.212291;,
                0.258856;0.175807;,
                0.103457;0.211743;,
                0.251753;0.212291;,
                0.258455;0.248775;,
                0.108293;0.236999;,
                0.418956;0.292969;,
                0.874981;0.212610;,
                0.723102;0.212291;,
                0.879816;0.187354;,
                0.729425;0.175807;,
                0.884824;0.211743;,
                0.736528;0.212291;,
                0.729827;0.248775;,
                0.879988;0.236999;,
                0.444792;0.292969;,
                0.496302;0.007813;,
                0.543016;0.030952;,
                0.496302;0.023809;,
                0.496094;0.007853;,
                0.471655;0.009615;,
                0.496302;0.162367;,
                0.496302;0.087062;,
                0.556035;0.087062;,
                0.531372;0.150314;,
                0.496094;0.039063;,
                0.496094;0.023458;,
                0.464844;0.023458;,
                0.477746;0.039063;,
                0.118051;0.017036;,
                0.118065;0.019993;,
                0.118103;0.028073;,
                0.118117;0.031030;,
                0.118117;0.031030;,
                0.118103;0.028073;,
                0.118065;0.019993;,
                0.118051;0.017036;,
                0.125063;0.075086;,
                0.141621;0.075078;,
                0.201608;0.025290;,
                0.201648;0.025290;,
                0.201588;0.025289;,
                0.201497;0.025288;,
                0.201648;0.025290;,
                0.201601;0.025289;,
                0.201498;0.025288;,
                0.201585;0.025289;,
                0.202949;0.025313;,
                0.202909;0.025312;,
                0.202968;0.025313;,
                0.203060;0.025315;,
                0.202909;0.025312;,
                0.202956;0.025313;,
                0.203059;0.025315;,
                0.202972;0.025313;,
                0.140096;0.039624;,
                0.139051;0.036777;,
                0.139454;0.039840;,
                0.138679;0.036903;,
                0.139506;0.039991;,
                0.138735;0.036974;,
                0.140001;0.039500;,
                0.138991;0.036709;,
                0.143208;0.037685;,
                0.141218;0.035427;,
                0.143690;0.037200;,
                0.141497;0.035147;,
                0.143797;0.037317;,
                0.141534;0.035230;,
                0.143144;0.037541;,
                0.141186;0.035341;,
                0.443123;0.437500;,
                0.445875;0.367908;,
                0.437382;0.424282;,
                0.605469;0.527344;,
                0.596476;0.375000;,
                0.523438;0.527344;,
                0.582167;0.381138;,
                0.593750;0.320313;,
                0.531125;0.381138;,
                0.446641;0.361122;,
                0.425899;0.424282;,
                0.423291;0.309145;,
                0.420158;0.437500;,
                0.376238;0.280295;,
                0.403154;0.345874;,
                0.402344;0.320411;,
                0.403202;0.294949;,
                0.389198;0.172970;,
                0.460128;0.345874;,
                0.460938;0.320411;,
                0.460079;0.294949;,
                0.602949;0.172970;,
                0.496094;0.003906;,
                0.520533;0.009615;,
                0.449588;0.030952;,
                0.514441;0.039063;,
                0.527344;0.023458;,
                0.461232;0.150314;,
                0.436569;0.087062;,
                0.562584;0.468750;,
                0.587034;0.589685;,
                0.575401;0.468750;,
                0.601563;0.528606;,
                0.536546;0.589844;,
                0.549766;0.468750;,
                0.523438;0.528606;;
            }

            VertexDuplicationIndices
            {
                280;
                202;
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158,
                159,
                160,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170,
                171,
                172,
                173,
                174,
                175,
                176,
                177,
                178,
                179,
                180,
                181,
                182,
                183,
                184,
                185,
                186,
                187,
                188,
                189,
                190,
                191,
                192,
                193,
                194,
                195,
                196,
                197,
                198,
                199,
                200,
                201;
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                0,
                3,
                87,
                89,
                84,
                85,
                95,
                97,
                92,
                93,
                103,
                105,
                100,
                101,
                111,
                113,
                108,
                109,
                83,
                88,
                82,
                86,
                91,
                96,
                90,
                94,
                99,
                104,
                98,
                102,
                107,
                112,
                106,
                110,
                162,
                163,
                164,
                143,
                164,
                155,
                164,
                165,
                166,
                166,
                166,
                167,
                168,
                169,
                177,
                176,
                174,
                179,
                186,
                185,
                183,
                188,
                189,
                190,
                193,
                197,
                196,
                201,
                200,
                198,
                165,
                197,
                188,
                167,
                201,
                179;
            }

            MeshMaterialList
            {
                1;
                307;
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0;

                Material Material01
                {
                    0.800000;0.800000;0.800000;1.000000;;
                    0.000000;
                    0.000000;0.000000;0.000000;;
                    0.000000;0.000000;0.000000;;

                    TextureFileName
                    {
                        "Tex1.bmp";
                    }
                }
            }

            XSkinMeshHeader
            {
                1;
                3;
                7;
            }

            SkinWeights
            {
                "mid";
                152;
                82,
                83,
                86,
                88,
                90,
                91,
                94,
                96,
                98,
                99,
                102,
                104,
                106,
                107,
                110,
                112,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158,
                159,
                160,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170,
                171,
                172,
                173,
                174,
                175,
                176,
                177,
                178,
                179,
                180,
                181,
                182,
                183,
                184,
                185,
                186,
                187,
                188,
                189,
                190,
                191,
                192,
                193,
                194,
                195,
                196,
                197,
                198,
                199,
                200,
                201,
                228,
                229,
                230,
                231,
                232,
                233,
                234,
                235,
                236,
                237,
                238,
                239,
                240,
                241,
                242,
                243,
                244,
                245,
                246,
                247,
                248,
                249,
                250,
                251,
                252,
                253,
                254,
                255,
                256,
                257,
                258,
                259,
                260,
                261,
                262,
                263,
                264,
                265,
                266,
                267,
                268,
                269,
                270,
                271,
                272,
                273,
                274,
                275,
                276,
                277,
                278,
                279;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.005556,2.088889,0.000000,1.000000;;
            }

            SkinWeights
            {
                "Inner";
                42;
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                210,
                211;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.005556,0.088889,0.000000,1.000000;;
            }

            SkinWeights
            {
                "Outer";
                50;
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                202,
                203,
                204,
                205,
                206,
                207,
                208,
                209;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.005171,0.088889,0.000000,1.000000;;
            }

            SkinWeights
            {
                "UpperLeg1";
                9;
                100,
                101,
                103,
                105,
                116,
                220,
                221,
                222,
                223;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                1.173214,1.809722,1.171429,1.000000;;
            }

            SkinWeights
            {
                "UpperLeg2";
                9;
                84,
                85,
                87,
                89,
                114,
                212,
                213,
                214,
                215;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                -1.176786,1.809722,-1.192857,1.000000;;
            }

            SkinWeights
            {
                "UpperLeg3";
                9;
                92,
                93,
                95,
                97,
                115,
                216,
                217,
                218,
                219;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                -1.194445,1.809722,1.164286,1.000000;;
            }

            SkinWeights
            {
                "UpperLeg4";
                9;
                108,
                109,
                111,
                113,
                117,
                224,
                225,
                226,
                227;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                1.184127,1.809722,-1.178571,1.000000;;
            }
        }
    }
}

AnimationSet AnimationSet0
{
    Animation midAnimation
    {
        {mid}

        AnimationKey
        {
            2;
            5;
            900;3;-0.005556,-2.088889,0.000000;;,
            1000;3;-0.005556,-2.088889,0.000000;;,
            1900;3;-0.005556,-2.088889,0.000000;;,
            2000;3;-0.005556,-2.088889,0.000000;;,
            2900;3;-0.005556,-2.088889,0.000000;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            5;
            900;4;1.000000,0.000000,0.000000,0.000000;;,
            1000;4;1.000000,0.000000,0.000000,0.000000;;,
            1900;4;1.000000,0.000000,0.000000,0.000000;;,
            2000;4;1.000000,0.000000,0.000000,0.000000;;,
            2900;4;1.000000,0.000000,0.000000,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation InnerAnimation
    {
        {Inner}

        AnimationKey
        {
            2;
            3;
            900;3;0.000000,2.000000,0.000000;;,
            1000;3;0.000000,2.000000,0.000000;;,
            2900;3;0.000000,2.000000,0.000000;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            3;
            900;4;0.725374,0.000000,0.688354,0.000000;;,
            1000;4;0.998630,0.000000,0.052336,0.000000;;,
            2900;4;0.052336,0.000000,-0.998630,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation OuterAnimation
    {
        {Outer}

        AnimationKey
        {
            2;
            3;
            900;3;0.000385,2.000000,0.000000;;,
            1000;3;0.000385,2.000000,0.000000;;,
            2900;3;0.000385,2.000000,0.000000;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            3;
            900;4;0.725374,0.000000,-0.688354,0.000000;;,
            1000;4;0.998630,0.000000,-0.052336,0.000000;;,
            2900;4;-0.052336,0.000000,-0.998630,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation UpperLeg1Animation
    {
        {UpperLeg1}

        AnimationKey
        {
            2;
            6;
            0;3;-1.167659,0.279167,-1.171429;;,
            900;3;-1.167659,0.279167,-1.171429;;,
            1000;3;-1.167659,0.279167,-1.171429;;,
            1900;3;-1.167659,0.279167,-1.171429;;,
            2000;3;-1.167659,0.279167,-1.171429;;,
            2900;3;-1.167659,0.279167,-1.171429;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            6;
            0;4;0.982963,0.129410,0.017037,-0.129410;;,
            900;4;0.982963,0.129410,0.017037,-0.129410;;,
            1000;4;1.000000,0.000000,0.000000,0.000000;;,
            1900;4;0.982963,0.129410,0.017037,-0.129410;;,
            2000;4;0.982963,0.129410,0.017037,-0.129410;;,
            2900;4;1.000000,0.000000,0.000000,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation UpperLeg2Animation
    {
        {UpperLeg2}

        AnimationKey
        {
            2;
            6;
            0;3;1.182341,0.279167,1.192857;;,
            900;3;1.182341,0.279167,1.192857;;,
            1000;3;1.182341,0.279167,1.192857;;,
            1900;3;1.182341,0.279167,1.192857;;,
            2000;3;1.182341,0.279167,1.192857;;,
            2900;3;1.182341,0.279167,1.192857;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            6;
            0;4;0.982963,-0.129410,0.017037,0.129410;;,
            900;4;0.982963,-0.129410,0.017037,0.129410;;,
            1000;4;1.000000,0.000000,0.000000,0.000000;;,
            1900;4;0.982963,-0.129410,0.017037,0.129410;;,
            2000;4;0.982963,-0.129410,0.017037,0.129410;;,
            2900;4;1.000000,0.000000,0.000000,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation UpperLeg3Animation
    {
        {UpperLeg3}

        AnimationKey
        {
            2;
            6;
            0;3;1.200000,0.279167,-1.164286;;,
            900;3;1.200000,0.279167,-1.164286;;,
            1000;3;1.200000,0.279167,-1.164286;;,
            1900;3;1.200000,0.279167,-1.164286;;,
            2000;3;1.200000,0.279167,-1.164286;;,
            2900;3;1.200000,0.279167,-1.164286;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            6;
            0;4;0.986192,0.116595,-0.015350,0.116595;;,
            900;4;0.983301,0.128130,-0.016869,0.128130;;,
            1000;4;0.982963,0.129410,-0.017037,0.129410;;,
            1900;4;1.000000,0.000000,0.000000,0.000000;;,
            2000;4;1.000000,0.000000,0.000000,0.000000;;,
            2900;4;0.982963,0.129410,-0.017037,0.129410;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation UpperLeg4Animation
    {
        {UpperLeg4}

        AnimationKey
        {
            2;
            6;
            0;3;-1.178571,0.279167,1.178571;;,
            900;3;-1.178571,0.279167,1.178571;;,
            1000;3;-1.178571,0.279167,1.178571;;,
            1900;3;-1.178571,0.279167,1.178571;;,
            2000;3;-1.178571,0.279167,1.178571;;,
            2900;3;-1.178571,0.279167,1.178571;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            6;
            0;4;0.986192,-0.116595,-0.015350,-0.116595;;,
            900;4;0.983301,-0.128130,-0.016869,-0.128130;;,
            1000;4;0.982963,-0.129410,-0.017037,-0.129410;;,
            1900;4;1.000000,0.000000,0.000000,0.000000;;,
            2000;4;1.000000,0.000000,0.000000,0.000000;;,
            2900;4;0.982963,-0.129410,-0.017037,-0.129410;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }

    Animation CentreAnimation
    {
        {Centre}

        AnimationKey
        {
            2;
            4;
            0;3;0.005556,2.104167,0.000000;;,
            900;3;0.005556,2.104167,0.000000;;,
            1000;3;0.005556,2.104167,0.000000;;,
            2900;3;0.005556,2.104167,0.000000;;;
        }

        AnimationOptions
        {
            1;
            0;
        }

        AnimationKey
        {
            0;
            4;
            0;4;1.000000,0.000000,0.000000,0.000000;;,
            900;4;0.587785,0.000000,-0.809017,0.000000;;,
            1000;4;1.000000,0.000000,0.000000,0.000000;;,
            2900;4;0.500000,0.000000,-0.866025,0.000000;;;
        }

        AnimationOptions
        {
            1;
            1;
        }
    }
}
