xof 0303txt 0032

// DirectX - from MilkShape3D

template Header
{
    <3D82AB43-62DA-11CF-AB39-0020AF71E433>
    WORD major;
    WORD minor;
    DWORD flags;
}

template Vector
{
    <3D82AB5E-62DA-11CF-AB39-0020AF71E433>
    FLOAT x;
    FLOAT y;
    FLOAT z;
}

template Coords2d
{
    <F6F23F44-7686-11CF-8F52-0040333594A3>
    FLOAT u;
    FLOAT v;
}

template Matrix4x4
{
    <F6F23F45-7686-11CF-8F52-0040333594A3>
    array FLOAT matrix[16];
}

template ColorRGBA
{
    <35FF44E0-6C7C-11CF-8F52-0040333594A3>
    FLOAT red;
    FLOAT green;
    FLOAT blue;
    FLOAT alpha;
}

template ColorRGB
{
    <D3E16E81-7835-11CF-8F52-0040333594A3>
    FLOAT red;
    FLOAT green;
    FLOAT blue;
}

template IndexedColor
{
    <1630B820-7842-11CF-8F52-0040333594A3>
    DWORD index;
    ColorRGBA indexColor;
}

template Boolean
{
    <4885AE61-78E8-11CF-8F52-0040333594A3>
    DWORD trueFalse;
}

template Boolean2d
{
    <4885AE63-78E8-11CF-8F52-0040333594A3>
    Boolean u;
    Boolean v;
}

template MaterialWrap
{
    <4885AE60-78E8-11CF-8F52-0040333594A3>
    Boolean u;
    Boolean v;
}

template Material
{
    <3D82AB4D-62DA-11CF-AB39-0020AF71E433>
    ColorRGBA faceColor;
    FLOAT power;
    ColorRGB specularColor;
    ColorRGB emissiveColor;
    [...]
}

template TextureFilename
{
    <A42790E1-7810-11CF-8F52-0040333594A3>
    CSTRING filename;
}

template MeshFace
{
    <3D82AB5F-62DA-11CF-AB39-0020AF71E433>
    DWORD nFaceVertexIndices;
    array DWORD FaceVertexIndices[nFaceVertexIndices];
}

template Mesh
{
    <3D82AB44-62DA-11CF-AB39-0020AF71E433>
    DWORD nVertices;
    array Vector vertices[nVertices];
    DWORD nFaces;
    array MeshFace naces[nFaces];
    [...]
}

template MeshNormals
{
    <F6F23F43-7686-11CF-8F52-0040333594A3>
    DWORD nNormals;
    array Vector normals[nNormals];
    DWORD nFaceNormals;
    array MeshFace naceNormals[nFaceNormals];
}

template MeshFaceWraps
{
    <4885AE62-78E8-11CF-8F52-0040333594A3>
    DWORD nFaceWrapValues;
    Boolean2d naceWrapValues;
}

template MeshTextureCoords
{
    <F6F23F40-7686-11CF-8F52-0040333594A3>
    DWORD nTextureCoords;
    array Coords2d textureCoords[nTextureCoords];
}

template VertexDuplicationIndices
{
    <B8D65549-D7C9-4995-89CF-53A9A8B031E3>
    DWORD nIndices;
    DWORD nOriginalVertices;
    array DWORD indices[nIndices];
}

template MeshMaterialList
{
    <F6F23F42-7686-11CF-8F52-0040333594A3>
    DWORD nMaterials;
    DWORD nFaceIndexes;
    array DWORD faceIndexes[nFaceIndexes];
    [Material]
}

template MeshVertexColors
{
    <1630B821-7842-11CF-8F52-0040333594A3>
    DWORD nVertexColors;
    array IndexedColor vertexColors[nVertexColors];
}

template FrameTransformMatrix
{
    <F6F23F41-7686-11CF-8F52-0040333594A3>
    Matrix4x4 frameMatrix;
}

template Frame
{
    <3D82AB46-62DA-11CF-AB39-0020AF71E433>
    [...]
}

template Animation
{
    <3D82AB4F-62DA-11CF-AB39-0020AF71E433>
    [...]
}

template AnimationSet
{
    <3D82AB50-62DA-11CF-AB39-0020AF71E433>
    [Animation]
}

template FloatKeys
{
    <10DD46A9-775B-11CF-8F52-0040333594A3>
    DWORD nValues;
    array FLOAT values[nValues];
}

template TimedFloatKeys
{
    <F406B180-7B3B-11CF-8F52-0040333594A3>
    DWORD time;
    FloatKeys tfkeys;
}

template AnimationKey
{
    <10DD46A8-775B-11CF-8F52-0040333594A3>
    DWORD keyType;
    DWORD nKeys;
    array TimedFloatKeys keys[nKeys];
}

template AnimationOptions
{
    <E2BF56C0-840F-11CF-8F52-0040333594A3>
    DWORD openclosed;
    DWORD positionquality;
}

Frame PodFrame
{
    FrameTransformMatrix
    {
        1.000000,0.000000,0.000000,0.000000,
        0.000000,1.000000,0.000000,0.000000,
        0.000000,0.000000,1.000000,0.000000,
        0.000000,0.000000,0.000000,1.000000;;
    }

    Mesh PodMesh
    {
        620;
        0.000000;-2.275065;-0.004140;,
        0.433871;-2.175066;-0.248362;,
        0.467246;-2.175066;-0.004140;,
        0.233623;-2.175066;-0.457696;,
        0.000000;-2.175066;-0.492585;,
        -0.233623;-2.175066;-0.457696;,
        -0.433871;-2.175066;-0.248362;,
        -0.467246;-2.175066;-0.004140;,
        -0.433871;-2.175066;0.240083;,
        -0.233623;-2.175066;0.449417;,
        0.000000;-2.175066;0.484306;,
        0.233623;-2.175066;0.449417;,
        0.433871;-2.175066;0.240083;,
        1.335676;-1.355027;-0.002070;,
        1.001241;-1.675065;-0.004140;,
        1.168115;-1.375065;-0.701918;,
        0.867743;-1.675065;-0.492585;,
        0.467246;-1.675065;-0.876363;,
        0.667494;-1.375065;-1.225253;,
        0.000000;-1.389597;-1.409134;,
        0.000000;-1.675065;-1.015920;,
        -0.467246;-1.675065;-0.876363;,
        -0.667494;-1.375065;-1.225253;,
        -1.168115;-1.375065;-0.701918;,
        -0.867743;-1.675065;-0.492585;,
        -1.001241;-1.675065;-0.004140;,
        -1.331131;-1.355027;-0.002070;,
        -1.168115;-1.375065;0.693639;,
        -0.867743;-1.675065;0.484306;,
        -0.467246;-1.675065;0.868084;,
        -0.667494;-1.375065;1.216973;,
        0.000000;-1.384954;1.393923;,
        0.000000;-1.675065;1.007640;,
        0.467246;-1.675065;0.868084;,
        0.667494;-1.375065;1.216973;,
        1.168115;-1.375065;0.693639;,
        0.867743;-1.675065;0.484306;,
        1.001241;-1.675065;-0.004140;,
        0.867743;-1.975065;-0.004140;,
        0.767618;-1.975065;-0.457696;,
        0.867743;-1.675065;-0.492585;,
        0.867743;-1.675065;-0.492585;,
        0.767618;-1.975065;-0.457696;,
        0.467246;-1.675065;-0.876363;,
        0.433871;-1.975065;-0.736808;,
        0.000000;-1.975065;-0.876363;,
        0.000000;-1.675065;-1.015920;,
        -0.467246;-1.675065;-0.876363;,
        -0.433871;-1.975065;-0.736808;,
        -0.767618;-1.975065;-0.457696;,
        -0.867743;-1.675065;-0.492585;,
        -0.867743;-1.675065;-0.492585;,
        -0.767618;-1.975065;-0.457696;,
        -1.001241;-1.675065;-0.004140;,
        -0.867743;-1.975065;-0.004140;,
        -0.767618;-1.975065;0.449417;,
        -0.867743;-1.675065;0.484306;,
        -0.867743;-1.675065;0.484306;,
        -0.767618;-1.975065;0.449417;,
        -0.467246;-1.675065;0.868084;,
        -0.433871;-1.975065;0.728528;,
        0.000000;-1.975065;0.868084;,
        0.000000;-1.675065;1.007640;,
        0.467246;-1.675065;0.868084;,
        0.433871;-1.975065;0.728528;,
        0.767618;-1.975065;0.449417;,
        0.867743;-1.675065;0.484306;,
        0.867743;-1.675065;0.484306;,
        0.767618;-1.975065;0.449417;,
        0.467246;-2.175066;-0.004140;,
        0.433871;-2.175066;-0.248362;,
        0.433871;-2.175066;-0.248362;,
        0.233623;-2.175066;-0.457696;,
        0.000000;-2.175066;-0.492585;,
        -0.233623;-2.175066;-0.457696;,
        -0.433871;-2.175066;-0.248362;,
        -0.433871;-2.175066;-0.248362;,
        -0.467246;-2.175066;-0.004140;,
        -0.433871;-2.175066;0.240083;,
        -0.433871;-2.175066;0.240083;,
        -0.233623;-2.175066;0.449417;,
        0.000000;-2.175066;0.484306;,
        0.233623;-2.175066;0.449417;,
        0.433871;-2.175066;0.240083;,
        0.433871;-2.175066;0.240083;,
        0.000000;2.263636;0.000000;,
        0.433871;2.163636;0.244223;,
        0.467246;2.163636;0.000000;,
        0.233623;2.163636;0.453557;,
        0.000000;2.163636;0.488446;,
        -0.233623;2.163636;0.453557;,
        -0.433871;2.163636;0.244223;,
        -0.467246;2.163636;0.000000;,
        -0.433871;2.163636;-0.244223;,
        -0.233623;2.163636;-0.453556;,
        0.000000;2.163636;-0.488445;,
        0.233623;2.163636;-0.453556;,
        0.433871;2.163636;-0.244223;,
        1.335676;1.349312;0.000000;,
        1.001241;1.663637;0.000000;,
        1.168115;1.363636;0.697779;,
        0.867743;1.663637;0.488446;,
        0.467246;1.663637;0.872223;,
        0.667494;1.363636;1.221113;,
        0.000000;1.379954;1.395993;,
        0.000000;1.663637;1.011780;,
        -0.467246;1.663637;0.872223;,
        -0.667494;1.363636;1.221113;,
        -1.168115;1.363636;0.697779;,
        -0.867743;1.663637;0.488446;,
        -1.001241;1.663637;0.000000;,
        -1.331131;1.349312;0.000000;,
        -1.168115;1.363636;-0.697779;,
        -0.867743;1.663637;-0.488445;,
        -0.467246;1.663637;-0.872224;,
        -0.667494;1.363636;-1.221113;,
        0.000000;1.375311;-1.407065;,
        0.000000;1.663637;-1.011780;,
        0.467246;1.663637;-0.872224;,
        0.667494;1.363636;-1.221113;,
        1.168115;1.363636;-0.697779;,
        0.867743;1.663637;-0.488445;,
        1.001241;1.663637;0.000000;,
        0.867743;1.963636;0.000000;,
        0.767618;1.963636;0.453557;,
        0.867743;1.663637;0.488446;,
        0.867743;1.663637;0.488446;,
        0.767618;1.963636;0.453557;,
        0.467246;1.663637;0.872223;,
        0.433871;1.963636;0.732668;,
        0.000000;1.963636;0.872223;,
        0.000000;1.663637;1.011780;,
        -0.467246;1.663637;0.872223;,
        -0.433871;1.963636;0.732668;,
        -0.767618;1.963636;0.453557;,
        -0.867743;1.663637;0.488446;,
        -0.867743;1.663637;0.488446;,
        -0.767618;1.963636;0.453557;,
        -1.001241;1.663637;0.000000;,
        -0.867743;1.963636;0.000000;,
        -0.767618;1.963636;-0.453556;,
        -0.867743;1.663637;-0.488445;,
        -0.867743;1.663637;-0.488445;,
        -0.767618;1.963636;-0.453556;,
        -0.467246;1.663637;-0.872224;,
        -0.433871;1.963636;-0.732668;,
        0.000000;1.963636;-0.872224;,
        0.000000;1.663637;-1.011780;,
        0.467246;1.663637;-0.872224;,
        0.433871;1.963636;-0.732668;,
        0.767618;1.963636;-0.453556;,
        0.867743;1.663637;-0.488445;,
        0.867743;1.663637;-0.488445;,
        0.767618;1.963636;-0.453556;,
        0.467246;2.163636;0.000000;,
        0.433871;2.163636;0.244223;,
        0.433871;2.163636;0.244223;,
        0.233623;2.163636;0.453557;,
        0.000000;2.163636;0.488446;,
        -0.233623;2.163636;0.453557;,
        -0.433871;2.163636;0.244223;,
        -0.433871;2.163636;0.244223;,
        -0.467246;2.163636;0.000000;,
        -0.433871;2.163636;-0.244223;,
        -0.433871;2.163636;-0.244223;,
        -0.233623;2.163636;-0.453556;,
        0.000000;2.163636;-0.488445;,
        0.233623;2.163636;-0.453556;,
        0.433871;2.163636;-0.244223;,
        0.433871;2.163636;-0.244223;,
        0.000000;0.000714;2.296428;,
        0.433871;-0.243508;2.196429;,
        0.467246;0.000714;2.196429;,
        0.233623;-0.452842;2.196429;,
        0.000000;-0.487731;2.196429;,
        -0.233623;-0.452842;2.196429;,
        -0.433871;-0.243508;2.196429;,
        -0.467246;0.000714;2.196429;,
        -0.433871;0.244937;2.196429;,
        -0.233623;0.454270;2.196429;,
        0.000000;0.489160;2.196429;,
        0.233623;0.454270;2.196429;,
        0.433871;0.244937;2.196429;,
        1.335676;0.000357;1.395993;,
        1.001242;0.000714;1.696429;,
        1.168115;-0.697065;1.396428;,
        0.867743;-0.487731;1.696429;,
        0.467246;-0.871509;1.696429;,
        0.667494;-1.220399;1.396428;,
        0.000000;-1.011066;1.696429;,
        -0.467246;-0.871509;1.696429;,
        -0.667494;-1.220399;1.396428;,
        -1.168114;-0.697065;1.396428;,
        -0.867743;-0.487731;1.696429;,
        -1.001241;0.000714;1.696429;,
        -1.331130;0.000357;1.395993;,
        -1.168114;0.698493;1.396428;,
        -0.867743;0.489160;1.696429;,
        -0.467246;0.872938;1.696429;,
        -0.667494;1.221827;1.396428;,
        0.000000;1.012494;1.696429;,
        0.467246;0.872938;1.696429;,
        0.667494;1.221827;1.396428;,
        1.168115;0.698493;1.396428;,
        0.867743;0.489160;1.696429;,
        1.001242;0.000714;1.696429;,
        0.867743;0.000714;1.996428;,
        0.767618;-0.452842;1.996428;,
        0.867743;-0.487731;1.696429;,
        0.867743;-0.487731;1.696429;,
        0.767618;-0.452842;1.996428;,
        0.467246;-0.871509;1.696429;,
        0.433871;-0.731954;1.996428;,
        0.000000;-0.871509;1.996428;,
        0.000000;-1.011066;1.696429;,
        -0.467246;-0.871509;1.696429;,
        -0.433871;-0.731954;1.996428;,
        -0.767618;-0.452842;1.996428;,
        -0.867743;-0.487731;1.696429;,
        -0.867743;-0.487731;1.696429;,
        -0.767618;-0.452842;1.996428;,
        -1.001241;0.000714;1.696429;,
        -0.867743;0.000714;1.996428;,
        -0.767618;0.454270;1.996428;,
        -0.867743;0.489160;1.696429;,
        -0.867743;0.489160;1.696429;,
        -0.767618;0.454270;1.996428;,
        -0.467246;0.872938;1.696429;,
        -0.433871;0.733382;1.996428;,
        0.000000;0.872938;1.996428;,
        0.000000;1.012494;1.696429;,
        0.467246;0.872938;1.696429;,
        0.433871;0.733382;1.996428;,
        0.767618;0.454270;1.996428;,
        0.867743;0.489160;1.696429;,
        0.867743;0.489160;1.696429;,
        0.767618;0.454270;1.996428;,
        0.467246;0.000714;2.196429;,
        0.433871;-0.243508;2.196429;,
        0.433871;-0.243508;2.196429;,
        0.233623;-0.452842;2.196429;,
        0.000000;-0.487731;2.196429;,
        -0.233623;-0.452842;2.196429;,
        -0.433871;-0.243508;2.196429;,
        -0.433871;-0.243508;2.196429;,
        -0.467246;0.000714;2.196429;,
        -0.433871;0.244937;2.196429;,
        -0.433871;0.244937;2.196429;,
        -0.233623;0.454270;2.196429;,
        0.000000;0.489160;2.196429;,
        0.233623;0.454270;2.196429;,
        0.433871;0.244937;2.196429;,
        0.433871;0.244937;2.196429;,
        0.000000;-0.008572;-2.318572;,
        0.433871;0.235651;-2.218571;,
        0.467246;-0.008572;-2.218571;,
        0.233623;0.444985;-2.218571;,
        0.000000;0.479874;-2.218571;,
        -0.233623;0.444985;-2.218571;,
        -0.433871;0.235651;-2.218571;,
        -0.467246;-0.008572;-2.218571;,
        -0.433871;-0.252794;-2.218571;,
        -0.233623;-0.462128;-2.218571;,
        0.000000;-0.497017;-2.218571;,
        0.233623;-0.462128;-2.218571;,
        0.433871;-0.252794;-2.218571;,
        1.335676;-0.004286;-1.407064;,
        1.001241;-0.008572;-1.718572;,
        1.168115;0.689207;-1.418571;,
        0.867743;0.479874;-1.718572;,
        0.467246;0.863652;-1.718572;,
        0.667494;1.212542;-1.418571;,
        0.000000;1.003208;-1.718572;,
        -0.467246;0.863652;-1.718572;,
        -0.667494;1.212542;-1.418571;,
        -1.168115;0.689207;-1.418571;,
        -0.867743;0.479874;-1.718572;,
        -1.001241;-0.008572;-1.718572;,
        -1.331131;-0.004286;-1.407064;,
        -1.168115;-0.706350;-1.418571;,
        -0.867743;-0.497017;-1.718572;,
        -0.467246;-0.880795;-1.718572;,
        -0.667494;-1.229685;-1.418571;,
        0.000000;-1.020352;-1.718572;,
        0.467246;-0.880795;-1.718572;,
        0.667494;-1.229685;-1.418571;,
        1.168115;-0.706350;-1.418571;,
        0.867743;-0.497017;-1.718572;,
        1.001241;-0.008572;-1.718572;,
        0.867743;-0.008572;-2.018572;,
        0.767618;0.444985;-2.018572;,
        0.867743;0.479874;-1.718572;,
        0.867743;0.479874;-1.718572;,
        0.767618;0.444985;-2.018572;,
        0.467246;0.863652;-1.718572;,
        0.433871;0.724097;-2.018572;,
        0.000000;0.863652;-2.018572;,
        0.000000;1.003208;-1.718572;,
        -0.467246;0.863652;-1.718572;,
        -0.433871;0.724097;-2.018572;,
        -0.767618;0.444985;-2.018572;,
        -0.867743;0.479874;-1.718572;,
        -0.867743;0.479874;-1.718572;,
        -0.767618;0.444985;-2.018572;,
        -1.001241;-0.008572;-1.718572;,
        -0.867743;-0.008572;-2.018572;,
        -0.767618;-0.462128;-2.018572;,
        -0.867743;-0.497017;-1.718572;,
        -0.867743;-0.497017;-1.718572;,
        -0.767618;-0.462128;-2.018572;,
        -0.467246;-0.880795;-1.718572;,
        -0.433871;-0.741239;-2.018572;,
        0.000000;-0.880795;-2.018572;,
        0.000000;-1.020352;-1.718572;,
        0.467246;-0.880795;-1.718572;,
        0.433871;-0.741239;-2.018572;,
        0.767618;-0.462128;-2.018572;,
        0.867743;-0.497017;-1.718572;,
        0.867743;-0.497017;-1.718572;,
        0.767618;-0.462128;-2.018572;,
        0.467246;-0.008572;-2.218571;,
        0.433871;0.235651;-2.218571;,
        0.433871;0.235651;-2.218571;,
        0.233623;0.444985;-2.218571;,
        0.000000;0.479874;-2.218571;,
        -0.233623;0.444985;-2.218571;,
        -0.433871;0.235651;-2.218571;,
        -0.433871;0.235651;-2.218571;,
        -0.467246;-0.008572;-2.218571;,
        -0.433871;-0.252794;-2.218571;,
        -0.433871;-0.252794;-2.218571;,
        -0.233623;-0.462128;-2.218571;,
        0.000000;-0.497017;-2.218571;,
        0.233623;-0.462128;-2.218571;,
        0.433871;-0.252794;-2.218571;,
        0.433871;-0.252794;-2.218571;,
        -2.227273;0.000000;0.000000;,
        -2.127273;0.433871;0.244223;,
        -2.127273;0.467246;0.000000;,
        -2.127273;0.233623;0.453556;,
        -2.127273;0.000000;0.488445;,
        -2.127273;-0.233623;0.453556;,
        -2.127273;-0.433871;0.244223;,
        -2.127273;-0.467246;0.000000;,
        -2.127273;-0.433871;-0.244223;,
        -2.127273;-0.233623;-0.453556;,
        -2.127273;0.000000;-0.488445;,
        -2.127273;0.233623;-0.453556;,
        -2.127273;0.433871;-0.244223;,
        -1.331131;1.349312;0.000000;,
        -1.627273;1.001241;0.000000;,
        -1.327273;1.168114;0.697779;,
        -1.627273;0.867743;0.488445;,
        -1.627273;0.467246;0.872224;,
        -1.327273;0.667494;1.221113;,
        -1.331130;0.000357;1.395993;,
        -1.627273;0.000000;1.011780;,
        -1.627273;-0.467246;0.872224;,
        -1.327273;-0.667494;1.221113;,
        -1.327273;-1.168115;0.697779;,
        -1.627273;-0.867743;0.488445;,
        -1.627273;-1.001241;0.000000;,
        -1.327273;-1.168115;-0.697779;,
        -1.627273;-0.867743;-0.488445;,
        -1.627273;-0.467246;-0.872224;,
        -1.327273;-0.667494;-1.221113;,
        -1.331131;-0.004286;-1.407064;,
        -1.627273;0.000000;-1.011780;,
        -1.627273;0.467246;-0.872224;,
        -1.327273;0.667494;-1.221113;,
        -1.327273;1.168114;-0.697779;,
        -1.627273;0.867743;-0.488445;,
        -1.627273;1.001241;0.000000;,
        -1.927273;0.867743;0.000000;,
        -1.927273;0.767618;0.453556;,
        -1.627273;0.867743;0.488445;,
        -1.627273;0.867743;0.488445;,
        -1.927273;0.767618;0.453556;,
        -1.627273;0.467246;0.872224;,
        -1.927273;0.433871;0.732668;,
        -1.927273;0.000000;0.872224;,
        -1.627273;0.000000;1.011780;,
        -1.627273;-0.467246;0.872224;,
        -1.927273;-0.433871;0.732668;,
        -1.927273;-0.767618;0.453556;,
        -1.627273;-0.867743;0.488445;,
        -1.627273;-0.867743;0.488445;,
        -1.927273;-0.767618;0.453556;,
        -1.627273;-1.001241;0.000000;,
        -1.927273;-0.867743;0.000000;,
        -1.927273;-0.767618;-0.453556;,
        -1.627273;-0.867743;-0.488445;,
        -1.627273;-0.867743;-0.488445;,
        -1.927273;-0.767618;-0.453556;,
        -1.627273;-0.467246;-0.872224;,
        -1.927273;-0.433871;-0.732668;,
        -1.927273;0.000000;-0.872224;,
        -1.627273;0.000000;-1.011780;,
        -1.627273;0.467246;-0.872224;,
        -1.927273;0.433871;-0.732668;,
        -1.927273;0.767618;-0.453556;,
        -1.627273;0.867743;-0.488445;,
        -1.627273;0.867743;-0.488445;,
        -1.927273;0.767618;-0.453556;,
        -2.127273;0.467246;0.000000;,
        -2.127273;0.433871;0.244223;,
        -2.127273;0.433871;0.244223;,
        -2.127273;0.233623;0.453556;,
        -2.127273;0.000000;0.488445;,
        -2.127273;-0.233623;0.453556;,
        -2.127273;-0.433871;0.244223;,
        -2.127273;-0.433871;0.244223;,
        -2.127273;-0.467246;0.000000;,
        -2.127273;-0.433871;-0.244223;,
        -2.127273;-0.433871;-0.244223;,
        -2.127273;-0.233623;-0.453556;,
        -2.127273;0.000000;-0.488445;,
        -2.127273;0.233623;-0.453556;,
        -2.127273;0.433871;-0.244223;,
        -2.127273;0.433871;-0.244223;,
        2.236364;0.000000;0.000000;,
        2.136364;-0.433871;0.244223;,
        2.136364;-0.467246;0.000000;,
        2.136364;-0.233623;0.453556;,
        2.136364;0.000000;0.488445;,
        2.136364;0.233623;0.453556;,
        2.136364;0.433871;0.244223;,
        2.136364;0.467246;0.000000;,
        2.136364;0.433871;-0.244223;,
        2.136364;0.233623;-0.453556;,
        2.136364;0.000000;-0.488445;,
        2.136364;-0.233623;-0.453556;,
        2.136364;-0.433871;-0.244223;,
        1.636364;-1.001241;0.000000;,
        1.336364;-1.168114;0.697779;,
        1.636364;-0.867742;0.488445;,
        1.636364;-0.467246;0.872224;,
        1.336364;-0.667494;1.221113;,
        1.335676;0.000357;1.395993;,
        1.636364;0.000000;1.011780;,
        1.636364;0.467246;0.872224;,
        1.336364;0.667494;1.221113;,
        1.336364;1.168115;0.697779;,
        1.636364;0.867743;0.488445;,
        1.636364;1.001241;0.000000;,
        1.335676;1.349312;0.000000;,
        1.336364;1.168115;-0.697779;,
        1.636364;0.867743;-0.488445;,
        1.636364;0.467246;-0.872224;,
        1.336364;0.667494;-1.221113;,
        1.335676;-0.004286;-1.407064;,
        1.636364;0.000000;-1.011780;,
        1.636364;-0.467246;-0.872224;,
        1.336364;-0.667494;-1.221113;,
        1.336364;-1.168114;-0.697779;,
        1.636364;-0.867742;-0.488445;,
        1.636364;-1.001241;0.000000;,
        1.936364;-0.867742;0.000000;,
        1.936364;-0.767618;0.453556;,
        1.636364;-0.867742;0.488445;,
        1.636364;-0.867742;0.488445;,
        1.936364;-0.767618;0.453556;,
        1.636364;-0.467246;0.872224;,
        1.936364;-0.433871;0.732668;,
        1.936364;0.000000;0.872224;,
        1.636364;0.000000;1.011780;,
        1.636364;0.467246;0.872224;,
        1.936364;0.433871;0.732668;,
        1.936364;0.767618;0.453556;,
        1.636364;0.867743;0.488445;,
        1.636364;0.867743;0.488445;,
        1.936364;0.767618;0.453556;,
        1.636364;1.001241;0.000000;,
        1.936364;0.867743;0.000000;,
        1.936364;0.767618;-0.453556;,
        1.636364;0.867743;-0.488445;,
        1.636364;0.867743;-0.488445;,
        1.936364;0.767618;-0.453556;,
        1.636364;0.467246;-0.872224;,
        1.936364;0.433871;-0.732668;,
        1.936364;0.000000;-0.872224;,
        1.636364;0.000000;-1.011780;,
        1.636364;-0.467246;-0.872224;,
        1.936364;-0.433871;-0.732668;,
        1.936364;-0.767618;-0.453556;,
        1.636364;-0.867742;-0.488445;,
        1.636364;-0.867742;-0.488445;,
        1.936364;-0.767618;-0.453556;,
        2.136364;-0.467246;0.000000;,
        2.136364;-0.433871;0.244223;,
        2.136364;-0.433871;0.244223;,
        2.136364;-0.233623;0.453556;,
        2.136364;0.000000;0.488445;,
        2.136364;0.233623;0.453556;,
        2.136364;0.433871;0.244223;,
        2.136364;0.433871;0.244223;,
        2.136364;0.467246;0.000000;,
        2.136364;0.433871;-0.244223;,
        2.136364;0.433871;-0.244223;,
        2.136364;0.233623;-0.453556;,
        2.136364;0.000000;-0.488445;,
        2.136364;-0.233623;-0.453556;,
        2.136364;-0.433871;-0.244223;,
        2.136364;-0.433871;-0.244223;,
        -0.667494;1.363636;1.221113;,
        -0.667494;1.221827;1.396428;,
        0.000000;1.379954;1.395993;,
        -1.331131;1.349312;0.000000;,
        -1.327273;1.168114;0.697779;,
        -1.168115;1.363636;0.697779;,
        -1.168114;0.698493;1.396428;,
        -1.327273;0.667494;1.221113;,
        -1.331130;0.000357;1.395993;,
        -1.327273;-0.667494;1.221113;,
        -1.168114;-0.697065;1.396428;,
        -0.667494;-1.220399;1.396428;,
        -0.667494;-1.375065;1.216973;,
        0.000000;-1.384954;1.393923;,
        -1.331131;-1.355027;-0.002070;,
        -1.168115;-1.375065;0.693639;,
        -1.327273;-1.168115;0.697779;,
        1.336364;-1.168114;0.697779;,
        1.168115;-1.375065;0.693639;,
        1.335676;-1.355027;-0.002070;,
        1.335676;0.000357;1.395993;,
        1.168115;-0.697065;1.396428;,
        1.336364;-0.667494;1.221113;,
        0.667494;-1.220399;1.396428;,
        0.667494;-1.375065;1.216973;,
        1.336364;0.667494;1.221113;,
        1.168115;0.698493;1.396428;,
        1.335676;1.349312;0.000000;,
        1.168115;1.363636;0.697779;,
        1.336364;1.168115;0.697779;,
        0.667494;1.221827;1.396428;,
        0.667494;1.363636;1.221113;,
        -0.667494;1.212542;-1.418571;,
        -0.667494;1.363636;-1.221113;,
        0.000000;1.375311;-1.407065;,
        -1.168115;1.363636;-0.697779;,
        -1.327273;1.168114;-0.697779;,
        -1.327273;0.667494;-1.221113;,
        -1.168115;0.689207;-1.418571;,
        -1.331131;-0.004286;-1.407064;,
        -1.168115;-0.706350;-1.418571;,
        -1.327273;-0.667494;-1.221113;,
        -0.667494;-1.229685;-1.418571;,
        0.000000;-1.389597;-1.409134;,
        -0.667494;-1.375065;-1.225253;,
        -1.327273;-1.168115;-0.697779;,
        -1.168115;-1.375065;-0.701918;,
        1.336364;1.168115;-0.697779;,
        1.168115;1.363636;-0.697779;,
        1.335676;-0.004286;-1.407064;,
        1.168115;0.689207;-1.418571;,
        1.336364;0.667494;-1.221113;,
        0.667494;1.212542;-1.418571;,
        0.667494;1.363636;-1.221113;,
        1.168115;-1.375065;-0.701918;,
        1.336364;-1.168114;-0.697779;,
        0.667494;-1.375065;-1.225253;,
        0.667494;-1.229685;-1.418571;,
        1.168115;-0.706350;-1.418571;,
        1.336364;-0.667494;-1.221113;,
        -1.327273;1.168114;0.697779;,
        -2.237051;2.267013;2.300000;,
        -1.168115;1.363636;0.697779;,
        -0.667494;1.363636;1.221113;,
        -0.667494;1.221827;1.396428;,
        -1.168114;0.698493;1.396428;,
        -1.327273;0.667494;1.221113;,
        0.667494;1.363636;-1.221113;,
        2.235677;2.230649;-2.318183;,
        0.667494;1.212542;-1.418571;,
        1.168115;0.689207;-1.418571;,
        1.336364;0.667494;-1.221113;,
        1.336364;1.168115;-0.697779;,
        1.168115;1.363636;-0.697779;,
        0.667494;-1.229685;-1.418571;,
        2.236364;-2.278442;-2.325292;,
        0.667494;-1.375065;-1.225253;,
        1.168115;-0.706350;-1.418571;,
        1.336364;-0.667494;-1.221113;,
        1.336364;-1.168114;-0.697779;,
        1.168115;-1.375065;-0.701918;,
        -1.168115;-1.375065;0.693639;,
        -2.218181;-2.269351;2.301981;,
        -1.327273;-1.168115;0.697779;,
        -1.327273;-0.667494;1.221113;,
        -1.168114;-0.697065;1.396428;,
        -0.667494;-1.220399;1.396428;,
        -0.667494;-1.375065;1.216973;,
        1.168115;-0.697065;1.396428;,
        2.253858;-2.254545;2.300162;,
        1.336364;-0.667494;1.221113;,
        1.336364;-1.168114;0.697779;,
        1.168115;-1.375065;0.693639;,
        0.667494;-1.375065;1.216973;,
        0.667494;-1.220399;1.396428;,
        -1.327273;0.667494;-1.221113;,
        -2.245233;2.272727;-2.308928;,
        -1.168115;0.689207;-1.418571;,
        -1.327273;1.168114;-0.697779;,
        -1.168115;1.363636;-0.697779;,
        -0.667494;1.363636;-1.221113;,
        -0.667494;1.212542;-1.418571;,
        -1.168115;-0.706350;-1.418571;,
        -2.224323;-2.278442;-2.318182;,
        -1.327273;-0.667494;-1.221113;,
        -0.667494;-1.229685;-1.418571;,
        -0.667494;-1.375065;-1.225253;,
        -1.168115;-1.375065;-0.701918;,
        -1.327273;-1.168115;-0.697779;,
        1.168115;1.363636;0.697779;,
        2.227272;2.248831;2.311071;,
        1.336364;1.168115;0.697779;,
        1.336364;0.667494;1.221113;,
        1.168115;0.698493;1.396428;,
        0.667494;1.221827;1.396428;,
        0.667494;1.363636;1.221113;;
        576;
        3;0,1,2;,
        3;0,3,1;,
        3;0,4,3;,
        3;0,5,4;,
        3;0,6,5;,
        3;0,7,6;,
        3;0,8,7;,
        3;0,9,8;,
        3;0,10,9;,
        3;0,11,10;,
        3;0,12,11;,
        3;0,2,12;,
        3;13,14,15;,
        3;14,16,15;,
        3;15,16,17;,
        3;15,17,18;,
        3;18,17,19;,
        3;17,20,19;,
        3;19,20,21;,
        3;19,21,22;,
        3;22,21,23;,
        3;21,24,23;,
        3;23,24,25;,
        3;23,25,26;,
        3;26,25,27;,
        3;25,28,27;,
        3;27,28,29;,
        3;27,29,30;,
        3;30,29,31;,
        3;29,32,31;,
        3;31,32,33;,
        3;31,33,34;,
        3;34,33,35;,
        3;33,36,35;,
        3;35,36,14;,
        3;35,14,13;,
        3;37,38,39;,
        3;37,39,40;,
        3;41,42,43;,
        3;42,44,43;,
        3;43,44,45;,
        3;43,45,46;,
        3;46,45,47;,
        3;45,48,47;,
        3;47,48,49;,
        3;47,49,50;,
        3;51,52,53;,
        3;52,54,53;,
        3;53,54,55;,
        3;53,55,56;,
        3;57,58,59;,
        3;58,60,59;,
        3;59,60,61;,
        3;59,61,62;,
        3;62,61,63;,
        3;61,64,63;,
        3;63,64,65;,
        3;63,65,66;,
        3;67,68,37;,
        3;68,38,37;,
        3;38,69,39;,
        3;69,70,39;,
        3;42,71,72;,
        3;42,72,44;,
        3;44,72,45;,
        3;72,73,45;,
        3;45,73,74;,
        3;45,74,48;,
        3;48,74,49;,
        3;74,75,49;,
        3;52,76,77;,
        3;52,77,54;,
        3;54,77,55;,
        3;77,78,55;,
        3;58,79,80;,
        3;58,80,60;,
        3;60,80,61;,
        3;80,81,61;,
        3;61,81,82;,
        3;61,82,64;,
        3;64,82,65;,
        3;82,83,65;,
        3;68,84,69;,
        3;68,69,38;,
        3;85,86,87;,
        3;85,88,86;,
        3;85,89,88;,
        3;85,90,89;,
        3;85,91,90;,
        3;85,92,91;,
        3;85,93,92;,
        3;85,94,93;,
        3;85,95,94;,
        3;85,96,95;,
        3;85,97,96;,
        3;85,87,97;,
        3;98,99,100;,
        3;99,101,100;,
        3;100,101,102;,
        3;100,102,103;,
        3;103,102,104;,
        3;102,105,104;,
        3;104,105,106;,
        3;104,106,107;,
        3;107,106,108;,
        3;106,109,108;,
        3;108,109,110;,
        3;108,110,111;,
        3;111,110,112;,
        3;110,113,112;,
        3;112,113,114;,
        3;112,114,115;,
        3;115,114,116;,
        3;114,117,116;,
        3;116,117,118;,
        3;116,118,119;,
        3;119,118,120;,
        3;118,121,120;,
        3;120,121,99;,
        3;120,99,98;,
        3;122,123,124;,
        3;122,124,125;,
        3;126,127,128;,
        3;127,129,128;,
        3;128,129,130;,
        3;128,130,131;,
        3;131,130,132;,
        3;130,133,132;,
        3;132,133,134;,
        3;132,134,135;,
        3;136,137,138;,
        3;137,139,138;,
        3;138,139,140;,
        3;138,140,141;,
        3;142,143,144;,
        3;143,145,144;,
        3;144,145,146;,
        3;144,146,147;,
        3;147,146,148;,
        3;146,149,148;,
        3;148,149,150;,
        3;148,150,151;,
        3;152,153,122;,
        3;153,123,122;,
        3;123,154,124;,
        3;154,155,124;,
        3;127,156,157;,
        3;127,157,129;,
        3;129,157,130;,
        3;157,158,130;,
        3;130,158,159;,
        3;130,159,133;,
        3;133,159,134;,
        3;159,160,134;,
        3;137,161,162;,
        3;137,162,139;,
        3;139,162,140;,
        3;162,163,140;,
        3;143,164,165;,
        3;143,165,145;,
        3;145,165,146;,
        3;165,166,146;,
        3;146,166,167;,
        3;146,167,149;,
        3;149,167,150;,
        3;167,168,150;,
        3;153,169,154;,
        3;153,154,123;,
        3;170,171,172;,
        3;170,173,171;,
        3;170,174,173;,
        3;170,175,174;,
        3;170,176,175;,
        3;170,177,176;,
        3;170,178,177;,
        3;170,179,178;,
        3;170,180,179;,
        3;170,181,180;,
        3;170,182,181;,
        3;170,172,182;,
        3;183,184,185;,
        3;184,186,185;,
        3;185,186,187;,
        3;185,187,188;,
        3;188,187,31;,
        3;187,189,31;,
        3;31,189,190;,
        3;31,190,191;,
        3;191,190,192;,
        3;190,193,192;,
        3;192,193,194;,
        3;192,194,195;,
        3;195,194,196;,
        3;194,197,196;,
        3;196,197,198;,
        3;196,198,199;,
        3;199,198,104;,
        3;198,200,104;,
        3;104,200,201;,
        3;104,201,202;,
        3;202,201,203;,
        3;201,204,203;,
        3;203,204,184;,
        3;203,184,183;,
        3;205,206,207;,
        3;205,207,208;,
        3;209,210,211;,
        3;210,212,211;,
        3;211,212,213;,
        3;211,213,214;,
        3;214,213,215;,
        3;213,216,215;,
        3;215,216,217;,
        3;215,217,218;,
        3;219,220,221;,
        3;220,222,221;,
        3;221,222,223;,
        3;221,223,224;,
        3;225,226,227;,
        3;226,228,227;,
        3;227,228,229;,
        3;227,229,230;,
        3;230,229,231;,
        3;229,232,231;,
        3;231,232,233;,
        3;231,233,234;,
        3;235,236,205;,
        3;236,206,205;,
        3;206,237,207;,
        3;237,238,207;,
        3;210,239,240;,
        3;210,240,212;,
        3;212,240,213;,
        3;240,241,213;,
        3;213,241,242;,
        3;213,242,216;,
        3;216,242,217;,
        3;242,243,217;,
        3;220,244,245;,
        3;220,245,222;,
        3;222,245,223;,
        3;245,246,223;,
        3;226,247,248;,
        3;226,248,228;,
        3;228,248,229;,
        3;248,249,229;,
        3;229,249,250;,
        3;229,250,232;,
        3;232,250,233;,
        3;250,251,233;,
        3;236,252,237;,
        3;236,237,206;,
        3;253,254,255;,
        3;253,256,254;,
        3;253,257,256;,
        3;253,258,257;,
        3;253,259,258;,
        3;253,260,259;,
        3;253,261,260;,
        3;253,262,261;,
        3;253,263,262;,
        3;253,264,263;,
        3;253,265,264;,
        3;253,255,265;,
        3;266,267,268;,
        3;267,269,268;,
        3;268,269,270;,
        3;268,270,271;,
        3;271,270,116;,
        3;270,272,116;,
        3;116,272,273;,
        3;116,273,274;,
        3;274,273,275;,
        3;273,276,275;,
        3;275,276,277;,
        3;275,277,278;,
        3;278,277,279;,
        3;277,280,279;,
        3;279,280,281;,
        3;279,281,282;,
        3;282,281,19;,
        3;281,283,19;,
        3;19,283,284;,
        3;19,284,285;,
        3;285,284,286;,
        3;284,287,286;,
        3;286,287,267;,
        3;286,267,266;,
        3;288,289,290;,
        3;288,290,291;,
        3;292,293,294;,
        3;293,295,294;,
        3;294,295,296;,
        3;294,296,297;,
        3;297,296,298;,
        3;296,299,298;,
        3;298,299,300;,
        3;298,300,301;,
        3;302,303,304;,
        3;303,305,304;,
        3;304,305,306;,
        3;304,306,307;,
        3;308,309,310;,
        3;309,311,310;,
        3;310,311,312;,
        3;310,312,313;,
        3;313,312,314;,
        3;312,315,314;,
        3;314,315,316;,
        3;314,316,317;,
        3;318,319,288;,
        3;319,289,288;,
        3;289,320,290;,
        3;320,321,290;,
        3;293,322,323;,
        3;293,323,295;,
        3;295,323,296;,
        3;323,324,296;,
        3;296,324,325;,
        3;296,325,299;,
        3;299,325,300;,
        3;325,326,300;,
        3;303,327,328;,
        3;303,328,305;,
        3;305,328,306;,
        3;328,329,306;,
        3;309,330,331;,
        3;309,331,311;,
        3;311,331,312;,
        3;331,332,312;,
        3;312,332,333;,
        3;312,333,315;,
        3;315,333,316;,
        3;333,334,316;,
        3;319,335,320;,
        3;319,320,289;,
        3;336,337,338;,
        3;336,339,337;,
        3;336,340,339;,
        3;336,341,340;,
        3;336,342,341;,
        3;336,343,342;,
        3;336,344,343;,
        3;336,345,344;,
        3;336,346,345;,
        3;336,347,346;,
        3;336,348,347;,
        3;336,338,348;,
        3;349,350,351;,
        3;350,352,351;,
        3;351,352,353;,
        3;351,353,354;,
        3;354,353,355;,
        3;353,356,355;,
        3;355,356,357;,
        3;355,357,358;,
        3;358,357,359;,
        3;357,360,359;,
        3;359,360,361;,
        3;359,361,26;,
        3;26,361,362;,
        3;361,363,362;,
        3;362,363,364;,
        3;362,364,365;,
        3;365,364,366;,
        3;364,367,366;,
        3;366,367,368;,
        3;366,368,369;,
        3;369,368,370;,
        3;368,371,370;,
        3;370,371,350;,
        3;370,350,349;,
        3;372,373,374;,
        3;372,374,375;,
        3;376,377,378;,
        3;377,379,378;,
        3;378,379,380;,
        3;378,380,381;,
        3;381,380,382;,
        3;380,383,382;,
        3;382,383,384;,
        3;382,384,385;,
        3;386,387,388;,
        3;387,389,388;,
        3;388,389,390;,
        3;388,390,391;,
        3;392,393,394;,
        3;393,395,394;,
        3;394,395,396;,
        3;394,396,397;,
        3;397,396,398;,
        3;396,399,398;,
        3;398,399,400;,
        3;398,400,401;,
        3;402,403,372;,
        3;403,373,372;,
        3;373,404,374;,
        3;404,405,374;,
        3;377,406,407;,
        3;377,407,379;,
        3;379,407,380;,
        3;407,408,380;,
        3;380,408,409;,
        3;380,409,383;,
        3;383,409,384;,
        3;409,410,384;,
        3;387,411,412;,
        3;387,412,389;,
        3;389,412,390;,
        3;412,413,390;,
        3;393,414,415;,
        3;393,415,395;,
        3;395,415,396;,
        3;415,416,396;,
        3;396,416,417;,
        3;396,417,399;,
        3;399,417,400;,
        3;417,418,400;,
        3;403,419,404;,
        3;403,404,373;,
        3;420,421,422;,
        3;420,423,421;,
        3;420,424,423;,
        3;420,425,424;,
        3;420,426,425;,
        3;420,427,426;,
        3;420,428,427;,
        3;420,429,428;,
        3;420,430,429;,
        3;420,431,430;,
        3;420,432,431;,
        3;420,422,432;,
        3;13,433,434;,
        3;433,435,434;,
        3;434,435,436;,
        3;434,436,437;,
        3;437,436,438;,
        3;436,439,438;,
        3;438,439,440;,
        3;438,440,441;,
        3;441,440,442;,
        3;440,443,442;,
        3;442,443,444;,
        3;442,444,445;,
        3;445,444,446;,
        3;444,447,446;,
        3;446,447,448;,
        3;446,448,449;,
        3;449,448,450;,
        3;448,451,450;,
        3;450,451,452;,
        3;450,452,453;,
        3;453,452,454;,
        3;452,455,454;,
        3;454,455,433;,
        3;454,433,13;,
        3;456,457,458;,
        3;456,458,459;,
        3;460,461,462;,
        3;461,463,462;,
        3;462,463,464;,
        3;462,464,465;,
        3;465,464,466;,
        3;464,467,466;,
        3;466,467,468;,
        3;466,468,469;,
        3;470,471,472;,
        3;471,473,472;,
        3;472,473,474;,
        3;472,474,475;,
        3;476,477,478;,
        3;477,479,478;,
        3;478,479,480;,
        3;478,480,481;,
        3;481,480,482;,
        3;480,483,482;,
        3;482,483,484;,
        3;482,484,485;,
        3;486,487,456;,
        3;487,457,456;,
        3;457,488,458;,
        3;488,489,458;,
        3;461,490,491;,
        3;461,491,463;,
        3;463,491,464;,
        3;491,492,464;,
        3;464,492,493;,
        3;464,493,467;,
        3;467,493,468;,
        3;493,494,468;,
        3;471,495,496;,
        3;471,496,473;,
        3;473,496,474;,
        3;496,497,474;,
        3;477,498,499;,
        3;477,499,479;,
        3;479,499,480;,
        3;499,500,480;,
        3;480,500,501;,
        3;480,501,483;,
        3;483,501,484;,
        3;501,502,484;,
        3;487,503,488;,
        3;487,488,457;,
        3;504,505,506;,
        3;507,508,509;,
        3;510,511,512;,
        3;512,513,514;,
        3;515,516,517;,
        3;518,519,520;,
        3;521,522,523;,
        3;524,525,526;,
        3;527,517,528;,
        3;529,530,524;,
        3;531,532,533;,
        3;506,534,535;,
        3;536,537,538;,
        3;507,539,540;,
        3;541,542,543;,
        3;543,544,545;,
        3;546,547,548;,
        3;549,550,518;,
        3;551,552,531;,
        3;553,554,555;,
        3;556,538,557;,
        3;523,558,559;,
        3;560,547,561;,
        3;562,553,563;,
        3;564,565,566;,
        3;567,565,568;,
        3;569,565,570;,
        3;568,565,569;,
        3;570,565,564;,
        3;566,565,567;,
        3;571,572,573;,
        3;574,572,575;,
        3;575,572,576;,
        3;576,572,577;,
        3;577,572,571;,
        3;573,572,574;,
        3;578,579,580;,
        3;581,579,578;,
        3;582,579,581;,
        3;583,579,582;,
        3;584,579,583;,
        3;580,579,584;,
        3;585,586,587;,
        3;587,586,588;,
        3;588,586,589;,
        3;589,586,590;,
        3;590,586,591;,
        3;591,586,585;,
        3;592,593,594;,
        3;594,593,595;,
        3;595,593,596;,
        3;596,593,597;,
        3;597,593,598;,
        3;598,593,592;,
        3;599,600,601;,
        3;602,600,599;,
        3;603,600,602;,
        3;604,600,603;,
        3;605,600,604;,
        3;601,600,605;,
        3;606,607,608;,
        3;609,607,606;,
        3;610,607,609;,
        3;611,607,610;,
        3;612,607,611;,
        3;608,607,612;,
        3;613,614,615;,
        3;615,614,616;,
        3;616,614,617;,
        3;617,614,618;,
        3;618,614,619;,
        3;619,614,613;;

        MeshNormals
        {
            290;
            -0.000000;-1.000000;-0.000000;,
            0.297331;-0.944390;-0.140437;,
            0.382818;-0.923824;-0.000000;,
            0.179850;-0.923242;-0.339526;,
            0.000000;-0.942407;-0.334468;,
            -0.179850;-0.923242;-0.339526;,
            -0.297331;-0.944390;-0.140437;,
            -0.382818;-0.923824;-0.000000;,
            -0.297331;-0.944390;0.140437;,
            -0.179850;-0.923242;0.339526;,
            0.000000;-0.942407;0.334469;,
            0.179850;-0.923242;0.339526;,
            0.297331;-0.944390;0.140437;,
            0.744132;-0.668033;-0.000000;,
            0.817407;-0.576061;0.000077;,
            0.540108;-0.838693;-0.069842;,
            0.704222;-0.573392;-0.418681;,
            0.397757;-0.615353;-0.680536;,
            -0.040328;-0.910518;-0.411498;,
            -0.000000;-0.738891;-0.673825;,
            0.000000;-0.637885;-0.770131;,
            -0.397757;-0.615353;-0.680537;,
            0.041193;-0.910624;-0.411177;,
            -0.547226;-0.834109;-0.069321;,
            -0.704222;-0.573392;-0.418681;,
            -0.818394;-0.574657;0.000076;,
            -0.753259;-0.657724;0.000000;,
            -0.549198;-0.832763;0.069909;,
            -0.704222;-0.573392;0.418681;,
            -0.396776;-0.613690;0.682608;,
            0.044103;-0.898827;0.436079;,
            -0.000000;-0.723944;0.689858;,
            0.000000;-0.631491;0.775383;,
            0.396776;-0.613690;0.682608;,
            -0.039373;-0.898284;0.437647;,
            0.542263;-0.837248;0.070479;,
            0.704222;-0.573392;0.418681;,
            0.720778;-0.693166;-0.000000;,
            0.635514;-0.676987;-0.371229;,
            0.357213;-0.672641;-0.648038;,
            0.000000;-0.691261;-0.722605;,
            -0.357213;-0.672641;-0.648038;,
            -0.635514;-0.676987;-0.371229;,
            -0.720778;-0.693166;-0.000000;,
            -0.635514;-0.676987;0.371229;,
            -0.357213;-0.672640;0.648038;,
            -0.000000;-0.691261;0.722605;,
            0.357213;-0.672640;0.648038;,
            0.635514;-0.676987;0.371229;,
            -0.000000;1.000000;-0.000000;,
            0.297331;0.944390;0.140437;,
            0.382818;0.923824;-0.000000;,
            0.179850;0.923242;0.339525;,
            -0.000000;0.942407;0.334469;,
            -0.179850;0.923242;0.339525;,
            -0.297331;0.944390;0.140437;,
            -0.382818;0.923824;-0.000000;,
            -0.297331;0.944390;-0.140437;,
            -0.179850;0.923242;-0.339525;,
            -0.000000;0.942407;-0.334468;,
            0.179850;0.923242;-0.339525;,
            0.297331;0.944390;-0.140437;,
            0.734045;0.679101;-0.000000;,
            0.816106;0.577902;-0.000000;,
            0.533532;0.842761;0.071393;,
            0.704221;0.573392;0.418681;,
            0.397270;0.614529;0.681565;,
            -0.040570;0.904190;0.425198;,
            -0.000000;0.730563;0.682845;,
            0.000000;0.634715;0.772746;,
            -0.397270;0.614529;0.681565;,
            0.041757;0.904445;0.424541;,
            -0.540301;0.838636;0.069025;,
            -0.704221;0.573392;0.418681;,
            -0.817094;0.576505;-0.000000;,
            -0.743399;0.668848;-0.000000;,
            -0.540284;0.838654;-0.068939;,
            -0.704222;0.573392;-0.418681;,
            -0.397622;0.615124;-0.680822;,
            0.040583;0.909137;-0.414516;,
            -0.000000;0.737295;-0.675571;,
            0.000000;0.637004;-0.770860;,
            0.397622;0.615124;-0.680822;,
            -0.036409;0.908488;-0.416323;,
            0.534053;0.842307;-0.072847;,
            0.704222;0.573392;-0.418681;,
            0.720778;0.693166;-0.000000;,
            0.635513;0.676987;0.371229;,
            0.357213;0.672641;0.648038;,
            -0.000000;0.691261;0.722605;,
            -0.357213;0.672641;0.648038;,
            -0.635513;0.676987;0.371229;,
            -0.720778;0.693166;-0.000000;,
            -0.635513;0.676987;-0.371229;,
            -0.357213;0.672642;-0.648037;,
            0.000000;0.691262;-0.722604;,
            0.357213;0.672642;-0.648037;,
            0.635513;0.676987;-0.371229;,
            -0.000000;0.000000;1.000000;,
            0.297331;-0.140437;0.944390;,
            0.382818;0.000000;0.923824;,
            0.179850;-0.339525;0.923242;,
            0.000000;-0.334468;0.942407;,
            -0.179850;-0.339525;0.923242;,
            -0.297331;-0.140437;0.944390;,
            -0.382818;0.000000;0.923824;,
            -0.297331;0.140437;0.944390;,
            -0.179850;0.339525;0.923242;,
            0.000000;0.334468;0.942407;,
            0.179850;0.339525;0.923242;,
            0.297331;0.140437;0.944390;,
            0.750490;-0.000005;0.660882;,
            0.812845;-0.000015;0.582480;,
            0.508101;-0.070270;0.858426;,
            0.704221;-0.418681;0.573392;,
            0.394620;-0.687202;0.609941;,
            -0.048476;-0.490280;0.870216;,
            0.000000;-0.786875;0.617112;,
            -0.394620;-0.687202;0.609942;,
            0.052111;-0.489167;0.870632;,
            -0.515641;-0.070673;0.853885;,
            -0.704222;-0.418681;0.573392;,
            -0.813832;-0.000015;0.581100;,
            -0.757800;-0.000005;0.652487;,
            -0.515228;0.070404;0.854156;,
            -0.704222;0.418681;0.573392;,
            -0.394353;0.687830;0.609406;,
            0.051189;0.500716;0.864097;,
            0.000000;0.788486;0.615053;,
            0.394353;0.687830;0.609406;,
            -0.052781;0.500051;0.864386;,
            0.507327;0.069457;0.858950;,
            0.704221;0.418681;0.573392;,
            0.720778;0.000000;0.693166;,
            0.635513;-0.371229;0.676987;,
            0.357213;-0.648038;0.672641;,
            -0.000000;-0.722605;0.691262;,
            -0.357213;-0.648038;0.672641;,
            -0.635513;-0.371229;0.676987;,
            -0.720778;0.000000;0.693166;,
            -0.635513;0.371229;0.676987;,
            -0.357213;0.648038;0.672641;,
            -0.000000;0.722605;0.691262;,
            0.357213;0.648038;0.672641;,
            0.635513;0.371229;0.676987;,
            -0.000000;-0.000000;-1.000000;,
            0.297331;0.140437;-0.944390;,
            0.382818;-0.000000;-0.923824;,
            0.179850;0.339525;-0.923242;,
            0.000000;0.334468;-0.942407;,
            -0.179850;0.339525;-0.923242;,
            -0.297331;0.140437;-0.944390;,
            -0.382818;-0.000000;-0.923824;,
            -0.297331;-0.140437;-0.944390;,
            -0.179850;-0.339525;-0.923242;,
            0.000000;-0.334468;-0.942407;,
            0.179850;-0.339525;-0.923242;,
            0.297331;-0.140437;-0.944390;,
            0.765675;0.000048;-0.643227;,
            0.815455;0.000168;-0.578820;,
            0.526792;0.068276;-0.847247;,
            0.704222;0.418681;-0.573392;,
            0.393594;0.689347;-0.608181;,
            -0.052206;0.510873;-0.858070;,
            -0.000000;0.792108;-0.610381;,
            -0.393594;0.689347;-0.608181;,
            0.051611;0.511289;-0.857858;,
            -0.534896;0.070357;-0.841983;,
            -0.704222;0.418681;-0.573392;,
            -0.816443;0.000167;-0.577426;,
            -0.772695;0.000047;-0.634778;,
            -0.530378;-0.069411;-0.844915;,
            -0.704222;-0.418681;-0.573392;,
            -0.393589;-0.689396;-0.608128;,
            0.054208;-0.513196;-0.856558;,
            -0.000000;-0.792268;-0.610174;,
            0.393589;-0.689396;-0.608128;,
            -0.053982;-0.513241;-0.856545;,
            0.523060;-0.069373;-0.849468;,
            0.704222;-0.418681;-0.573392;,
            0.720778;-0.000000;-0.693166;,
            0.635513;0.371229;-0.676987;,
            0.357213;0.648038;-0.672641;,
            -0.000000;0.722605;-0.691262;,
            -0.357213;0.648038;-0.672641;,
            -0.635513;0.371229;-0.676987;,
            -0.720778;-0.000000;-0.693166;,
            -0.635513;-0.371229;-0.676987;,
            -0.357213;-0.648038;-0.672641;,
            -0.000000;-0.722604;-0.691262;,
            0.357213;-0.648038;-0.672641;,
            0.635513;-0.371229;-0.676987;,
            -1.000000;-0.000000;-0.000000;,
            -0.944390;0.297331;0.140437;,
            -0.923824;0.382818;-0.000000;,
            -0.923242;0.179850;0.339525;,
            -0.942407;0.000000;0.334468;,
            -0.923242;-0.179850;0.339525;,
            -0.944390;-0.297331;0.140437;,
            -0.923824;-0.382818;-0.000000;,
            -0.944390;-0.297331;-0.140437;,
            -0.923242;-0.179850;-0.339525;,
            -0.942407;0.000000;-0.334468;,
            -0.923242;0.179850;-0.339525;,
            -0.944390;0.297331;-0.140437;,
            -0.587897;0.808936;0.000000;,
            -0.872332;0.483546;0.072252;,
            -0.573392;0.704222;0.418681;,
            -0.612412;0.396025;0.684190;,
            -0.887165;-0.047058;0.459046;,
            -0.626531;-0.000016;0.779397;,
            -0.612384;-0.396011;0.684223;,
            -0.887164;0.044789;0.459275;,
            -0.876743;-0.475147;0.074547;,
            -0.573392;-0.704221;0.418681;,
            -0.589498;-0.807770;-0.000091;,
            -0.875666;-0.477132;-0.074527;,
            -0.573392;-0.704221;-0.418681;,
            -0.613971;-0.396925;-0.682269;,
            -0.896762;0.042795;-0.440439;,
            -0.631957;0.000187;-0.775004;,
            -0.613651;0.396747;-0.682660;,
            -0.900230;-0.045172;-0.433065;,
            -0.872393;0.483469;-0.072035;,
            -0.573392;0.704222;-0.418681;,
            -0.693166;0.720778;0.000000;,
            -0.676987;0.635513;0.371229;,
            -0.672641;0.357213;0.648038;,
            -0.691262;-0.000000;0.722605;,
            -0.672641;-0.357213;0.648038;,
            -0.676987;-0.635513;0.371229;,
            -0.693166;-0.720778;0.000000;,
            -0.676987;-0.635513;-0.371229;,
            -0.672641;-0.357213;-0.648038;,
            -0.691262;-0.000000;-0.722605;,
            -0.672641;0.357213;-0.648038;,
            -0.676987;0.635513;-0.371229;,
            1.000000;0.000000;-0.000000;,
            0.944390;-0.297331;0.140437;,
            0.923824;-0.382818;0.000000;,
            0.923242;-0.179850;0.339525;,
            0.942407;-0.000000;0.334468;,
            0.923242;0.179850;0.339525;,
            0.944390;0.297331;0.140437;,
            0.923824;0.382818;0.000000;,
            0.944390;0.297331;-0.140437;,
            0.923242;0.179850;-0.339525;,
            0.942407;-0.000000;-0.334468;,
            0.923242;-0.179850;-0.339525;,
            0.944390;-0.297331;-0.140437;,
            0.588001;-0.808860;-0.000089;,
            0.873138;-0.482130;0.071983;,
            0.573392;-0.704221;0.418681;,
            0.611618;-0.395556;0.685171;,
            0.882432;0.050195;0.467754;,
            0.623593;-0.000016;0.781749;,
            0.611645;0.395569;0.685139;,
            0.881750;-0.047961;0.469272;,
            0.867587;0.491790;0.073727;,
            0.573392;0.704221;0.418681;,
            0.586390;0.810029;0.000000;,
            0.867699;0.491594;-0.073712;,
            0.573392;0.704221;-0.418681;,
            0.612894;0.396295;-0.683602;,
            0.895246;-0.048036;-0.442975;,
            0.629055;0.000187;-0.777361;,
            0.613216;-0.396466;-0.683214;,
            0.891854;0.044549;-0.450125;,
            0.871482;-0.484814;-0.073989;,
            0.573392;-0.704221;-0.418681;,
            0.693166;-0.720778;0.000000;,
            0.676987;-0.635513;0.371229;,
            0.672641;-0.357213;0.648038;,
            0.691261;0.000000;0.722605;,
            0.672641;0.357213;0.648038;,
            0.676987;0.635513;0.371229;,
            0.693166;0.720778;0.000000;,
            0.676987;0.635513;-0.371229;,
            0.672641;0.357213;-0.648038;,
            0.691261;0.000000;-0.722605;,
            0.672641;-0.357213;-0.648038;,
            0.676987;-0.635514;-0.371229;,
            -0.581348;0.577038;0.573639;,
            0.603667;0.593326;-0.532495;,
            0.581978;-0.596622;-0.552580;,
            -0.597223;-0.544223;0.589191;,
            0.580270;-0.553994;0.596974;,
            -0.625499;0.586554;-0.514495;,
            -0.603518;-0.584548;-0.542282;,
            0.556758;0.587309;0.587442;;
            576;
            3;0,1,2;,
            3;0,3,1;,
            3;0,4,3;,
            3;0,5,4;,
            3;0,6,5;,
            3;0,7,6;,
            3;0,8,7;,
            3;0,9,8;,
            3;0,10,9;,
            3;0,11,10;,
            3;0,12,11;,
            3;0,2,12;,
            3;13,14,15;,
            3;14,16,15;,
            3;15,16,17;,
            3;15,17,18;,
            3;18,17,19;,
            3;17,20,19;,
            3;19,20,21;,
            3;19,21,22;,
            3;22,21,23;,
            3;21,24,23;,
            3;23,24,25;,
            3;23,25,26;,
            3;26,25,27;,
            3;25,28,27;,
            3;27,28,29;,
            3;27,29,30;,
            3;30,29,31;,
            3;29,32,31;,
            3;31,32,33;,
            3;31,33,34;,
            3;34,33,35;,
            3;33,36,35;,
            3;35,36,14;,
            3;35,14,13;,
            3;14,37,38;,
            3;14,38,16;,
            3;16,38,17;,
            3;38,39,17;,
            3;17,39,40;,
            3;17,40,20;,
            3;20,40,21;,
            3;40,41,21;,
            3;21,41,42;,
            3;21,42,24;,
            3;24,42,25;,
            3;42,43,25;,
            3;25,43,44;,
            3;25,44,28;,
            3;28,44,29;,
            3;44,45,29;,
            3;29,45,46;,
            3;29,46,32;,
            3;32,46,33;,
            3;46,47,33;,
            3;33,47,48;,
            3;33,48,36;,
            3;36,48,14;,
            3;48,37,14;,
            3;37,2,38;,
            3;2,1,38;,
            3;38,1,3;,
            3;38,3,39;,
            3;39,3,40;,
            3;3,4,40;,
            3;40,4,5;,
            3;40,5,41;,
            3;41,5,42;,
            3;5,6,42;,
            3;42,6,7;,
            3;42,7,43;,
            3;43,7,44;,
            3;7,8,44;,
            3;44,8,9;,
            3;44,9,45;,
            3;45,9,46;,
            3;9,10,46;,
            3;46,10,11;,
            3;46,11,47;,
            3;47,11,48;,
            3;11,12,48;,
            3;48,12,2;,
            3;48,2,37;,
            3;49,50,51;,
            3;49,52,50;,
            3;49,53,52;,
            3;49,54,53;,
            3;49,55,54;,
            3;49,56,55;,
            3;49,57,56;,
            3;49,58,57;,
            3;49,59,58;,
            3;49,60,59;,
            3;49,61,60;,
            3;49,51,61;,
            3;62,63,64;,
            3;63,65,64;,
            3;64,65,66;,
            3;64,66,67;,
            3;67,66,68;,
            3;66,69,68;,
            3;68,69,70;,
            3;68,70,71;,
            3;71,70,72;,
            3;70,73,72;,
            3;72,73,74;,
            3;72,74,75;,
            3;75,74,76;,
            3;74,77,76;,
            3;76,77,78;,
            3;76,78,79;,
            3;79,78,80;,
            3;78,81,80;,
            3;80,81,82;,
            3;80,82,83;,
            3;83,82,84;,
            3;82,85,84;,
            3;84,85,63;,
            3;84,63,62;,
            3;63,86,87;,
            3;63,87,65;,
            3;65,87,66;,
            3;87,88,66;,
            3;66,88,89;,
            3;66,89,69;,
            3;69,89,70;,
            3;89,90,70;,
            3;70,90,91;,
            3;70,91,73;,
            3;73,91,74;,
            3;91,92,74;,
            3;74,92,93;,
            3;74,93,77;,
            3;77,93,78;,
            3;93,94,78;,
            3;78,94,95;,
            3;78,95,81;,
            3;81,95,82;,
            3;95,96,82;,
            3;82,96,97;,
            3;82,97,85;,
            3;85,97,63;,
            3;97,86,63;,
            3;86,51,87;,
            3;51,50,87;,
            3;87,50,52;,
            3;87,52,88;,
            3;88,52,89;,
            3;52,53,89;,
            3;89,53,54;,
            3;89,54,90;,
            3;90,54,91;,
            3;54,55,91;,
            3;91,55,56;,
            3;91,56,92;,
            3;92,56,93;,
            3;56,57,93;,
            3;93,57,58;,
            3;93,58,94;,
            3;94,58,95;,
            3;58,59,95;,
            3;95,59,60;,
            3;95,60,96;,
            3;96,60,97;,
            3;60,61,97;,
            3;97,61,51;,
            3;97,51,86;,
            3;98,99,100;,
            3;98,101,99;,
            3;98,102,101;,
            3;98,103,102;,
            3;98,104,103;,
            3;98,105,104;,
            3;98,106,105;,
            3;98,107,106;,
            3;98,108,107;,
            3;98,109,108;,
            3;98,110,109;,
            3;98,100,110;,
            3;111,112,113;,
            3;112,114,113;,
            3;113,114,115;,
            3;113,115,116;,
            3;116,115,31;,
            3;115,117,31;,
            3;31,117,118;,
            3;31,118,119;,
            3;119,118,120;,
            3;118,121,120;,
            3;120,121,122;,
            3;120,122,123;,
            3;123,122,124;,
            3;122,125,124;,
            3;124,125,126;,
            3;124,126,127;,
            3;127,126,68;,
            3;126,128,68;,
            3;68,128,129;,
            3;68,129,130;,
            3;130,129,131;,
            3;129,132,131;,
            3;131,132,112;,
            3;131,112,111;,
            3;112,133,134;,
            3;112,134,114;,
            3;114,134,115;,
            3;134,135,115;,
            3;115,135,136;,
            3;115,136,117;,
            3;117,136,118;,
            3;136,137,118;,
            3;118,137,138;,
            3;118,138,121;,
            3;121,138,122;,
            3;138,139,122;,
            3;122,139,140;,
            3;122,140,125;,
            3;125,140,126;,
            3;140,141,126;,
            3;126,141,142;,
            3;126,142,128;,
            3;128,142,129;,
            3;142,143,129;,
            3;129,143,144;,
            3;129,144,132;,
            3;132,144,112;,
            3;144,133,112;,
            3;133,100,134;,
            3;100,99,134;,
            3;134,99,101;,
            3;134,101,135;,
            3;135,101,136;,
            3;101,102,136;,
            3;136,102,103;,
            3;136,103,137;,
            3;137,103,138;,
            3;103,104,138;,
            3;138,104,105;,
            3;138,105,139;,
            3;139,105,140;,
            3;105,106,140;,
            3;140,106,107;,
            3;140,107,141;,
            3;141,107,142;,
            3;107,108,142;,
            3;142,108,109;,
            3;142,109,143;,
            3;143,109,144;,
            3;109,110,144;,
            3;144,110,100;,
            3;144,100,133;,
            3;145,146,147;,
            3;145,148,146;,
            3;145,149,148;,
            3;145,150,149;,
            3;145,151,150;,
            3;145,152,151;,
            3;145,153,152;,
            3;145,154,153;,
            3;145,155,154;,
            3;145,156,155;,
            3;145,157,156;,
            3;145,147,157;,
            3;158,159,160;,
            3;159,161,160;,
            3;160,161,162;,
            3;160,162,163;,
            3;163,162,80;,
            3;162,164,80;,
            3;80,164,165;,
            3;80,165,166;,
            3;166,165,167;,
            3;165,168,167;,
            3;167,168,169;,
            3;167,169,170;,
            3;170,169,171;,
            3;169,172,171;,
            3;171,172,173;,
            3;171,173,174;,
            3;174,173,19;,
            3;173,175,19;,
            3;19,175,176;,
            3;19,176,177;,
            3;177,176,178;,
            3;176,179,178;,
            3;178,179,159;,
            3;178,159,158;,
            3;159,180,181;,
            3;159,181,161;,
            3;161,181,162;,
            3;181,182,162;,
            3;162,182,183;,
            3;162,183,164;,
            3;164,183,165;,
            3;183,184,165;,
            3;165,184,185;,
            3;165,185,168;,
            3;168,185,169;,
            3;185,186,169;,
            3;169,186,187;,
            3;169,187,172;,
            3;172,187,173;,
            3;187,188,173;,
            3;173,188,189;,
            3;173,189,175;,
            3;175,189,176;,
            3;189,190,176;,
            3;176,190,191;,
            3;176,191,179;,
            3;179,191,159;,
            3;191,180,159;,
            3;180,147,181;,
            3;147,146,181;,
            3;181,146,148;,
            3;181,148,182;,
            3;182,148,183;,
            3;148,149,183;,
            3;183,149,150;,
            3;183,150,184;,
            3;184,150,185;,
            3;150,151,185;,
            3;185,151,152;,
            3;185,152,186;,
            3;186,152,187;,
            3;152,153,187;,
            3;187,153,154;,
            3;187,154,188;,
            3;188,154,189;,
            3;154,155,189;,
            3;189,155,156;,
            3;189,156,190;,
            3;190,156,191;,
            3;156,157,191;,
            3;191,157,147;,
            3;191,147,180;,
            3;192,193,194;,
            3;192,195,193;,
            3;192,196,195;,
            3;192,197,196;,
            3;192,198,197;,
            3;192,199,198;,
            3;192,200,199;,
            3;192,201,200;,
            3;192,202,201;,
            3;192,203,202;,
            3;192,204,203;,
            3;192,194,204;,
            3;75,205,206;,
            3;205,207,206;,
            3;206,207,208;,
            3;206,208,209;,
            3;209,208,123;,
            3;208,210,123;,
            3;123,210,211;,
            3;123,211,212;,
            3;212,211,213;,
            3;211,214,213;,
            3;213,214,215;,
            3;213,215,26;,
            3;26,215,216;,
            3;215,217,216;,
            3;216,217,218;,
            3;216,218,219;,
            3;219,218,170;,
            3;218,220,170;,
            3;170,220,221;,
            3;170,221,222;,
            3;222,221,223;,
            3;221,224,223;,
            3;223,224,205;,
            3;223,205,75;,
            3;205,225,226;,
            3;205,226,207;,
            3;207,226,208;,
            3;226,227,208;,
            3;208,227,228;,
            3;208,228,210;,
            3;210,228,211;,
            3;228,229,211;,
            3;211,229,230;,
            3;211,230,214;,
            3;214,230,215;,
            3;230,231,215;,
            3;215,231,232;,
            3;215,232,217;,
            3;217,232,218;,
            3;232,233,218;,
            3;218,233,234;,
            3;218,234,220;,
            3;220,234,221;,
            3;234,235,221;,
            3;221,235,236;,
            3;221,236,224;,
            3;224,236,205;,
            3;236,225,205;,
            3;225,194,226;,
            3;194,193,226;,
            3;226,193,195;,
            3;226,195,227;,
            3;227,195,228;,
            3;195,196,228;,
            3;228,196,197;,
            3;228,197,229;,
            3;229,197,230;,
            3;197,198,230;,
            3;230,198,199;,
            3;230,199,231;,
            3;231,199,232;,
            3;199,200,232;,
            3;232,200,201;,
            3;232,201,233;,
            3;233,201,234;,
            3;201,202,234;,
            3;234,202,203;,
            3;234,203,235;,
            3;235,203,236;,
            3;203,204,236;,
            3;236,204,194;,
            3;236,194,225;,
            3;237,238,239;,
            3;237,240,238;,
            3;237,241,240;,
            3;237,242,241;,
            3;237,243,242;,
            3;237,244,243;,
            3;237,245,244;,
            3;237,246,245;,
            3;237,247,246;,
            3;237,248,247;,
            3;237,249,248;,
            3;237,239,249;,
            3;13,250,251;,
            3;250,252,251;,
            3;251,252,253;,
            3;251,253,254;,
            3;254,253,111;,
            3;253,255,111;,
            3;111,255,256;,
            3;111,256,257;,
            3;257,256,258;,
            3;256,259,258;,
            3;258,259,260;,
            3;258,260,62;,
            3;62,260,261;,
            3;260,262,261;,
            3;261,262,263;,
            3;261,263,264;,
            3;264,263,158;,
            3;263,265,158;,
            3;158,265,266;,
            3;158,266,267;,
            3;267,266,268;,
            3;266,269,268;,
            3;268,269,250;,
            3;268,250,13;,
            3;250,270,271;,
            3;250,271,252;,
            3;252,271,253;,
            3;271,272,253;,
            3;253,272,273;,
            3;253,273,255;,
            3;255,273,256;,
            3;273,274,256;,
            3;256,274,275;,
            3;256,275,259;,
            3;259,275,260;,
            3;275,276,260;,
            3;260,276,277;,
            3;260,277,262;,
            3;262,277,263;,
            3;277,278,263;,
            3;263,278,279;,
            3;263,279,265;,
            3;265,279,266;,
            3;279,280,266;,
            3;266,280,281;,
            3;266,281,269;,
            3;269,281,250;,
            3;281,270,250;,
            3;270,239,271;,
            3;239,238,271;,
            3;271,238,240;,
            3;271,240,272;,
            3;272,240,273;,
            3;240,241,273;,
            3;273,241,242;,
            3;273,242,274;,
            3;274,242,275;,
            3;242,243,275;,
            3;275,243,244;,
            3;275,244,276;,
            3;276,244,277;,
            3;244,245,277;,
            3;277,245,246;,
            3;277,246,278;,
            3;278,246,279;,
            3;246,247,279;,
            3;279,247,248;,
            3;279,248,280;,
            3;280,248,281;,
            3;248,249,281;,
            3;281,249,239;,
            3;281,239,270;,
            3;71,127,68;,
            3;75,206,72;,
            3;124,209,123;,
            3;123,212,120;,
            3;119,30,31;,
            3;26,27,213;,
            3;251,35,13;,
            3;111,113,254;,
            3;116,31,34;,
            3;257,131,111;,
            3;62,64,258;,
            3;68,130,67;,
            3;166,79,80;,
            3;75,76,223;,
            3;222,167,170;,
            3;170,171,219;,
            3;174,19,22;,
            3;216,23,26;,
            3;261,84,62;,
            3;158,160,264;,
            3;163,80,83;,
            3;13,15,268;,
            3;18,19,177;,
            3;178,158,267;,
            3;206,282,72;,
            3;71,282,127;,
            3;124,282,209;,
            3;127,282,124;,
            3;209,282,206;,
            3;72,282,71;,
            3;83,283,163;,
            3;160,283,264;,
            3;264,283,261;,
            3;261,283,84;,
            3;84,283,83;,
            3;163,283,160;,
            3;177,284,18;,
            3;178,284,177;,
            3;267,284,178;,
            3;268,284,267;,
            3;15,284,268;,
            3;18,284,15;,
            3;27,285,213;,
            3;213,285,212;,
            3;212,285,120;,
            3;120,285,119;,
            3;119,285,30;,
            3;30,285,27;,
            3;113,286,254;,
            3;254,286,251;,
            3;251,286,35;,
            3;35,286,34;,
            3;34,286,116;,
            3;116,286,113;,
            3;222,287,167;,
            3;223,287,222;,
            3;76,287,223;,
            3;79,287,76;,
            3;166,287,79;,
            3;167,287,166;,
            3;171,288,219;,
            3;174,288,171;,
            3;22,288,174;,
            3;23,288,22;,
            3;216,288,23;,
            3;219,288,216;,
            3;64,289,258;,
            3;258,289,257;,
            3;257,289,131;,
            3;131,289,130;,
            3;130,289,67;,
            3;67,289,64;;
        }

        MeshTextureCoords
        {
            620;
            0.023633;0.023047;,
            0.024077;0.023307;,
            0.024111;0.023307;,
            0.023872;0.023307;,
            0.023633;0.023307;,
            0.023394;0.023307;,
            0.023188;0.023307;,
            0.023154;0.023307;,
            0.023188;0.023307;,
            0.023394;0.023307;,
            0.023633;0.023307;,
            0.023872;0.023307;,
            0.024077;0.023307;,
            0.025000;0.025391;,
            0.024658;0.024609;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.023633;0.025391;,
            0.023633;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.022607;0.024609;,
            0.022266;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.023633;0.025391;,
            0.023633;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.034389;0.067656;,
            0.035156;0.082422;,
            0.044922;0.083203;,
            0.042668;0.068203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.008113;0.068203;,
            0.005859;0.083203;,
            0.035156;0.082422;,
            0.034389;0.067656;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.014439;0.067656;,
            0.013672;0.082422;,
            0.005859;0.083203;,
            0.008113;0.068203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.042668;0.068203;,
            0.044922;0.083203;,
            0.013672;0.082422;,
            0.014439;0.067656;,
            0.024414;0.057813;,
            0.029785;0.057813;,
            0.035156;0.058203;,
            0.030649;0.058203;,
            0.025391;0.058203;,
            0.020132;0.058203;,
            0.015625;0.058203;,
            0.029785;0.057813;,
            0.024414;0.057813;,
            0.019043;0.057813;,
            0.015625;0.058203;,
            0.020132;0.058203;,
            0.025391;0.058203;,
            0.030649;0.058203;,
            0.035156;0.058203;,
            0.019043;0.057813;,
            0.023633;0.023047;,
            0.024077;0.023307;,
            0.024111;0.023307;,
            0.023872;0.023307;,
            0.023633;0.023307;,
            0.023394;0.023307;,
            0.023188;0.023307;,
            0.023154;0.023307;,
            0.023188;0.023307;,
            0.023394;0.023307;,
            0.023633;0.023307;,
            0.023872;0.023307;,
            0.024077;0.023307;,
            0.025000;0.025391;,
            0.024658;0.024609;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.023633;0.025391;,
            0.023633;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.022607;0.024609;,
            0.022266;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.023633;0.025391;,
            0.023633;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.034389;0.067656;,
            0.035156;0.082422;,
            0.044922;0.083203;,
            0.042668;0.068203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.008113;0.068203;,
            0.005859;0.083203;,
            0.035156;0.082422;,
            0.034389;0.067656;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.014439;0.067656;,
            0.013672;0.082422;,
            0.005859;0.083203;,
            0.008113;0.068203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.042668;0.068203;,
            0.044922;0.083203;,
            0.013672;0.082422;,
            0.014439;0.067656;,
            0.024414;0.057813;,
            0.029785;0.057813;,
            0.035156;0.058203;,
            0.030649;0.058203;,
            0.025391;0.058203;,
            0.020132;0.058203;,
            0.015625;0.058203;,
            0.029785;0.057813;,
            0.024414;0.057813;,
            0.019043;0.057813;,
            0.015625;0.058203;,
            0.020132;0.058203;,
            0.025391;0.058203;,
            0.030649;0.058203;,
            0.035156;0.058203;,
            0.019043;0.057813;,
            0.023633;0.023047;,
            0.024077;0.023307;,
            0.024111;0.023307;,
            0.023872;0.023307;,
            0.023633;0.023307;,
            0.023394;0.023307;,
            0.023188;0.023307;,
            0.023154;0.023307;,
            0.023188;0.023307;,
            0.023394;0.023307;,
            0.023633;0.023307;,
            0.023872;0.023307;,
            0.024077;0.023307;,
            0.025000;0.025391;,
            0.024658;0.024609;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.023633;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.022607;0.024609;,
            0.022266;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.023633;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.034389;0.067656;,
            0.035156;0.082422;,
            0.044922;0.083203;,
            0.042668;0.068203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.008113;0.068203;,
            0.005859;0.083203;,
            0.035156;0.082422;,
            0.034389;0.067656;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.014439;0.067656;,
            0.013672;0.082422;,
            0.005859;0.083203;,
            0.008113;0.068203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.042668;0.068203;,
            0.044922;0.083203;,
            0.013672;0.082422;,
            0.014439;0.067656;,
            0.024414;0.057813;,
            0.029785;0.057813;,
            0.035156;0.058203;,
            0.030649;0.058203;,
            0.025391;0.058203;,
            0.020132;0.058203;,
            0.015625;0.058203;,
            0.029785;0.057813;,
            0.024414;0.057813;,
            0.019043;0.057813;,
            0.015625;0.058203;,
            0.020132;0.058203;,
            0.025391;0.058203;,
            0.030649;0.058203;,
            0.035156;0.058203;,
            0.019043;0.057813;,
            0.023633;0.023047;,
            0.024077;0.023307;,
            0.024111;0.023307;,
            0.023872;0.023307;,
            0.023633;0.023307;,
            0.023394;0.023307;,
            0.023188;0.023307;,
            0.023154;0.023307;,
            0.023188;0.023307;,
            0.023394;0.023307;,
            0.023633;0.023307;,
            0.023872;0.023307;,
            0.024077;0.023307;,
            0.025000;0.025391;,
            0.024658;0.024609;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.023633;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.022607;0.024609;,
            0.022266;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.023633;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.034389;0.067656;,
            0.035156;0.082422;,
            0.044922;0.083203;,
            0.042668;0.068203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.008113;0.068203;,
            0.005859;0.083203;,
            0.035156;0.082422;,
            0.034389;0.067656;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.014439;0.067656;,
            0.013672;0.082422;,
            0.005859;0.083203;,
            0.008113;0.068203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.042668;0.068203;,
            0.044922;0.083203;,
            0.013672;0.082422;,
            0.014439;0.067656;,
            0.024414;0.057813;,
            0.029785;0.057813;,
            0.035156;0.058203;,
            0.030649;0.058203;,
            0.025391;0.058203;,
            0.020132;0.058203;,
            0.015625;0.058203;,
            0.029785;0.057813;,
            0.024414;0.057813;,
            0.019043;0.057813;,
            0.015625;0.058203;,
            0.020132;0.058203;,
            0.025391;0.058203;,
            0.030649;0.058203;,
            0.035156;0.058203;,
            0.019043;0.057813;,
            0.023633;0.023047;,
            0.024077;0.023307;,
            0.024111;0.023307;,
            0.023872;0.023307;,
            0.023633;0.023307;,
            0.023394;0.023307;,
            0.023188;0.023307;,
            0.023154;0.023307;,
            0.023188;0.023307;,
            0.023394;0.023307;,
            0.023633;0.023307;,
            0.023872;0.023307;,
            0.024077;0.023307;,
            0.025000;0.025391;,
            0.024658;0.024609;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.023633;0.025391;,
            0.023633;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.022607;0.024609;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.023633;0.025391;,
            0.023633;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.034389;0.067656;,
            0.035156;0.082422;,
            0.044922;0.083203;,
            0.042668;0.068203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.008113;0.068203;,
            0.005859;0.083203;,
            0.035156;0.082422;,
            0.034389;0.067656;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.014439;0.067656;,
            0.013672;0.082422;,
            0.005859;0.083203;,
            0.008113;0.068203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.042668;0.068203;,
            0.044922;0.083203;,
            0.013672;0.082422;,
            0.014439;0.067656;,
            0.024414;0.057813;,
            0.029785;0.057813;,
            0.035156;0.058203;,
            0.030649;0.058203;,
            0.025391;0.058203;,
            0.020132;0.058203;,
            0.015625;0.058203;,
            0.029785;0.057813;,
            0.024414;0.057813;,
            0.019043;0.057813;,
            0.015625;0.058203;,
            0.020132;0.058203;,
            0.025391;0.058203;,
            0.030649;0.058203;,
            0.035156;0.058203;,
            0.019043;0.057813;,
            0.023633;0.023047;,
            0.024077;0.023307;,
            0.024111;0.023307;,
            0.023872;0.023307;,
            0.023633;0.023307;,
            0.023394;0.023307;,
            0.023188;0.023307;,
            0.023154;0.023307;,
            0.023188;0.023307;,
            0.023394;0.023307;,
            0.023633;0.023307;,
            0.023872;0.023307;,
            0.024077;0.023307;,
            0.024658;0.024609;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.023633;0.025391;,
            0.023633;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.022607;0.024609;,
            0.022266;0.025391;,
            0.022437;0.025391;,
            0.022744;0.024609;,
            0.023154;0.024609;,
            0.022949;0.025391;,
            0.023633;0.025391;,
            0.023633;0.024609;,
            0.024111;0.024609;,
            0.024316;0.025391;,
            0.024829;0.025391;,
            0.024521;0.024609;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.034389;0.067656;,
            0.035156;0.082422;,
            0.044922;0.083203;,
            0.042668;0.068203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.008113;0.068203;,
            0.005859;0.083203;,
            0.035156;0.082422;,
            0.034389;0.067656;,
            0.024414;0.082422;,
            0.024414;0.067656;,
            0.014439;0.067656;,
            0.013672;0.082422;,
            0.005859;0.083203;,
            0.008113;0.068203;,
            0.014874;0.083203;,
            0.015625;0.068203;,
            0.025391;0.068203;,
            0.025391;0.083203;,
            0.035907;0.083203;,
            0.035156;0.068203;,
            0.042668;0.068203;,
            0.044922;0.083203;,
            0.013672;0.082422;,
            0.014439;0.067656;,
            0.024414;0.057813;,
            0.029785;0.057813;,
            0.035156;0.058203;,
            0.030649;0.058203;,
            0.025391;0.058203;,
            0.020132;0.058203;,
            0.015625;0.058203;,
            0.029785;0.057813;,
            0.024414;0.057813;,
            0.019043;0.057813;,
            0.015625;0.058203;,
            0.020132;0.058203;,
            0.025391;0.058203;,
            0.030649;0.058203;,
            0.035156;0.058203;,
            0.019043;0.057813;,
            0.022654;0.024230;,
            0.022654;0.024330;,
            0.023045;0.024219;,
            0.022266;0.024240;,
            0.022268;0.024368;,
            0.022361;0.024230;,
            0.022361;0.024699;,
            0.022268;0.024721;,
            0.022266;0.025192;,
            0.022268;0.025663;,
            0.022361;0.025683;,
            0.022654;0.026053;,
            0.022654;0.026162;,
            0.023045;0.026169;,
            0.022266;0.026147;,
            0.022361;0.026162;,
            0.022268;0.026016;,
            0.023828;0.026016;,
            0.023730;0.026162;,
            0.023828;0.026147;,
            0.023828;0.025192;,
            0.023730;0.025683;,
            0.023828;0.025663;,
            0.023436;0.026053;,
            0.023436;0.026162;,
            0.023828;0.024721;,
            0.023730;0.024699;,
            0.023828;0.024240;,
            0.023730;0.024230;,
            0.023828;0.024368;,
            0.023436;0.024330;,
            0.023436;0.024230;,
            0.022654;0.024337;,
            0.022654;0.024230;,
            0.023045;0.024222;,
            0.022361;0.024230;,
            0.022268;0.024368;,
            0.022268;0.024721;,
            0.022361;0.024706;,
            0.022266;0.025195;,
            0.022361;0.025690;,
            0.022268;0.025663;,
            0.022654;0.026059;,
            0.023045;0.026172;,
            0.022654;0.026162;,
            0.022268;0.026016;,
            0.022361;0.026162;,
            0.023828;0.024368;,
            0.023730;0.024230;,
            0.023828;0.025195;,
            0.023730;0.024706;,
            0.023828;0.024721;,
            0.023436;0.024337;,
            0.023436;0.024230;,
            0.023730;0.026162;,
            0.023828;0.026016;,
            0.023436;0.026162;,
            0.023436;0.026059;,
            0.023730;0.025690;,
            0.023828;0.025663;,
            0.100957;0.069166;,
            0.133428;0.065261;,
            0.099730;0.068276;,
            0.101563;0.069438;,
            0.101563;0.070093;,
            0.099730;0.071302;,
            0.100957;0.071443;,
            0.102139;0.061141;,
            0.132269;0.066825;,
            0.101964;0.061712;,
            0.101374;0.062861;,
            0.102660;0.063870;,
            0.102901;0.062041;,
            0.101699;0.060397;,
            0.101563;0.067824;,
            0.133241;0.072656;,
            0.101563;0.068494;,
            0.101515;0.066976;,
            0.101396;0.067188;,
            0.101396;0.069494;,
            0.101515;0.070057;,
            0.100340;0.069797;,
            0.133467;0.072614;,
            0.101439;0.068899;,
            0.101439;0.066728;,
            0.100340;0.066857;,
            0.101563;0.067782;,
            0.101563;0.068494;,
            0.101515;0.066933;,
            0.133594;0.072546;,
            0.101396;0.067188;,
            0.101396;0.069494;,
            0.101515;0.070057;,
            0.101563;0.068494;,
            0.101563;0.067782;,
            0.100957;0.071443;,
            0.133594;0.065234;,
            0.099730;0.071345;,
            0.100957;0.069166;,
            0.099730;0.068276;,
            0.101563;0.069438;,
            0.101563;0.070136;,
            0.100340;0.066897;,
            0.133594;0.072656;,
            0.101439;0.066728;,
            0.101563;0.067824;,
            0.101563;0.068494;,
            0.100340;0.069797;,
            0.101439;0.068899;,
            0.101699;0.060397;,
            0.132134;0.066709;,
            0.102901;0.062041;,
            0.102660;0.063870;,
            0.101378;0.062827;,
            0.101975;0.061677;,
            0.102139;0.061141;;
        }

        MeshMaterialList
        {
            1;
            576;
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0;

            Material Saucer
            {
                0.800000;0.800000;0.800000;1.000000;;
                0.000000;
                0.000000;0.000000;0.000000;;
                0.000000;0.000000;0.000000;;

                TextureFileName
                {
                    "Other.bmp";
                }
            }
        }
    }
}
